WinOLS Hilfeindex

Navigation: Startseite

WinOLS Hilfeindex

Einführung:

· Kurzanleitung
· Typische Arbeitsabläufe
· Besondere Aspekte

Fortgeschrittene Themen:

· Skripte

Internet:

· Homepage EVC
· Checksummensuche
· FAQ
· Produkte

Referenz:

· Menü Projekt
· Menü Bearbeiten
· Menü Hardware
· Menü Ansicht
· Menü Selektion
· Menü Suchen
· Menü Sonstiges
· Menü Fenster
· Menü ? (Hilfe)

Hauptbildschirm:

(C) Copyright 2012 EVC electronic, www.evc.de


Kurzanleitung

Navigation: Startseite

Kurzanleitung

Bitte wählen Sie eines der folgenden Themen:

· Installation
· Freischaltung von WinOLS
· Sprache
· Checksummen
· Installation im Netzwerk
· Hauptbildschirm
· Projekte


Installation

Navigation: Startseite > Kurzanleitung >

Installation

Nach Starten des Installationsprogrammes WinOLS.EXE fragt der Installationsassistent zunächst nach der Zustimmung zum Lizenzvertrag. Diese ist natürlich Voraussetzung zur weiteren Installation. Dann wird nach einer Bestätigung des Standardpfades gefragt, welcher C:\Programme\EVC\WinOLS ist. Dieser sollte auch bei Netzwerkinstallationen beibehalten werden. Die Fahrzeugdaten können später in einem Verzeichnis auf dem Server gespeichert werden.

Auch die nächsten drei Abfragen brauchen nur mit „Weiter“ bestätigt zu werden.

Dann arbeitet das Programm bis zur Freischaltung im Demo-Modus. Die Hardware, also Simulator oder Eprommer werden nicht unterstützt. Außerdem können Sie keine Dateien speichern.

Achtung: Falls Sie alte Geräte wie einen OLS16 Simulator oder MP2440P Eprommer verwenden möchten, dann müssen Sie dies bei der Installation explizit aktivieren.


Freischaltung von WinOLS

Navigation: Startseite > Kurzanleitung >

Freischaltung von WinOLS

Mit dem Kauf der Lizenz bzw. des Updates auf WinOLS erwerben Sie das Recht zur zeitlich unbefristeten Freischaltung. Die Lizenz beinhaltet die Benutzung des Programms auf maximal 10 Computern innerhalb Ihres Firmenstandortes.

Installieren Sie daher WinOLS auf allen Computern, auf denen Sie es später benutzen möchten und schalten Sie es jeweils frei. Falls Sie WinOLS noch nicht erworben haben, setzten Sie sich bitte mit uns in Verbindung.

So schalten Sie einen PC WinOLS frei:

· Starten Sie WinOLS
· Wählen Sie aus dem "Sonstiges" Menü "WinOLS Freischalten".
· Folgen Sie den Anweisungen des Assistenten


Sprache

Navigation: Startseite > Kurzanleitung >

Sprache

Bei Deutsch oder Englischsprachigen Windows wird die Sprache automatisch entsprechend eingestellt. Alle anderen Landesversionen werden nicht automatisch erkannt. Die Einstellung erfolgt unter „Sonstiges > Konfiguration > Sonstiges > Sprache“. Nach dem Wählen der Sprache muss WinOLS beendet und neu gestartet werden.


Checksummen

Navigation: Startseite > Kurzanleitung >

Checksummen

WinOLS kann durch Checksummenen Module erweitert werden. Sie können diese bei EVC oder online auf evc.de erwerben und dann durch die WinOLS Updatefunktion installieren lassen.

Sie können den Zustand der aktuell installierten Checksummen Module unter "? > Info über Plugins" abfragen.


Installation im Netzwerk

Navigation: Startseite > Kurzanleitung >

Installation im Netzwerk

Zunächst wird wie oben beschrieben WinOLS auf jedem Arbeitsplatzrechner installiert. Auch die Freischaltung erfolgt auf jedem Rechner getrennt.

Erzeugen Sie ein gemeinsames Verzeichnis auf dem Server z.B.: „WinOLS-Daten“. Dieses Verzeichnis wird auf jedem Arbeitsplatz in „Sonstiges-Pfade-Pfad für Eprom-Daten“ eingestellt. Checksummen-DLLs können nicht in einem gemeinsamen Verzeichnis stehen, sondern sie müssen auf jedem Arbeitsplatzrechner in das Verzeichnis C:\Programme\EVC\WinOLS\DLLs kopiert werden.


Der Hauptbildschirm

Navigation: Startseite > Kurzanleitung >

Der Hauptbildschirm

Der WinOLS Hauptbildschirm bringt zahlreiche Elemente mit:

1. Umschaltung zwischen Mandanten
2. Suchfeld für Projekte, Versionen und Kennfelder. Tragen Sie hier einen Text ein um die Ansicht darauf zu reduzieren
3. Dropdown-Button für frühere Suchen
4. Optionen für die Kennfeldliste und die Suche
5. Button Projekteigenschaften und Schnellumschaltung (per schwarzem Dreieck) zwischen Elementen
6. Unwichtige Programmbereiche (Leerraum und Programmcode) werden blass dargestellt
7. Umschaltung der Bevorzugung von Hexdump oder Balken bei zu geringer Fensterbreite
8. Farbcodierte Übersicht des Projektes
9. Automatisch gefundenes, potentielles Kennfeld
10. Von Ihnen eingetragenes Kennfeld (Auch zu sehen unter "Meine Kennfelder")
11. Umschaltung des Sichtmodus zwischen Text, 2d und 3d
12. Checksummenstatus: Checksummen, Patches, Sync-Blöcke, Textuelle Beschreibung
13. Hardwarestatus (von OLS16 oder OLS300 Modulen)


Projekte

Navigation: Startseite > Kurzanleitung >

Projekte

Alle Eprom-Daten werden in WinOLS in sogenannten Projekten verwaltet, die aus einer Originaldatei und beliebig vielen geänderten Dateien bestehen. Sie werden zusammen mit den Fahrzeugdaten und Kommentaren in einer einzigen Datei gespeichert.

Hinweis:

Es ist nicht möglich fremde Quelldateien direkt zu bearbeiten. Da WinOLS zahlreiche Strukturinformationen benötigt muss jede Datei erst als WinOLS Projekt importiert werden (z.B. per Drag+Drop) um sie später wieder zu exportieren (oder direkt zu brennen oder zu schreiben).

Bitte wählen Sie eines der folgenden Themen:

· Erzeugen eines Projektes
· Aus einer Datei
· Aus einem Eprom
· Aus einem Steuergerät (über BDM100)
· Das Original
· Die Version


Erzeugen eines Projektes

Navigation: Startseite > Kurzanleitung > Projekte >

Erzeugen eines Projektes

Die Erzeugung eines neuen Projektes beginnt zunächst mit „Projekt-neu“. In dieses leere Projekt können nun Daten aus einer Datei oder aus einem Eprom eingelesen werden.


Aus einer Datei

Navigation: Startseite > Kurzanleitung > Projekte >

Aus einer Datei

Das Einlesen von Daten aus einer Datei geschieht mit „Projekt-Import Datei“,“Binär 8 oder 16 Bit“. Dann wird der Dateiname gewählt.

Sie können Dateien oder Outlook E-Mail Anhänge auch direkt per Drag+Drop ins WinOLS. Wenn Sie die Datei über einem bestehenden Projektfenster loslassen wird sie als Version für dieses Projekt importiert. Lassen Sie sie hingegen über dem WinOLS Rahmenfenster oder leerem Workspace los, erzeugt WinOLS automatisch ein neues Projekt.


Aus einem Eprom

Navigation: Startseite > Kurzanleitung > Projekte >

Aus einem Eprom

Soll ein Eprom ausgelesen werden, so ist zunächst unter „Hardware-Hersteller“ der Typ einzustellen und dann mit „Hardware-Eprom-Auslesen“ der Vorgang zu starten.


Aus einem Steuergerät (über BDM100)

Navigation: Startseite > Kurzanleitung > Projekte >

Aus einem Steuergerät (über BDM100)

Bestimmte Steuergeräte (eine Liste finden Sie auf der EVC Website) können mit der BDM100 Zusatzhardware ausgelesen werden. Dabei wird nicht nur das Eprom, sondern alle verfügbaren Speicher des Steuergerätes (z.B. der CPU-interne Speicher) auslesen. WinOLS legt dazu innerhalb von einem Projekt mehrere „Elemente“ an. (Elemente werden im Kapitel „Besondere Aspekte“ erklärt.)

Um ein Steuergerät über BDM100 auszulesen beachten Sie bitte die BDM100 Anleitung auf der EVC Website. Um den Auslesevorgang im WinOLS zu starten wählen Sie den Menüpunkt „Hardware-BDM-Auslesen“.


Das Original

Navigation: Startseite > Kurzanleitung > Projekte >

Das Original

Der erste eingelesene Datensatz wird automatisch als „Original“ abgespeichert, alle weiteren als „Versionen“. Diese Zuordnung kann aber später noch geändert werden. Für manche Checksummen ist es erforderlich, das die als Original gespeicherte Datei auch die unveränderte Datei aus dem Steuergerät ist.

Nach den Einlesen des Original erscheint ein Dialogfenster, das zur Eingabe der Fahrzeugdaten auffordert, um dieses Projekt später identifizieren zu können.


Die Version

Navigation: Startseite > Kurzanleitung > Projekte >

Die Version

Wenn Sie eine Version importiert haben, erscheint ein Dialogfenster, in das ein Name und eine Beschreibung eingegeben werden kann. Hier können Sie auch eine Datei einlesen, die Sie mit einem anderen Programm geändert haben und nur mit WinOLS den Checksummenabgleich durchführen wollen.

Versionsordner:

Standardmäßig werden Versionen einfach aufgelistet, aber Sie können auch Versionsordner verwenden um sie zu organisieren. Jede Version kann als Ordner dienen um anderen Version zu enthalten. Des weiteren können auch abstrakte Ordner (die nur Ordner sind, aber keine Version) andere Versionen enthalten. Die Versionsordner beeinflussen in keiner Weise den Inhalt der Version. Sie sind lediglich eine Möglichkeit um die Anzeige im Versionsdialog zu organisieren. Um die Versionsordner zu ändern, ziehen Sie einfach im Dialog Version öffnen eine Version an eine andere Stelle oder bearbeiten Sie die Eigenschaften der Version und ändern den Elternordner.


Typische Arbeitsabläufe

Navigation: Startseite

Typische Arbeitsabläufe

Bitte wählen Sie eines der folgenden Themen:

· Ein Projekt erstellen
· Kennfelder automatisch finden
· Kennfelder manuell finden (Textmodus)
· Kennfelder manuell finden (2d-Modus)
· Preview
· Kennfelder verändern
· Checksummen ausgleichen
· Daten aus anderen Projekten übernehmen


Ein Projekt erstellen

Navigation: Startseite > Typische Arbeitsabläufe >

Ein Projekt erstellen

Wählen Sie den Menüpunkt „Projekt > Neu“. Je nach Ihren Einstellungen erscheint jetzt ein leeres Projekt oder ein Assistent. Dieses Beispiel zeigt die Vorgehensweise ohne Assistent. Schließen Sie ihn also ggf.

Sie haben jetzt ein leeres Projekt und benötigen Daten (möglichst die Originaldaten). Entweder aus einer Datei oder aus einem Eprom. Um eine Datei zu importieren haben Sie mehrere Möglichkeiten:

1. Sie ziehen die Datei per „Drag und Drop“ in das leere Projektfenster.
2. Sie importieren die Datei über den Menüpunkt „Projekt > Ex- & Import > Import Datei“ oder sie aktivieren den Import durch die Tastatur mit Strg+I oder durch die Ikone „ [image] “. Wählen Sie dann Ihr Dateiformat aus, klicken auf „Ok“ und wählen anschließend die Datei aus.

Sie haben jetzt das Original importiert. Alle Versionen die Sie später erzeugen oder Importieren, werden automatisch mit dem Original verglichen und die Unterschiede werden auf dem Bildschirm farblich markiert. Wenn Sie jetzt noch eine Version importieren wollen, wiederholen Sie einfach die Schritte von oben.


Kennfelder automatisch finden

Navigation: Startseite > Typische Arbeitsabläufe >

Kennfelder automatisch finden

Wenn Sie ein Projekt erstellt haben, beginnt WinOLS automatisch nach einigen Sekunden mit der Suche nach Kennfeldern. Sie sehen dies in der Statuszeile am unteren Fensterrand. Sie können die Hintergrund-Kennfeldsuche mit den Menüpunkten im „Suche“ Menü steuern.

Sobald die Kennfeldsuche abgeschlossen ist, stehen ihn gleich mehrere Möglichkeiten offen, die Kennfelder zu betrachten:

· In der Projekt- und Kennfeldliste am linken Rand ist ein neuer Unterordner „Potentielle Kennfelder“ erschienen. Dies sind alle Kennfelder die bei der Suche gefunden wurden. Öffnen Sie den Ordner mit einem Mausklick. Klicken Sie auf Kennfelder um sie im Hexdump zu betrachten. Wenn das Preview-Fenster (Taste „P“) geöffnet ist, sehen Sie direkt eine 3d-Ansicht des potentiellen Kennfeldes.
· Benutzen Sie die Funktion „Ansicht > Kennfeld erkennen“ (Taste „F“) um im Hexdump zu nächsten („Shift+F“ für vorherigen) Kennfeld zu springen und es zu markieren.
· Jedes automatisch erkannte Kennfeld trägt im Hexdump ein kleines Schildchen mit dem Namen. Klicken Sie es an um die Darstellung für dieses Kennfeld zu optimieren. Doppelklicken Sie es um ein dauerhaftes Kennfeld zu erzeugen, was Sie leichter editieren. Klicken Sie mit der rechten Maustaste auf das Schild um weitere Optionen zu erhalten.


Kennfelder manuell finden (Textmodus)

Navigation: Startseite > Typische Arbeitsabläufe >

Kennfelder manuell finden (Textmodus)

Kennfelder manuell zu finden ist nicht ganz einfach und erfordert Erfahrung und Geschick. Wählen Sie zu erst den Ansichtsmodus, der Ihnen am meisten zusagt. Klicken Sie dazu auf die Tabs „Text > 2d > 3d“ am unteren Fensterrand oder verwenden Sie die Taste „T“ und „Shift+T“.

Dieser Abschnitt erklärt das manuelle finden von Kennfeldern im Textmodus. Eine entsprechende Beschreibung für den 2d-Modus finden Sie im nächsten Abschnitt.

Wählen Sie jetzt die Ansichtsparameter. Führen Sie dazu einen Doppelklick auf das Fenster durch und wählen Sie die „Werte“ (8 Bit, 16 Bit, ...). Neuere Steuergeräte verwenden meist 16-Bit Daten. Motorola Prozessoren meist die „HiLo“ Notation und Intel-Prozessoren meist „LoHi“. (Der Prozessorhersteller wird meist automatisch erkannt, Sie finden ihn unter „Projekt > Eigenschaften: Projekt“.)

Gehen Sie jetzt die Datei durch. Scrollen Sie mit der Maus (Mausrand oder Scrollbalken) oder den Tasten. Dazu noch einige Tipps:

· Blasse Zahlen sind in Bereichen die von WinOLS als Programmcode erkannt wurden. Sie sollten diese Bereiche ignorieren. Hier finden Sie normalerweise keine Kennfelder und Änderungen können zum Absturz der Software im Auto führen. Auch leere Bereiche sind blass und ebenfalls uninteressant.
· Verwenden Sie das Übersichtsfenster (Menüpunkt „Fenster > Übersicht“) um eine grobe Übersichtskarte des Projektes zu erhalten. Genau wie das Preview-Fenster können Sie auch dieses Fenster verschieben, in der Größe ändern, oder aufrollen (Button links vom X-Button).

Wenn Sie etwas gefunden haben, was ein Kennfeld sein könnte, versuchen Sie zuerst die Darstellung für dieses Kennfeld einzustellen. Dies geht in allen Ansichtsmodi, aber am präzisesten im Textmodus. Beginnen Sie mit der Anzahl der Spalten. In den Daten gibt es oft „Sprünge“ die eine neue Zeile im Kennfeld darstellen. Verändern Sie die Spaltenzahl so, dass die Sprünge alle genau untereinander sind. Mit den Taste „M“ und „W“ können Sie mehr oder weniger Spalten anzeigen lassen. Im Ansichtsmodus „Text“ können Sie mit der Maus die senkrechte Linie rechts vom Hexdump ziehen.

Abb: Kennfeld vor der Spaltenänderung

Abb: Kennfeld nach der Spaltenänderung

Jetzt kann man wahrscheinlich schon einiges vom Kennfeld erkennen. Jetzt verschieben wir den Anfang des Kennfeldes so, dass er auch in unserer Darstellung am Anfang einer Spalte liegt. Verwenden Sie dazu die Menüpunkte „Ansicht > Anfang nach links“ und „Ansicht > Anfang nach rechts“. (Tasten Strg + Cursor Links bzw. rechts.) Wenn auch das geschafft ist, markieren Sie das Kennfeld.

(Ein Tipp am Rande: Wenn die Balkendarstellung nichts anzeigt, dann müssen Sie den Wertebereich optimieren lassen. Wenn Sie das Kennfeld markiert haben, wählen Sie „Ansicht > Wertebereich optimieren“ oder drücken Strg+B. WinOLS wird dann so eingestellt, dass die im Kennfeld vertretenen Werte genau die Balkenhöhe ausreizen.)

Abb: Kennfeld mit korrektem Anfang

Abb: Markiertes Kennfeld

Wenn Sie das Preview-Fenster aktiviert haben, sehen Sie jetzt schon eine 3d-Ansicht ihrer Selektion. Mit dem Menüpunkt „Selektion > Selektion -> Kennfeld“ (Taste „K“) erzeugen Sie aus der Selektion ein neues Kennfeld. Das heißt, es geht ein neues Fenster auf und Sie können das Kennfeld bearbeiten.

Aber vorher noch einige Alternativen zum „Eingeben“ von Kennfeldern:

· Der Assistent „Kennfeldselektion unterstützen“ kann Ihnen hierbei helfen. Aktivieren Sie ihn über den Menüpunkt „Ansicht > Kennfeldselektion unterstützen“. Erst einmal passiert gar nichts (es sei denn, Sie haben gerade eine Selektion auf dem Bildschirm, dann wird er darauf angewendet ohne dauerhaft angeschaltet zu werden).
Wenn Sie jetzt eine Selektion mit der Maus erzeugen wird der Assistent versuchen diese zu optimieren. Er wird versuchen genau die Schritte die wir oben manuell gemacht haben (Spaltenzahl, Anfang, ...) automatisch zu erledigt. Sie sollten aber darauf achten, dass Sie immer nur Daten markieren, die zum Kennfeld gehören. Also: Lieber zu wenig markieren also zu viel.
· Mit dem Assistenten lässt sich prima die „Kennfeld-Selektion“ kombinieren. Aktivieren Sie sie ggf. mit dem Menüpunkt „Ansicht > Symbolleisten > Rahmen: Kennfeld-Selektion“. Wann immer Sie nun eine rechteckige Selektion erzeugen, dann können Sie danach mit dieser Symbolleiste die Selektion ändern. Sie können Sie den Anfang in X oder Y Richtung verschieben oder Sie können die Anzahl der Zeilen oder Spalten ändern.


Kennfelder manuell finden (2d-Modus)

Navigation: Startseite > Typische Arbeitsabläufe >

Kennfelder manuell finden (2d-Modus)

Das Finden von Kennfeldern geschieht im 2d-Modus ähnlich wie im Textmodus. Wählen Sie zunächst wie oben beschrieben die Ansichtsparameter (8 Bit, 16 Bit, ... / HiLo, LoHi) und gehen Sie dann die Datei durch, bis Sie ein mögliches Kennfeld finden. (Beachten Sie, dass Sie mit der Menüleiste „Rahmen: Ansicht“ die Zoomfaktor in X und Y-Richtung ändern können.)

Wenn Sie ein mögliches Kennfeld gefunden haben, müssen wir auch diesmal wieder zuerst die Spaltenzahl richtig einstellen. Im 2d-Modus werden die „Zeilenumbrüche“ durch senkrechte Linien symbolisiert. Standardmäßig unterbrechen die „Zeilenumbrüche“ die Linien der Daten, sie können dies aber auch in der Konfiguration (Seite Ansicht, im 2d-Bereich) abschalten.

Verändern Sie die Spaltenzahl so, dass die senkrechten Linien immer Parallel zu den „Sprüngen“ im Kennfeld sind. Mit den Taste „M“ und „W“ können Sie mehr oder weniger Spalten anzeigen lassen.

Abb: Kennfeld vor der Spaltenänderung

Abb: Kennfeld nach der Spaltenänderung

Auch hier müssen Sie wieder den Anfang verschieben („Ansicht > Anfang nach links“ und „Ansicht > Anfang nach rechts“ bzw. Tasten Strg + Cursor Links bzw. rechts.) Eventuell wird dadurch klar, dass die Spaltenanzahl noch nicht stimmt. Fangen Sie in dem Fall wieder beim obigen Schritt an.

Abb: Kennfeld mit korrektem Anfang

Abb: Markiertes Kennfeld

Jetzt müssen Sie das Kennfeld noch markieren, was im 2d-Modus nicht ganz einfach ist, denn die Pixel sind nahe beieinander. Markieren Sie daher das Kennfeld erstmal grob. Gehen Sie jetzt mit dem Mauscursor über den linken Rand der Selektion. Der Cursor wird zu einem Pfeil, der auf eine Linie zeigt. Klicken Sie hierhin und ziehen Sie den Cursor nach links oder rechts. Sie können so nicht nur die Selektion nachträglich verändern. WinOLS sorgt automatisch dafür, dass die Selektion immer genau an einem Zeilenumbruch anfängt. Wiederholen Sie dies für die rechte Seite der Selektion.

Einfacher geht es natürlich wieder mit dem Assistenten „Kennfeldselektion unterstützen“. Falls Sie ihn nicht immer anschalten möchten, können Sie ihn auch nur bei Bedarf einmalig anwenden. Klicken Sie einfach mit der rechten Maustaste in eine Selektion: (Das geht natürlich auch im Textmodus)


Preview

Navigation: Startseite > Typische Arbeitsabläufe >

Preview

Wenn Sie das Previewfenster angeschaltet haben, klappt es automatisch auf, sobald Sie eine rechteckige Selektion haben, die nicht breiter als 32 Spalten ist. Dies ist sehr hilfreich beim Einstellen der Kennfelder, aber man muss es verstehen, das Fenster zu „lesen“. Als kleine Starthilfe sehen Sie hier typische Ansichten:

Zu viel selektiert. Der hohe Bereich sieht anders aus und gehört nicht mit in das Kennfeld. Weil er viel „höher“ ist als der Rest, wird der Rest kleiner und damit schlechter zu erkennen:

Falsche Spaltenzahl. Achten Sie auf die „Sprünge“ die eine schräge Linie zu bilden scheinen.

Richtige Spaltenzahl, aber falscher Anfang. Mitten im Kennfeld ist ein „Sprung“.

Alles richtig:


Kennfelder verändern

Navigation: Startseite > Typische Arbeitsabläufe >

Kennfelder verändern

Warum überhaupt Kennfelder? Sicher, Sie können die Daten auch direkt im Hexdump bearbeiten. Aber Kennfelder anzulegen hat viele Vorteile:

· Sie bringen Struktur in Ihr Projekt und Sie finden die Kennfelder später leichter wieder.
· Sie können mehrere Fenster gleichzeitig offen haben.
· Sie sehen die Stützstellen korrekt, trotz additiver Verrechnung
· Sie können nicht irrtümlich Daten außerhalb des Kennfeldes ändern

Mit den oben beschriebenen Methoden haben Sie ein Kennfeld erzeugt und wollen es jetzt ändern. Also einfachste Möglichkeit können Sie mit den Tasten „+“ und „-“ den aktuellen Wert unter dem Cursor erhöhen oder verringern. Wenn Sie die Taste lange gedrückt halten, wird die Änderung immer schneller. Mit „Bearbeiten > Wert Original“ (Taste F11) kommen Sie immer zum Originalwert zurück.

Wenn Sie eine Selektion angelegt haben, bezieht sich das alles natürlich auf die Selektion. Sie können übrigens auch das Selektionsverhalten ändern. Normalerweise bleibt eine Selektion immer erhalten bis Sie sie löschen („Selektion > Selektion entfernen“ oder Taste „Entf“). Sie können WinOLS aber auch so konfigurieren („Sonstiges > Konfiguration“ oder F12), dass bei einem weiteren Mausklick die letzte Selektion automatisch gelöscht wird (auf der Seite „Sonstiges“).

Wenn Sie mit der rechten Maustaste auf eine Selektion klicken, erhalten Sie ein Menü mit zahlreichen weiteren Werkzeugen und die Selektion zu ändern. Abschließend sei aber noch eine ganz einfach Methode genannt. Drücken Sie die Eingabetaste, tippen Sie den neuen Wert einfach ein und drücken Sie wieder die Eingabetaste.


Checksummen ausgleichen

Navigation: Startseite > Typische Arbeitsabläufe >

Checksummen ausgleichen

Checksummen ausgleichen ist sehr einfach, weil dies meist von zusätzlichen Plugins erledigt wird. Diese müssen separat erworben werden, nehmen einem aber dafür auch die gesamte Arbeit ab.

Starten Sie den Checksummendialog über den Menüpunkt „Bearbeiten > Checksumme“ (Taste F2). Klicken Sie auf „Suchen“. Wenn Sie das passende Checksummenmodul besitzen, wird es automatisch angewendet und Checksummen Daten werden auf Wunsch automatisch berechnet und immer aktuell gehalten.

Falls Sie kein passendes Modul besitzen, können Sie Ihr aktuelles Projekt kostenlos und unverbindlich online prüfen lassen. Klicken Sie dazu auf „Checksummen online prüfen“. Das Projekt wird dann komprimiert und an den EVC Server geschickt (Internetverbindung erforderlich). Sekunden später erhalten Sie die Antwort, welches Checksummenmodul zu Ihren Daten passt.

Noch ein Hinweis: Einige Checksummenmodule brauchen zwingend eine intakte Originalversion. Das heißt, dass die in WinOLS als Originalversion hinterlegte Version der original Softwarestand aus dem Auto sein muss. Andernfalls kann es sein, dass Checksummen nicht richtig erkannt oder berechnet werden.


Daten aus anderen Projekten übernehmen

Navigation: Startseite > Typische Arbeitsabläufe >

Daten aus anderen Projekten übernehmen

Wenn Sie ein neues Projekt haben, was einem alten Projekt ähnelt, gibt es keinen Grund das Rad neu zu erfinden. WinOLS überstützt Sie mit vielen Möglichkeiten bei der Übernahme der Daten. Dies gilt sowohl für Strukturinformationen wie Kennfelder, als auch konkrete Änderungen.

WinOLS bietet dazu folgende Features:

· Änderungen übernehmen
· Referenzversion + Koppeln
· Kennfelder importieren
· Kennfeldpakete
· Skripte

Änderungen übernehmen

Dies ist die einfachste Möglichkeit Daten aus einem anderen, geöffneten Projekt in das aktuelle Projekt zu übernehmen. Wählen Sie den Menüpunkt „Projekt > Ex- und Import > Änderungen übernehmen“ (Taste Strg+Alt+I). Im automatischen Modus ermittelt WinOLS automatisch die Kennfelder und findet Sie im aktuellen Projekt wieder. Der manuelle Modus bereitet zwei Hexdumpfenster mit Referenzversion und Kopplung vor.

Referenzversion + Koppeln

Diese Modi erlauben das manuelle übernehmen einzelner Daten. Damit ist er sehr mächtig, aber auch komplizierter als der oben beschriebene Assistent. Sie können diese Modi manuell über die Menüpunkte im „Ansicht“ Menü einrichten oder wie oben beschrieben einrichten lassen. Danach haben Sie beide Projekte direkt nebeneinander. Wenn Sie das eine Projekt scrollen, dann scrollt das andere mit. Und um den Vergleich zu erleichtern wird das jeweils andere Projekt als „Referenzversion“ angesehen, das heißt dass die Versionsdaten des jeweils anderen Projektes als Originaldaten für das aktuelle Projekt verwendet werden (nur temporär, keine Sorge). Mit einem Rechtsklick auf eine Selektion oder ein Kennfeld im Hexdump können Sie die Daten übertragen (Menüpunkt „Werte übertragen“ bzw. „Kennfeld übertragen“)

Kennfelder importieren

Wenn Sie sicher sind, dass alle Kennfelder an der gleichen Adresse stehen, dann können Sie mit diesem Menüpunkt schnell und einfach alle Kennfeldinformationen aus einem anderen Projekt importieren. Dabei werden aber nur die Strukturinformationen (Adressen, Größe, ...) importiert. Die eigentlichen Daten werden nicht übernommen.

Kennfeldpakete

Ähnlich wie beim vorhergehenden Punkt, können Sie mit Kennfeldpaketen die Kennfelder übertragen. Allerdings müssen Sie hierbei die Kennfelder erst aus dem alten Projekt in eine Kennfeldpaket-Datei exportieren um sie dann in das neue Projekt zu importieren. Das hat mehrere Vorteile. Diese Dateien sind deutlich kleiner als Projektdateien, weil Sie nur Strukturinformationen beinhalten, keine Kennfeldwerte. Sie können daher leichter weitergegeben werden. Außerdem können Sie beim Import auch einen Offset für alle Kennfelder angeben.

Skripte

Diese Möglichkeit richtet sich eher an die Power-User. Mit Skripten („Projekt > Ex- und Import > Skripte“ oder Taste F8) können Sie Struktur und / oder Werte der Kennfelder in spezielle Skriptdateien exportieren. Diese Skriptdateien erkennen automatisch ob sie anwendet werden können und an welcher Stelle das Kennfeld liegt, was verändert werden sollen. Änderungen können absolut, als Differenz oder prozentual erfolgen. Verwenden Sie Skripte wenn Sie immer wieder ähnliche Änderungen an ähnlichen Daten vornehmen müssen.


Besondere Aspekte

Navigation: Startseite

Besondere Aspekte

Bitte wählen Sie eines der folgenden Themen:

· Tastaturkürzel
· Drag und Drop
· Mandanten
· Elemente
· Selektionen
· Kontextmenüs
· Mauscursor
· Fliegende Dialoge


Tastaturkürzel

Navigation: Startseite > Besondere Aspekte >

Tastaturkürzel

WinOLS unterstützt für viele Funktionen Tastaturkürzel. Die meisten sind direkt bei der Funktion im Pulldownmenü und im Tooltip der Ikone dokumentiert. Folgende Kürzel sind dort nicht gelistet:

Cursor + Navigation

Rollen | Schaltet in den Scroll-Modus. Jetzt können Sie mit der linken Maustaste bequem durch Hexdumps scrollen.
Strg+Hoch | Scrollt den aktuell sichtbaren Bereich nach oben
Strg+Runter | Scrollt den aktuell sichtbaren Bereich nach oben
Strg+Pos1 | Bewegt den Cursor an den Anfang des Fensters
Strg+Ende | Bewegt den Cursor an das Ende des Fensters
Shift+Cursortasten | Bewegt den Cursor und erzeugt dabei eine Selektion
Strg+Cursor l/r | Verschiebt die Anfangsadresse eines Hexdumps
Strg+Shift Cursor l/r | Rotiert die Ansicht (Nur 3d Modus)
T | Vorheriger Ansichtsmodus (3d -> 2d; 2d -> Text)
Shift+T | Nächster Ansichtsmodus (Text -> 2d; 2d -> 3d)
Strg+BildRauf | Seite nach oben (aber mit konfigurierbarer Sprungweite)
Strg+BildRunter | Seite nach unten (aber mit konfigurierbarer Sprungweite)

Sonderfälle mit Alt, Shift, Strg

Shift beim Programmstart | WinOLS startet ohne den letzen Arbeitsbereich zu laden
Strg beim Programmstart | Die Simulator Statusanzeige wird nicht initialisiert / verwendet.
Shift+Mousewheel | Es wird seitenweise statt zeilenweise gescrollt
Shift bei Kennfelderzeugung | Die automatische Kennfelderkennung wird unterdrückt
Strg+Mousewheel | Zoomfaktor bzw. Fontgröße einstellen
Strg+Shift+Mousewheel | Der Cursor wird über die geänderten Zellen bewegt

Mausfunktionen

Links: Klick | Die Cursorposition wird gesetzt
Links: Klick+Ziehen | Ein Bereich wird markiert
Links: Klick+Ziehen+Strg | Die aktuelle Markierung wird durch einen neuen Bereich erweitert
Links: Doppelklick | Das Menü ‘Eigenschaften: Fenster’ wird gestartet
Links: Doppelklick auf Adressspalte im Text-Hexdump | Das Menü ‘Gehe zu’ wird gestartet
Mitte: Klick+Mousewheel | Verändert die Selektion abhängig von der Cursorposition über der Selektion
Mitte: Klick+Mousewheel+ Shift | Wie oben, aber stärker
Rechts: Klick | Das Kontextmenü wird geöffnet


Drag und Drop

Navigation: Startseite > Besondere Aspekte >

Drag und Drop

WinOLS unterstützt Drag und Drop (auch Ziehen und Loslassen genannt). Sie können einfach eine Datei ziehen und über dem WinOLS Programmfenster loslassen. Sie können eine Datei aus dem Explorer oder einen Anhang aus einer in Outlook gespeicherten E-Mail rausziehen.

Normalerweise können Sie immer nur eine Datei in WinOLS ziehen und loslassen.

Die folgenden Dateitypen werden unterstützt:

· Binärdateien
· OLS und WinOLS Dateien (*.dat / *.ols)
· Kennfeldpaket-Dateien (*.kp)
· Selektionsdateien (*.blk)
· Intel hex Dateien (meist *.hex)
· Motorola hex Dateien (meist *.s19)
· Schlüsseldateien (*.scr)
· SPI Schlüsseldateien (*.spikey)
· Ifo-Dateien (*.ifo) / Ini-Dateien (*.ini)
· vSpire-Dateien (*.vSpire)

Die folgenden Dateitypen werden durch Plugins unterstützt:

· Vadis VBF Dateien (*.vbf; Vadis VBF Import/Export Plugin benötigt)
· Lua Skript Dateien (*.lua; External control Plugin benötigt)
· ASAP2 Dateien (meist *.a2l; Damos Plugin benötigt)
· Damos Dateien (meist *.dam; Damos Plugin benötigt)

Alle diese Dateiformate (bis auf Damos und ASAP2 Dateien) können auch im komprimierten Zustand (als *.zip oder *.rar Datei) importiert werden. Einfach die Archiv-Datei reinziehen.

Es gibt einige Tricks:

· Ziehen Sie die Datei in ein existierendes Projektfenster um eine neuen Version eines existierenden Projekts zu erzeugen.
· Ziehen Sie die Dateien in das Programm selber (zum Beispiel in die Menüzeile) um ein neues Projekt aus der Datei zu erzeugen.
· Wenn Sie eine Intel oder Motorola hex Datei in ein existierendes Projekt ziehen und dabei die STRG Taste gedrückt halten, dann wird WinOLS keine neue Version erzeugen, sondern die Daten in der aktuellen Version überschreiben.
· Sie können zwei Dateien auf einmal ziehen und loslassen, wenn es sich um das Format 16 Bit in Dateien handelt. WinOLS wird automatisch erkennen was die High und was die Low Datei ist.
· Damos Dateien können nur in existierende Projekte gezogen werden.
· Ziehen Sie die Schlüsseldatei in den Arbeitsbereich um die Konfiguration zu ändern, ziehen Sie sie in ein Projekt um die Projekteinstellungen zu ändern.
· Wenn beim Drag und Drop Vorgang das Zielfenster (WinOLS) verdeckt ist, bewegen Sie den Cursor (bei gedrückter Maustaste) einfach auf den WinOLS Eintrag in der Taskleiste (unterer Bildschirmrand) und warten ohne loszulassen. Das bringt das WinOLS Fenster in den Vordergrund.


Mandanten

Navigation: Startseite > Besondere Aspekte >

Mandanten

Grundlagen:

Mandanten erlauben ein schnelles Umschalten des Pfades mit den Eprom-Dateien. Dies beeinflusst die Projekt-Öffnen Funktion, das Suchen ähnlicher Projekte und das Anlegen neuer Projekte. Mit Mandaten können Sie Ihre Projekte besser sortieren. So können Sie eigene Ordner anlegen, z.B. für:

· Grosskunden
· Alte Projekte
· Mitarbeiter
· Fertige / Nicht fertige Projekte

Mandanten erstellen:

In der Konfiguration können Sie Mandaten auf einer eigenen Seite (unter den Pfaden) einstellen. Dort können Sie den Mandanten auch Namen geben um besser den Überblick zu behalten.

Den aktuellen Mandanten wechseln:

Sowohl in der Ikonenleiste "Navigation" als auch im Dialog "Projekt öffnen" finden Sie die Mandaten-Ikone (ein Hut) mit der Sie aus den vorkonfigurierten Mandanten wählen können.

Konsequenzen:

Alle Projekte, die nicht zum aktuellen Mandaten gehören (und in dessen Ordner liegen) sind für die Dateifunktionen von WinOLS unsichtbar. Sie tauchen nicht in der Projektliste auf und werden auch nicht für Funktionen wie "Ähnliche Projekte suchen" oder "Projekte aktualisieren" berücksichtigt.

Offene Projekte bleiben bei einem Mandantenwechsel bei ihrem bestehenden Mandanten und sie werden auch dort gespeichert. Aber auch für Sie beziehen sich die sonstigen Dateifunktionen wie "Ähnliche Projekte suchen" auf den aktuell gewählten Mandanten und nicht ihren eigenen. Um ein existierendes Projekt zu einem anderen Mandanten zu verschieben führen Sie einen Rechtsklick auf das Projekt im Dialog "Projekt öffnen" aus.

Wird ein neues Projekt erstellt (egal ob über die Neu-Funktion oder per Drag+Drop), dann wird es immer für den aktuell gewählten Mandanten erstellt.


Elemente

Navigation: Startseite > Besondere Aspekte >

Elemente

Grundlagen:

Früher gab es nur ein Steuergerät und nur ein Eprom. WinOLS konnte daher nur einen Datenbereich verwalten. Heute ist das anders. Ein Steuergerät kann Daten in mehreren Eproms, im Prozessor, im EEprom usw. haben. Daher kann auch WinOLS jetzt diese verschiedenen Daten verwalten. In WinOLS werden sie "Elemente" genannt.

Ein Projekt kann bis zu 8 Elemente enthalten (mindestens jedoch eins). Jedes Element enthält die Daten einer Hardware, z.B. vom Eprom.

Elemente sehen:

Standardmäßig zeigt Ihnen WinOLS das Eprom-Element. Sie sehen dies in der Titel den WinOLS-Fensters: "WinOLS – 1134.ols (Original) als Motor / Eprom". Wenn Sie ein Element aktiviert haben, zeigt Ihnen die Kennfeldliste nur Kennfelder (und potentielle Kennfelder), die in diese Element liegen. Auch andere Funktionen, wie das "Unterschiede" Fenster oder die die Suchfunktion ignorieren alle Daten die nicht im aktuellen Element liegen. Auch Exportfunktionen, die nur ein Element unterstützen (z.B. den Binärexport) wirken für das aktuelle Element.

Bitte beachten Sie: Standardmäßig beginnen alle Elemente in ihrer Zählweise bei der Adresse 0. Sie können also ein Kennfeld im Eprom bei der Adresse 0 und ein Kennfeld in der CPU bei Adresse 0 haben. Trotzdem sind das unterschiedliche Kennfelder mit unterschiedlichen Inhalten.

Das aktuelle Element wechseln:

Neben dem Button "Eigenschaften: Projekt" (ein grünes P in der Symbolleiste "Navigation") finden Sie ein kleines schwarzes Dreieck. Wenn Sie dort drauf klicken geht ein kleines Menü auf, in dem Sie alle Elemente finden, die das aktuelle Projekt enthält. Klicken Sie einfach auf das gewünschte Element um es zu aktivieren.

Alternativ können Sie (falls mehrere Elemente vorhanden sind) in den Projekteigenschaften die "Einsatzart" ändern um den gleichen Effekt zu erzielen.

<Alle Elemente>:

In der Auflistung der Elemente finden Sie auch den Eintrag "<Alle Elemente>". Er zeigt alle Elemente gleichzeitig in einem einzigen, langen Hexdump an. Dies kann hilfreich sein, wenn Sie Elemente definieren wollen oder Kennfelder suchen bei denen Sie nicht wissen in welchem Element sie sind.

Elemente bearbeiten & definieren:

WinOLS legt die Elemente beim Auslesen eines Steuergerätes bzw. beim Import einer BdmToGo Datei an. Falls Sie diese Definition ändern möchten, öffnen Sie die Projekteigenschaften und klicken auf den Button "..." neben Einsatzarten. Die Hilfe zu diesem Dialog "Mehrere Elemente im Projekt" erklärt alles Weitere.

Elemente vs. Versionen:

Ein Projekt kann bis zu 8 Elemente und beliebig viele Versionen enthalten. Dabei sind bei allen Versionen eines Projektes die Elementdefinitionen (Anzahl, Größe, Bereich) immer identisch. Es kann also nicht sein, daß das Eprom im Original eine andere Größe hat als in Version 1. Wechseln Sie die aktuelle Version, dann bezieht sich dieser Wechsel immer auf alle Elemente des Projektes.


Selektionen

Navigation: Startseite > Besondere Aspekte >

Selektionen

Grundlagen:

Wenn Sie mehrere Datenfelder auf einmal verändern wollen, dann müssen Sie sie vorher selektieren. Das ist im Grunde genommen sehr einfach und geht per Maus wie in jedem Windows Programm: Klicken Sie irgendwohin (linke Maustaste), halten Sie die Maustaste gedrückt und bewegen Sie die Maus. Schon erzeugen Sie eine Selektion.

Aber es gibt Tricks.

Selektionsmodi:

WinOLS kann auf 4 verschiedene Arten selektieren: Fortlaufend, Rechteck, Zeilen oder Spalten. Am besten Sie probieren jeden Modus mal aus. Den aktuell gewählten Modus erkennen Sie im Menü ’Selektion’ / ’Selektionsmodus’, im Standard Popup Menü und ggf. in den Symbolleisten, falls Sie die Leiste ’Selektion’ aktiviert haben.

Trick: Sie können eine Selektion auch nachträglich ändern, falls Sie den falschen Modus gewählt haben. Erstellen Sie dazu wie gewohnt eine Selektion und wechseln sofort danach den Selektionsmodus. Die Selektion wird sich an den neuen Modus anpassen.

Trick: Im Textmodus können Sie Zeilen selektieren indem Sie auf die Adressspalte klicken.

Konfiguration:

Sie können WinOLS bzgl. der Selektionen auf zwei verschiedene Arten betreiben. Die aktuell gewählte Art sehen Sie im Konfigurationsmenü im Tab ’Sonstiges’ unter ’Selektion bei Cursorbewegung löschen’.

Ist dieses Kreuzfeld aktiviert, dann verschwindet die Selektion sobald Sie die Cursorposition ändern. Dies ist bei vielen Windows Anwendungen üblich. Dies macht so genannte Mehrfachselektionen aber etwas schwieriger. Wenn Sie zur aktuellen Selektion nämlich einen weiteren Block hinzufügen möchten, dann müssen Sie dabei die Taste ’Strg’ gedrückt halten.

Falls Sie das Kreuzfeld nicht aktiviert haben, dann können Sie einfach erneut Selektieren um die aktuelle Selektion zu erweitern. Wenn Sie die Selektion wieder aufheben möchten, drücken Sie einfach die Taste ’Entfernen’.

Spezielles:

Im Menü ’Selektion’ finden Sie noch einige besondere Menüpunkte. Damit können Sie z.B. alle aktuell sichtbaren Zellen markieren oder die Selektion umkehren.

Clipboard:

Sie können Selektion wie in Windows üblich kopieren und woanders wieder einfügen. Kleinere Selektionen können Sie sogar im Suchfenster als Suchtext einfügen.

Laden und Speichern:

Sie können Selektionen auf der Festplatte speichern und später wieder laden. Dies erzeugt ’blk’ Dateien. Die entsprechenden Menüpunkte finden Sie im Menü ’Selektion’. Sie können zum Laden von Selektionen auch einfach eine blk Datei per ’Drag and Drop’ in WinOLS ziehen.


Kontextmenüs

Navigation: Startseite > Besondere Aspekte >

Kontextmenüs

Kontextmenüs sind alle Menüs die erscheinen, wenn Sie mit der rechten Maus in ein Fenster klicken. Diese Menüs enthalten Funktionen, die sich speziell auf den aktuellen Kontext (also da wo man hinklickt) beziehen.

Alle Einträge in Kontextmenüs zeigen Hilfetexte in der Statuszeile (unten) an, wenn Sie den Mauscursor über den jeweiligen Eintrag bewegen.

Folgende Kontextmenüs werden von WinOLS verwendet.

Alle Ansichtsmodi:

Klick in die Daten: Es erscheint ein allgemeines Kontextmenü mit Funktionen zum Editieren und Navigieren.

Klick in selektierte Daten: Es erscheint ein Kontextmenü zum Ändern der Selektion und zum Editieren des Inhalts.

Klick in ASCII oder Balken Daten: Es erscheint ein Kontextmenü zum Einstellen des Ansichtsmodus für die rechte Seite.

Ansichtsmodi ’Text’ und ’2d’:

Klick auf die Überschrift eines potentiellen Kennfeldes: Es erscheint ein Kontextmenü zum Arbeiten mit den potentiellen Kennfeldern

Ansichtsmodus ’Text’:

Klick auf die einfache vertikale Linie: Es erscheint ein Kontextmenü zum Verändern der Spaltenzahl.

Nur Kennfeld: Klick in die Stützstellen oder die Ecke links oben: Es erscheint ein Kontextmenü zum ändern (oder speichern) der Einheiten (Faktor, Offset, Name, etc.)

Ansichtsmodus ’2d’:

Klick auf die vertikale oder horizontale Skala: Es erscheint ein Kontextmenü zum Einstellen des Zoomfaktors.

Fenster ’Übersicht aller Kennfelder’:

Klick auf Projekt oder Kennfelder: Es erscheint ein Kontextmenü zum Öffnen, Schließen, Kopieren oder Löschen von Fenstern.


Mauscursor

Navigation: Startseite > Besondere Aspekte >

Mauscursor

WinOLS zeigt durch den aktuellen Mauscursor Informationen darüber an, was im Augenblick durch einen Mausklick (mit der linken Maustaste) erreicht werden kann.

Folgende Mauscursor werden (abgesehen vom normalen Mauscursor) verwendet.

Ansichtsmodus ’Text’:

Dieser Cursor erscheint, wenn Sie die Maus über die doppelte Linie eines Hexdumps bewegen (rechts von der Adressleiste). Klicken und ziehen Sie um den Bildausschnitt vertikal zu verschieben.

Dieser Cursor wird angezeigt, wenn Sie die Maus über die einfache Linie eines Hexdumps bewegen (zwischen Hexdump und Balken). Klicken und ziehen Sie um die Anzahl der Spalten zu verändern.

Ansichtsmodus ’2d’:

Dieser Cursor erscheint, wenn Sie die Maus über den unteren Zahlenstrahl bewegen. Klicken und ziehen Sie um den Bildausschnitt horizontal zu verschieben.

Dieser Cursor erscheint, wenn Sie die Maus über den rechten Zahlenstrahl bewegen. Klicken und ziehen Sie um den Bildausschnitt vertikal zu skalieren.

Dieser Cursor erscheint, wenn Sie die Maus über das linke Ende einer Selektion bewegen. Klicken und ziehen Sie um den Selektionsanfang zu verschieben.

Dieser Cursor erscheint, wenn Sie die Maus über das rechte Ende einer Selektion bewegen. Klicken und ziehen Sie um das Selektionsende zu verschieben.

Dieser Cursor wird angezeigt, wenn Sie die Maus über eine Zeilenumbruchslinie in einer Selektion bewegen. Klicken und ziehen Sie um die Anzahl der Spalten zu verändern.

Dieser Cursor wird angezeigt, wenn Sie die Maus außerhalb einer Zeilenumbruchslinie in einer Selektion bewegen. Klicken und ziehen Sie um die Startadresse (und damit den Zeilenumbruch) zu verändern.

Dieser Cursor wird angezeigt, wenn Sie der Mauscursor direkt über dem 2d-Wert ist, bei dem sich entweder auch der Bearbeitungscursor befindet oder der innerhalb einer Selektion ist. Klicken und ziehen Sie um den Wert / alle Werte in der Selektion zu verändern. Sie können diese Funktion auch auf in die Konfiguration unter "2d" abschalten.

Ansichtsmodus ’3d’:

Dieser Cursor erscheint, wenn Sie die Maus über den rechten oder linken Eckpunkt des Bodenrasters bewegen. Klicken und ziehen Sie um die Stärke der Perspektive zu verändern.

Dieser Cursor erscheint, wenn Sie die Maus über den vorderen Eckpunkt des Bodenrasters bewegen. Klicken und ziehen Sie um die Ansicht zu rotieren.

Dieser Cursor wird angezeigt, wenn Sie der Mauscursor entweder direkt über dem 3d-Wert ist, bei dem sich auch der Bearbeitungscursor befindet oder innerhalb einer Selektion ist. Klicken und ziehen Sie um den Wert / alle Werte in der Selektion zu verändern. Sie können diese Funktion auch auf in die Konfiguration unter "3d" abschalten.


Fliegende Dialoge

Navigation: Startseite > Besondere Aspekte >

Fliegende Dialoge

In WinOLS gibt es zahlreiche so genannte "fliegende" Dialoge. Dies sind Dialogfenster die über dem normalen Arbeitsbereich liegen ohne ihn zu blockieren. In der Praxis bedeutet dies, dass Sie mit normal mit WinOLS arbeiten können obwohl das Fenster offen ist und (perspektivisch gesehen) über dem Arbeitsbereich liegt. So können Sie z.B. Arbeiten noch während das Suchfenster offen ist und seine Ergebnisse anzeigt.

Sie können diese Dialoge einzeln (mit den jeweiligen Tasten, Ikonen und Menüeinträgen) an und ausschalten. Oder Sie können mit der Tab-Taste (links von der Q-Taste) alle derzeit sichtbaren fliegenden Dialog an und ausschalten.

Sie erkennen fliegende Dialoge daran, dass die "Titelleiste" (der blaue Balken wo der Name des Fensters drin steht) dünner ist als bei normalen Fenstern.

Alle fliegenden Fenster sind übrigens "magnetisch", das heißt wenn Sie sich beim Verschieben an den Rand des Fensters oder des Bildschirms nähern, springen sie exakt dahin um eine besonders "angenehme" Positionierung zu unterstützen.

Folgende Fenster fliegen:

· Übersicht
· Unterschiede
· Übersicht aller Kennfelder
· Preview
· Suche nach Bytefolge / Text

Das Fenster "Übersicht aller Kennfelder" hat dabei einen Sonderstatus, weil es zwei Zustände haben kann. Wenn es am Fensterrand (links oder rechts) fest angedockt ist, dann gilt als nicht als fliegendes Fenster. Sie können zwischen den zwei Zuständen (angedockt / fliegend) wechseln indem Sie auf die auf den Überschrifttext des Fensters doppelklicken.


Reseller

Navigation: Startseite > Besondere Aspekte >

Reseller

Grundlagen:

Reseller sind ein Mechanismus mit dem WinOLS-Anwender Projekte an andere Anwender weitergeben oder verkaufen können. Wer seine Daten zur Verfügung stellen möchte, kann sich dazu bei EVC als Reseller registrieren lassen. Wer von einem Reseller Daten beziehen möchte, muss sich dazu lediglich von einem bereits registrierten Reseller als Kunde eintragen lassen (und dann die Update-Funktion auslösen). Er erhält dann im Menü "Projekt öffnen" die Möglichkeit auf die Drittdaten wie über einen Mandanten (Hut-Icon) zuzugreifen.

Credits:

Grundlage der Abrechnung zwischen Reseller und Käufer sind Credits. Jede Datei kostet standardmäßig 10 Credits, in den Projekteigenschaften kann vom Reseller jedoch ein anderer Wert (einschließlich 0) eingetragen werden. Es gibt für jede Reseller/Käufer Kombination ein eigenes Credits-Konto. Der reale Wert kann jeweils zwischen Reseller und Käufer ausgehandelt werden.

Registrierung für Reseller:

Bitte melden Sie sich dazu bei EVC. Nach der Registrierung werden Sie beim nächsten Auslösen der Update-Funktion automatisch als Reseller eingerichtet. Es wird ein spezieller Mandant (mit entsprechendem Datei-Ordner) angelegt. Alle Projekte die Sie hier speichern werden automatisch vom WinOLS auf dem EVC Server für Sie gespeichert.


Befehle des Menüs Projekt

Navigation: Startseite

Befehle des Menüs Projekt

Das Menü Projekt enthält die folgenden Befehle:

Neu | Erstellt ein neues leeres Projekt
Öffnen | Öffnet ein bestehendes Projekt
Öffnen: Version | Öffnet eine weitere Version des aktueller Projektes
Schließen | Schließt ein geöffnetes Dokument
Speichern | Speichert ein geöffnetes Projekt unter seinem Dateinamen
Alle Speichern | Speichert alle geöffneten Projekte unter ihren angegebenen Dateinamen
Eigenschaften: Projekt | Zeigt die Eigenschaften des aktiven Projektes an
Eigenschaften: Version | Zeigt die Eigenschaften der aktiven Version des aktiven Projektes an
Ähnliches Projekt suchen | Durchsucht alle Projekte auf der Festplatte nach identischen Hexdump-Daten.
Doppelte Versionen suchen | Durchsucht alle Dateien nach Versionen die doppelt vorhanden sind.
Alle Projekte aktualisieren | Aktualisiert Informationen in allen Projekten
Ex- & Import | Siehe unten
Drucken | Druckt ein Dokument
Druckvorschau | Erlaubt eine Vorschau auf das Druckergebnis
Druckereinrichtung | Wählt einen Drucker und eine Druckerverbindung
Beenden | Beendet WinOLS

Im Untermenü Ex- und Import finden sich folgende Punkte:

Import Datei | Erstellt eine neue Version aus einer Datei (Raw, Intel oder Motorola).
Export Datei | Erstellt eine neue Datei (Raw, Intel oder Motorola) aus einer Version.
Projekt als Mail versenden | Öffnet eine neue E-Mail und hängt das aktuelle Projekt oder die aktuelle Version als Anhang dran.
Verzeichnis importieren | Erlaubt das Importieren ganzer Verzeichnisse in das aktuelle WinOLS Verzeichnis
Export CSV-Kennfeldliste | Erzeugt eine (von Excel lesbare) CSV-Datei die eine Liste aller Kennfelder enthält
Export Kennfeldpaket | Exportiert eine Liste der Kennfelder in einer kp-Datei zum späteren Import
Import Kennfeldpaket | Import eine zuvor exportierte kp-Datei
Kennfelder importieren | Erlaubt das Importieren aller Kennfelder aus einer anderen WinOLS Datei
Änderungen übernehmen | Übernimmt Kennfelder aus einem anderen Projekt, selbst wenn diese verschoben wurden.
Damos & ASAP2 Import | Erlaubt den Import von Kennfeldern aus DAM oder A2L Dateien. Diese Funktion benötigt das Damos-Plugin


Der Befehl Neu (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt >

Der Befehl Neu (Menü Projekt)

Verwenden Sie diesen Befehl zur Erstellung eines neuen Projektes in WinOLS aus einer bestehenden Binärdatei, Eprom oder Steuergerät. Standardmäßig erscheint nach dem erstellen des neuen Fensters der oben abgebildete Dialog. Dieser ist allerdings abschaltbar.

Zum Öffnen einer bereits bestehenden Datei dient der Befehl Öffnen

Wenn Sie beim Klick auf die Ikone in der Symbolleiste die Umschalttaste gedrückt halten, wird nach dem Öffnen des leeren Projektfensters direkt der Import Dialog geöffnet.

Falls Sie den Dialog abgeschaltet haben, können Sie (nachdem Sie ein neues Projekt erzeugt haben)...

· Ein Binärfile importieren
Öffnen Sie das ’Projekt ’ Menü und das ’Import / Export’ Untermenü. Wählen Sie ’Datei importieren’. Jetzt können Sie eine einfache Datendatei oder einen anderen Dateityp importieren. Wenn Sie unsicher sind, welcher Dateityp Ihnen vorliegt, können Sie auch ’Ziehen und Fallenlassen’ verwenden. Dazu klicken Sie auf die Datei im Explorer und ziehen sie in das leere Projektfenster von WinOLS. WinOLS erkennt die meisten Dateitypen automatisch, wenn Sie ’Ziehen und Fallenlassen’ verwenden.
· Daten aus einem Eprom lesen
Öffnen Sie das ’Hardware’ Menü und wählen Sie ’Hersteller’ um den Epromtyp einzustellen, den Sie verwenden. Öffnen Sie erneut das ’Hardware’ Menü und wählen Sie ’Auslesen’ vom ’Eprom’ Untermenü.
· Daten aus einem Steuergerät über ein BDM100 Modul auslesen
Öffnen Sie erneut das ’Hardware’ Menü und wählen Sie ’Auslesen’ vom ’BDM’ Untermenü.

Abkürzungen:

Symbolleiste:

Tastatur: STRG+N


Der Dialog Datenorganisation (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt > Der Befehl Neu (Menü Projekt) >

Der Dialog Datenorganisation (Menü Projekt)

Dieser Dialog wird in verschiedenen Bereichen angezeigt.

Beim Import von Versionen kann hiermit die Art der Datenquelle festgelegt werden. Beim Export der aktuellen Version wird die Art der Datei(en) festgelegt, die erzeugt werden soll.

Als erstes können Sie das Dateiformat wählen. Binärdateien enthalten die reinen Eprom-Daten ohne irgendwelche Steuerinformationen. Sie können auch aus zwei Dateien gelesen werden (Immer abwechselnd ein Byte). Außerdem können Sie OLS Dateien lesen und WinOLS Dateien lesen und schreiben. Sie erkennen OLS Dateien am Dateisuffix ‘.dat‘ und WinOLS Dateien am Dateisuffix ‘.ols‘. Wenn Sie ols-Dateien exportieren, können Sie auch ältere Versionen erzeugen. (WinOLS benötigt aufgrund der ständigen Verbesserungen immer neue Dateiformate. Wenn Sie eine OLS-Datei erzeugen, wollen die auch von einer alten WinOLS-Version gelesen werden kann, können Sie dies hier einstellen.)

Sie können auch sog. Intel-Hex Dateien lesen und schreiben. Intel-Hex Dateien tragen meist den Dateisuffix ‘.hex‘ oder auch ‘.paf‘ oder ‘.daf‘. Des Weiteren können Sie sog. Motorola-Hex Dateien lesen und schreiben. Diese Dateien tragen meist den Suffix ‘.s19‘.

Auf Wunsch kann ein beim Import / Export eine Vertauschung der Datenleitungen stattfinden, genau wie es bei Verwendung des integrierten Eprommers passieren würde. Damit diese Option aktiv ist, muss ein Hersteller selektiert sein und die Vertauschung für das Eprom aktiviert sein.

Des Weiteren ist es möglich Daten und Leitungen gemäß zu verschlüsseln, genau wie es bei Verwendung des integrierten Eprommers passieren würde. Damit diese Option aktiv ist, muss eine Verschlüsselung im Hersteller-Menü ausgewählt sein und eine Schlüsseldatei eingestellt worden sein. Genauso kann eine SPI Verschlüsselung aktiviert werden, falls zuvor eine SPI Datei ausgewählt wurden.

Danach kann ein Adressbereich konfiguriert werden. Diese Option ist bei Import nur verfügbar wenn im Projekt bereits eine Version existiert. Beim Export ist sie immer verfügbar.

Wenn Sie exportieren, können Sie außerdem das Ergebnis ‘zippen‘. So entsteht eine komprimierte (=kleinere) Datei, die sich gut zum Versand per E-Mail geeignet. Zum entpacken dieser Dateien dienen Programm wie z.B. WinZip (www.winzip.com).

Wenn Sie in ein Projekt importieren was bereits Versionen hat, so können Sie sich entscheiden keine neue Version zu erzeugen, sondern die aktuelle Version zu überschreiben. Dies ist insbesondere dann sinnvoll, wenn Sie mehrere Intel oder Motorola Dateien zusammenfügen möchten.

Hinweise zu Dateiformaten: BdmToGo Dateien können nur exportiert werden, wenn das Projekt in den Projekteigenschaften als BDM Projekt gekennzeichnet ist.

Hinweise zum exportieren von Elementen: Falls das Dateiformat keine Elemente unterstützt wird nur das derzeit aktive Element exportiert. Wenn Sie alle Elemente exportieren möchten, wählen Sie vor dem Export <Alle Elemente>. Wenn das Dateiformat Elemente unterstützt (nur OLS und BdmToGo Dateien), werden grundsätzlich alle Elemente exportiert, egal welches Element gerade aktiv ist.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Öffnen (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt >

Der Dialog Öffnen (Menü Projekt)

Dieser Dialog dient dem Suchen, Verwalten und Öffnen von Projekten. Er zeigt alle Projekte im aktuellen Ordner. Sie können über die Hut-Ikone rechts oben den aktuellen Mandanten und damit Ordner wechseln.

Filter Tabs:

Mit den Tabs am oberen Rand des Dialogs können Sie wahlweise Alle Projekte, nur heute bearbeitete Projekte oder Projekte bei denen der Hersteller mit einem bestimmten Buchstaben anfängt anzeigen. Die Buchstaben können Sie auch mit den Tastaturkürzeln Strg+A bis Strg+Z aktivieren. Um auszuwählen, welche Tabs Sie wünschen, klicken Sie sie mit der rechten Maustaste an.

Suchfunktion:

Sie können einfach so Buchstaben eintippen um zu dem nächsten Eintrag zu springen der damit anfängt. Die Buchstaben sehen Sie im Kombinationsfeld (unten). Falls Sie das Kreuzfeld "Filtern statt suchen" aktivieren, werden nur Projekte angezeigt auf die das Suchkriterium zutrifft.

Bei der Suchfunktion können Sie Worten ein Minuszeichen voranstellen um Projekte die dieses Wort enthalten aus dem Ergebnis ausschließen. Des weiteren können Sie Worte in Anführungszeichen setzen um nur Projekte zu suchen bei denen diese Worte genau so hintereinander in den Daten stehen (und nicht verteilt an mehreren Stellen).

Kontextmenü:

Die Tabs und die Tabellenüberschriften haben jeweils ein eigenes Kontextmenü was durch anklicken mit der rechten Maustaste erreicht werden kann und Konfigurationsmöglichkeiten bietet. Auch durch das anklicken von einzelnen oder mehreren Projekten in der Liste erreichen Sie ein Kontextmenü. Hier stehen Ihnen u.a. Optionen zum bearbeiten, verschieben, versenden per E-Mail, dem Export der Liste als Text und dem Massenexport der Dateien zur Verfügung.

Hinweis: Es kann passieren, dass nicht alle Dateien angezeigt werden und die Titelzeile des Fensters den Text ’Nur fertige Projekte’ enthält. In diesem Fall haben Sie den Entwickler Modus deaktiviert. Als Folge können Sie nur fertige Projekte sehen / öffnen und Sie können Projekte nicht verändern. Wenn Sie den Entwickler-Modus aktivieren wollen, öffnen Sie das Konfigurationsmenü, gehen auf die Seite ’Sonstiges’ und schalten den ’Nicht-Entwickler Modus’ ab.

Abkürzungen:

Symbolleiste:

Tastatur: Strg+O / ö


Der Dialog Massenexport

Navigation: Startseite > Befehle des Menüs Projekt > Der Dialog Öffnen (Menü Projekt) >

Der Dialog Massenexport

Der Dialog Massenexport ist ein Unterdialog des Dialogs 'Projekt Öffnen' und wird durch dessen Kontextmenü erreicht. Er erlaubt den Export aller zuvor markierten Projekte. Hierbei kann gewählt werden welche Versionen exportiert werden sollen und in welchem Format dies geschehen soll.

Für den Dateinamen können Sie ein eigenes Schema aus Vorlagen erstellen. Diese Schema kann auch einen Backslash ("\") enthalten um so eine eigene Unterverzeichnisstruktur zu erstellen.


Der Dialog Öffnen: Version (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt >

Der Dialog Öffnen: Version (Menü Projekt)

Dieser Dialog dient dem Auswählen und Verwalten von Versionen. Mit den gleichnamigen Buttons können Versionen dupliziert, in ihrer Beschreibung geändert oder gelöscht werden. Per Drag+Drop können Sie die Versionsordner für die Versionen ändern.

Mit dem Button ‘Als Original‘ kann die selektierte Version zum Original gemacht werden. Als Folge beziehen sich alle Vergleich dann auf diese Version. Die ehemalige Originalversion wird nicht gelöscht, sie wird an die Stelle der selektierten Version gesetzt (Vertauschung).

Außerdem können Sie Kommentare zu den Version und zu dem Projekt selber im oberen rechten Bereich des Dialogs betrachten und bearbeiten. Mit dem Karteireitern können Sie den Kommentar wählen, der derzeit dargestellt werden soll. Außerdem können Sie hiermit eine Zusammenfassung anzeigen, die allerdings nicht editiert werden kann.

Rechts unten wird eine Liste angezeigt. Sie enthält alle Kennfelder, die in dieser Version gegenüber der Originalversion geändert werden. Sie wird automatisch generiert und kann nicht verändert werden.

Abkürzungen:

Symbolleiste:

Tastatur: Strg+Shift+O / Ö


Der Befehl Schließen (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt >

Der Befehl Schließen (Menü Projekt)

Verwenden Sie diesen Befehl, um alle Fenster zu schließen, die das aktive Dokument enthalten. WinOLS schlägt Ihnen dabei vor, die Änderungen an Ihrem Dokument vor dem Schließen zu speichern. Falls Sie ein Dokument ohne zu speichern schließen, gehen alle Änderungen verloren, die Sie seit dem letzten Speichern des Dokuments vorgenommen haben.

Ein Dokument lässt sich auch mit Hilfe des Schließsymbols schließen, wie nachfolgend gezeigt wird:

Abkürzungen:

Symbolleiste: -

Tastatur: Strg+F4


Der Dialog Änderungen Speichern (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt > Der Befehl Schließen (Menü Projekt) >

Der Dialog Änderungen Speichern (Menü Projekt)

Dieser Dialog wird angezeigt wenn Sie ein Projekt schließen und es noch ungespeicherte Änderungen gibt.

Mit den Kreuzfeldern können Sie einstellen welche Änderungen Sie speichern wollen. Sie können Änderungen in den Eprom-Daten unabhängig von Änderungen in der Kennfeldstruktur speichern. Die mit den Kreuzfeldern gemachten Einstellungen werden nur wirksam wenn Sie den Dialog mit ‘Ok‘ bestätigen.

Wenn Sie den Dialog mit ‘Abbrechen‘ verlassen, wird nichts gespeichert, aber das Projekt wird auch nicht geschlossen. Es gehen also keine Daten verloren.

Mit dem Knopf ‘Schliessen OHNE zu speichern‘ schließen sie (egal wie die Kreuzfelder eingestellt sind) das Projekt und verwerfen alle Änderungen.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Änderungen Speichern (Tabellenform) (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt > Der Befehl Schließen (Menü Projekt) >

Der Dialog Änderungen Speichern (Tabellenform) (Menü Projekt)

Dieser Dialog wird angezeigt wenn Sie WinOLS schließen und es noch ungespeicherte Änderungen in mindestes einem Projekt gibt.

Mit der Tabelle können Sie einstellen welche Änderungen Sie speichern wollen. Sie können Änderungen in den Eprom-Daten unabhängig von Änderungen in der Kennfeldstruktur speichern. Die mit den Kreuzfeldern gemachten Einstellungen werden nur wirksam wenn Sie den Dialog mit ‘Ok‘ bestätigen. Um die Tabelle zu verändern, klicken Sie entweder auf die Knöpfe "alle" bzw. "keine" unter der jeweiligen Spalte. Oder Sie klicken direkt auf das Wort "Ja" oder "Nein".

Wenn Sie den Dialog mit ‘Abbrechen‘ verlassen, wird nichts gespeichert, aber das Projekt wird auch nicht geschlossen. Es gehen also keine Daten verloren. WinOLS wird nicht beendet,

Mit dem Knopf ‘ALLE schliessen OHNE zu speichern‘ schließen Sie (egal wie die Tabelle eingestellt ist) alle Projekte und verwerfen alle Änderungen. Es gibt keine weiteren Sicherheitsabfragen.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Befehl Speichern (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt >

Der Befehl Speichern (Menü Projekt)

Verwenden Sie diesen Befehl, um die aktive Version des aktiven Projektes unter seinem momentanen Namen und Verzeichnis zu speichern.

Oftmals hat man mehrere Fenster für die aktuelle Version, geöffnet. Da nicht das Fenster, sondern die Version gespeichert wird, wirkt dieser Befehl effektiv für alle Fenster der Version.

Abkürzungen:

Symbolleiste:

Tastatur: Strg+S


Der Befehl Alle Speichern (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt >

Der Befehl Alle Speichern (Menü Projekt)

Verwenden Sie diesen Befehl, um alle geöffneten Projektversionen zu speichern.

Abkürzungen:

Symbolleiste: -

Tastatur: Strg+Shift+S


Der Dialog Eigenschaften: Projekt (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt >

Der Dialog Eigenschaften: Projekt (Menü Projekt)

In diesem Menü können die Eigenschaften des aktuellen Projektes editiert werden. Falls mehrere Versionen des aktuellen Projektes geöffnet sind, so wirken sich die Änderungen auf alle aus. Im rechten, unteren Bereich wird jeweils ein Beispielwert angezeigt.

Ein Klick auf den blauen Hyperlink 'Kunde', 'Fahrzeug' oder 'Motor' zeigt die Eigenschaften wie sie die zuletzt verwendeten Projekte hatten in Form eines Menüs. Klicken Sie einfach eine Zeile des Menüs an, wenn Sie diese Werte übernehmen wollen.

Kunde:

Tragen Sie hier die Kundendaten zu Ihrer eigenen Information ein. Diese Daten können in Berichten verwendet werden. Mit der Schaltfläche [...] können Sie den Dialog Kundenliste erreichen. Wenn Sie als Projektstatus "In Entwicklung" verwenden, dann wird das Projekt von WinOLS Anwendern versteckt bei denen der "nicht-Entwickler" Modus aktiviert ist. Markieren Sie das Projekt als "Master" um es mit hoher Relevanz im Dialog "Ähnliches importieren" listen zu lassen.

Fahrzeug:

Die Felder ‘Hersteller‘, ‘Chassis‘ und ‘Ausführung‘ können sehr bequem mit der Maus ausgefüllt werden. Klicken Sie dazu (im obersten Feld) auf den Pfeil um eine Liste zu erhalten. Sobald Sie eine Wahl getroffen haben, werden in den weiteren Drop-Down Listen nur dazu passende Daten angezeigt.

Benutzerdefiniert:

Links unten im Dialog befinden sich 5 Felder die Sie für eigene Zwecke frei verwenden können. Durch einen Klick auf den blau unterstrichenen Text können Sie eine Bezeichnung für das jeweilige Feld festlegen. (Die 5 Feldnamen sind für alle Projekte identisch.)

Steuergerät:

Mit dem Feld 'Softwaregröße' sehen Sie nicht nur die aktuelle Größe, sondern können diese auch ändern. Bitte beachten Sie, dass dies alle Versionen des aktuellen Projektes beeinflusst und nicht rückgängig gemacht werden kann. Wenn Sie das Projekt kleiner als bisher machen, gehen Daten unwiederbringlich verloren.

Mit dem Button '...' neben 'Einsatzart' gelangen Sie in einen Unterdialog mit dem Sie die im Projekt vorhandenen Elemente konfigurieren können.

Kommunikation:

Mit den Kreuzfeldern 'Spi', 'Eprom' und 'Bdm' können Sie die Art des Projektes festlegen. Dies beeinflusst, welche Export- und Hardwarefunktionen für dieses Projekt zur Verfügung stehen. Wenn das Kreuzfeld 'Ausleseschutz' aktiviert ist, dann wird das BDM-Projekt gekennzeichnet und kann dadurch nicht mehr von den WinOLS Installationen Ihrer Konkurrenz ausgelesen werden.

Buttons:

Mit dem Button ‘Fahrzeugdaten suchen‘ können Sie verschiedene, eher technisch orientierte Informationen automatisch erkennen. Sie können WinOLS auch so konfigurieren, dass dies bei neuen Projekten automatisch gemacht werden (Im Konfigurationsdialog finden Sie auf der Seite ‘Automatisch‘ die entsprechende Option.)

Mit dem Button ‘Online suchen‘ können Sie viel Arbeit beim Ausfüllen des Formulars sparen. Dazu werden einige Charakteristiken des Projektes an eine Internet Datenbank übertragen. Binnen Sekunden erhalten Sie eine Ergebnisliste mit passenden Modellen mit der Sie das Formular dann mit einem Mausklick ausfüllen können.

Manchmal kann es passieren, dass ein Modell noch nicht in der Datenbank ist und Sie das Formular dann manuell ausfüllen müssen. Mit der Option ‘Online speichern‘ können Sie das Modell dann in der Datenbank speichern. Wenn Sie demnächst ähnliche Modelle haben, dann werden auch diese automatisch erkannt.

Hinweis: Sowohl die Funktion ‘Online suchen‘, als auch ‘Online speichern‘ übertragen nur einzelne Charakteristiken an die Internet Datenbank. Das Projekt an sich und Ihre Änderungen werden nicht übertragen und bleiben alleine auf Ihrer Festplatte.

Hinweis: Sie können die Eigenschaftsfelder des Projektes auch mit Werten füllen indem Sie Byteshooter ifo-Dateien oder WinOLS ini-Dateien in das Projekt ziehen. Alternativ reicht es aus wenn beim Import eine solche Datei im gleichen Ordner und unter dem gleichen Namen (bis auf den Suffix) existiert.

Abkürzungen:

Symbolleiste:

Tastatur: Strg+Alt+Eingabe


Der Dialog Kundendetails

Navigation: Startseite > Befehle des Menüs Projekt > Der Dialog Eigenschaften: Projekt (Menü Projekt) >

Der Dialog Kundendetails

Aus dem Dialog "Kundenliste" können Sie den Dialog "Kundendetails" erreichen. Dieser Dialog erlaubt es für einen einzelnen Kunden aus der Liste die Daten einzusehen und zu verändern.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Kundenliste

Navigation: Startseite > Befehle des Menüs Projekt > Der Dialog Eigenschaften: Projekt (Menü Projekt) >

Der Dialog Kundenliste

Aus dem Dialog "Eigenschaften des Steuergerätes" können Sie den Dialog "Kundenliste" erreichen. Dieser Dialog erlaubt es Ihnen eine Liste aller Kunden zu verwalten und durch den vorherigen Dialog über den Namen den passenden Eintrag zu erreichen.

Sie können die Kunden einzeln anlegen, bearbeiten oder löschen. Die Liste wird unabhängig vom aktuellen Projekt gespeichert. Verwenden Sie den Knopf "OK+Übernehmen" um den aktuell selektierten Eintrag in den Dialog "Eigenschaften des Steuergerätes" zu übernehmen.

Standardmäßig speichert WinOLS alle Daten aus dieser Liste in der WinOLS Konfigurationsdatei. Sie können diese Option in der Konfiguration unter "Pfade" ändern. Dort kann eine CSV-Datei angegeben werden die diese Daten enthält. Die CSV-Datei kann auf einem Netzwerkpfad gespeichert werden und von mehreren WinOLS Instanzen benutzt werden.

Abkürzungen:

Symbolleiste: -

Tastatur: -


WinOLS ini Dateien

Navigation: Startseite > Befehle des Menüs Projekt > Der Dialog Eigenschaften: Projekt (Menü Projekt) >

WinOLS ini Dateien

Sie können ini-Dateien dazu benutzen um Beschreibungen von WinOLS Projekten zu speichern. Ziehen Sie eine solche Datei in ein WinOLS-Projekt um die Beschreibungen aus der Datei auf das Projekt anzuwenden.

WinOLS ini-Dateien sind normale Textdateien deren Name auf ".ini" endet und folgenden Aufbau haben:

[WinOLS]

VehicleType         = ...

VehicleProducer     = ...

VehicleChassis      = ...

VehicleModel        = ...

EcuProducer         = ...

EcuBuild            = ...

ClientName          = ...

ClientLicenceplace  = ...

VehicleModelyear    = ...

VehicleVIN          = ...

EcuProdNr           = ...

EcuStgNr            = ...

EcuSoftwareversion  = ...

EngineName          = ...

EngineType          = ...

EngineDisplacement  = ...

EngineTransmission  = ...

Userdef1            = ...

Userdef2            = ...

Userdef3            = ...

Userdef4            = ...

Userdef5            = ...

OutputPS            = ...

OutputKW            = ...

Alle Zeilen außer der [WinOLS] Zeile sind optional. Anstatt von "..." braucht nur der gewünschte Text eingetragen werden.


Der Dialog Eigenschaften: Version (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt >

Der Dialog Eigenschaften: Version (Menü Projekt)

In diesem Menü können die Eigenschaften der aktuellen Version des Projektes editiert werden.

Name | Ein Titel, der auch in der Auswahlliste beim Öffnen eines Projektes angezeigt wird.
Ordner | In diesem Versionsordner liegt die Version. (Darf leer sein)
Beschreibung | Ein beliebiger Beschreibungstext
Verknüpfte Dateien | Dieses Feld kann eine Liste von Dateien speichern die für die aktuelle Version relevant sind. Die Dateien werden von WinOLS nicht verwendet, sondern sind nur für Ihre Information. Das Projekt speichert nur die Referenz auf die Datei und nicht die Datei selbst. Um Dateien zur Liste hinzuzufügen verwenden Sie den Button "Hinzufügen" oder ziehen Sie Dateien in das Feld. Mit einem Doppelklick können Sie Dateien in der Liste öffnen. Falls Sie die Datei lieber in Relation mit dem Projekt an sich referenzieren möchten, dann verwenden Sie den Button "Kommentar" in den Projekteigenschaften.
Signatur | Wenn das Projekt mit einem Text signiert wurde (mit der Hexdump signieren Funktion) dann wird der Text hier angezeigt
8 Bit Summe | Hier wird die 8 Bit Summen des Originals und der Version angezeigt

Abkürzungen:

Symbolleiste:

Tastatur: Shift+Alt+Eingabe


Der Befehl Ähnliche Projekte suchen (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt >

Der Befehl Ähnliche Projekte suchen (Menü Projekt)

Verwenden Sie diesen Befehl, um Projekte auf der Festplatte zu suchen, die in ihren Daten mit aktiven Projekt identisch sind. Das Ergebnis der Suche wird im bekannten ‘Öffnen’ Dialog angezeigt.

Abkürzungen:

Symbolleiste: -

Tastatur: Strg+Alt+O


Das Kommando Doppelte Versionen suchen (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt >

Das Kommando Doppelte Versionen suchen (Menü Projekt)

Mit diesem Kommando werden alle Projekte auf der Festplatte durchsucht und es wird geprüft ob es Projekte gibt die dieselbe Version zweimal enthalten. Wenn so ein Projekt gefunden wird, fragt WinOLS ob es eine der Versionen löschen soll.

Hinweis: Der Vorgang kann einige Minuten dauern.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Alle Projekte aktualisieren (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt >

Der Dialog Alle Projekte aktualisieren (Menü Projekt)

Mit diesem Dialog können Sie verschiedene Parameter in allen Projekten aktualisieren. Dazu werden alle Projekte nacheinander eingeladen, aktualisiert und ggf. wieder gespeichert. Dies ist sinnvoll, wenn neuere WinOLS neue Features bringen (z.B. 8 Bit Summen der Originalversion) oder Sie neue Checksummen lizenziert haben. Ohne diesen Dialog bleiben in der Projektauswahl die neuen Felder erst mal leer.

‘Fahrzeugdaten‘ sind mehrere Felder in den Projekteigenschaften, die Sie auch manuell mit dem Button ‘Fahrzeugdaten suchen‘ füllen können.

‘Checksummen‘ wendet die Checksummensuche auf die Projekte an. Wenn Sie den ‘Schnelltest‘ wählen, werden die Plugins nur grob für das Projekt getestet. Es werden in diesem Fall keine Blöcke eingetragen und es erfolgen keine Rückfragen. Aber es kann passieren, dass Checksummen gefunden werden, die in diesem File nicht wirklich existieren.

Hinweis: Der Vorgang kann einige Minuten dauern. Eventuell kommt es dabei zu Rückfragen von WinOLS. Projekte die geöffnet sind, werden nicht aktualisiert. Die 8-Bit Checksumme der Originalversion wird automatisch neu berechnet.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Ex - & Import

Navigation: Startseite > Befehle des Menüs Projekt >

Ex - & Import

Bitte wählen Sie ein Unterthema.


Der Dialog Import File

Navigation: Startseite > Befehle des Menüs Projekt > Ex - & Import >

Der Dialog Import File

Beim Import von Versionen kann hiermit die Art der Datenquelle festgelegt werden.

Als erstes können Sie das Dateiformat wählen. Binärdateien enthalten die reinen Eprom-Daten ohne irgendwelche Steuerinformationen. Sie können auch aus zwei Dateien gelesen werden (Immer abwechselnd ein Byte). Außerdem können Sie OLS Dateien lesen und WinOLS Dateien lesen und schreiben. Sie erkennen OLS Dateien am Dateisuffix ‘.dat‘ und WinOLS Dateien am Dateisuffix ‘.ols‘. Sie können auch sog. Intel-Hex Dateien lesen und schreiben. Intel-Hex Dateien tragen meist den Dateisuffix ‘.hex‘ oder auch ‘.paf‘ oder ‘.daf‘. Des Weiteren können Sie sog. Motorola-Hex Dateien lesen und schreiben. Diese Dateien tragen meist den Suffix ‘.s19‘.

Auf Wunsch kann ein beim Import / Export eine Vertauschung der Datenleitungen stattfinden, genau wie es bei Verwendung des integrierten Eprommers passieren würde. Damit diese Option aktiv ist, muss ein Hersteller selektiert sein und die Vertauschung für das Eprom aktiviert sein.

Des Weiteren ist es möglich Daten und Leitungen gemäß zu verschlüsseln, genau wie es bei Verwendung des integrierten Eprommers passieren würde. Damit diese Option aktiv ist, muss eine Verschlüsselung im Hersteller-Menü ausgewählt sein und eine Schlüsseldatei eingestellt worden sein. Genauso kann eine SPI Verschlüsselung aktiviert werden, falls zuvor eine SPI Datei ausgewählt wurden.

Danach kann ein Adressbereich konfiguriert werden. Diese Option ist bei Import nur verfügbar wenn im Projekt bereits eine Version existiert.

Wenn Sie exportieren, können Sie außerdem das Ergebnis ‘zippen‘. So entsteht eine komprimierte (=kleinere) Datei, die sich gut zum Versand per E-Mail geeignet. Zum entpacken dieser Dateien dienen Programm wie z.B. WinZip (www.winzip.com).

Wenn Sie in ein Projekt importieren was bereits Versionen hat, so können Sie sich entscheiden keine neue Version zu erzeugen, sondern die aktuelle Version zu überschreiben. Dies ist insbesondere dann sinnvoll, wenn Sie mehrere Intel oder Motorola Dateien zusammenfügen möchten.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Export File

Navigation: Startseite > Befehle des Menüs Projekt > Ex - & Import >

Der Dialog Export File

Beim Export der aktuellen Version wird die Art der Datei(en) festgelegt, die erzeugt werden soll.

Als erstes können Sie das Dateiformat wählen. Binärdateien enthalten die reinen Eprom-Daten ohne irgendwelche Steuerinformationen. Sie können auch aus zwei Dateien gelesen werden (Immer abwechselnd ein Byte). Außerdem können Sie OLS Dateien lesen und WinOLS Dateien lesen und schreiben. Sie erkennen OLS Dateien am Dateisuffix ‘.dat‘ und WinOLS Dateien am Dateisuffix ‘.ols‘. Sie können auch sog. Intel-Hex Dateien lesen und schreiben. Intel-Hex Dateien tragen meist den Dateisuffix ‘.hex‘ oder auch ‘.paf‘ oder ‘.daf‘. Des Weiteren können Sie sog. Motorola-Hex Dateien lesen und schreiben. Diese Dateien tragen meist den Suffix ‘.s19‘.

Auf Wunsch kann ein beim Import / Export eine Vertauschung der Datenleitungen stattfinden, genau wie es bei Verwendung des integrierten Eprommers passieren würde. Damit diese Option aktiv ist, muss ein Hersteller selektiert sein und die Vertauschung für das Eprom aktiviert sein.

Des Weiteren ist es möglich Daten und Leitungen gemäß zu verschlüsseln, genau wie es bei Verwendung des integrierten Eprommers passieren würde. Damit diese Option aktiv ist, muss eine Verschlüsselung im Hersteller-Menü ausgewählt sein und eine Schlüsseldatei eingestellt worden sein. Genauso kann eine SPI Verschlüsselung aktiviert werden, falls zuvor eine SPI Datei ausgewählt wurden.

Danach kann ein Adressbereich konfiguriert werden. Hier können Sie bei Intel/Motorola Hex-Dateien auch die Anzahl der Spalten (Datenbytes pro Zeile) einstellen, um für Drittprogramme ein evtl. speziell erforderliches Dateiformat zu erzeugen.

Wenn Sie exportieren, können Sie außerdem das Ergebnis ‘zippen‘. So entsteht eine komprimierte (=kleinere) Datei, die sich gut zum Versand per E-Mail geeignet. Zum entpacken dieser Dateien dienen Programm wie z.B. WinZip (www.winzip.com).

Wenn Sie in ein Projekt importieren was bereits Versionen hat, so können Sie sich entscheiden keine neue Version zu erzeugen, sondern die aktuelle Version zu überschreiben. Dies ist insbesondere dann sinnvoll, wenn Sie mehrere Intel oder Motorola Dateien zusammenfügen möchten.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog BdmToGo-Eigenschaften (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt > Ex - & Import > Der Dialog Export File >

Der Dialog BdmToGo-Eigenschaften (Menü Projekt)

Dieser Dialog wird angezeigt, wenn man beim Export das BdmToGo Format wählt. BdmToGo Dateien sind kompakt und können BDM100 Geräten in Steuergeräte programmiert werden. Je nach Einstellung eigenen sie sich auch gut zum Versand eines Projektes ohne dass es programmiert werden soll

Sie können bis zu 3 Bereiche festlegen, die vor einem Programmiervorgang mit dem Steuergerät vergleichen werden sollen. Dies dient zum einen dem Schutz vor der Verwendung eines falschen Steuergeräts, zum andern ist es auch ein Kopierschutz für Ihre Arbeit. Schließen Sie die VIN in diese Überprüfung ein, so kann die Datei nur in einem bestimmten Fahrzeug (und nicht in allen ähnlichen Fahrzeuge) verwendet werden. Es empfiehlt sich die Bereiche durch Kommentare im Projekt zu markieren. Verwenden Sie die Kommentarnamen "BDM1", "BDM2" oder "BDM3", dann erkennt WinOLS diese und trägt sie automatisch in diesem Dialog ein.

Die Adresse werden in Hexadezimal-Schreibweise erwartet.

Hinweis zu den Elementen: Elemente die Änderungen gegenüber dem Original enthalten werden fett gedruckt dargestellt.

Hinweis zu den Schutzmechanismen: Aktivieren Sie die Checkbox "Diese Datei darf..." um zu verhindern, dass die Datei in eine WinOLS Installation (auch in Ihre) zurückimportiert werden kann, denn damit könnte man die oben genannten Prüfbereich verändern. Diese Option verändert nicht die programmierten Daten und bietet daher auch keinen Schutz vor einem auslesen des modifizierten Steuergerätes. Um dies zu erreichen gibt es eine Option "BDM Ausleseschutz" in den Projekteigenschaften. Sie platziert eine Markierung in den Daten und sorgt dafür, dass nur ein WinOLS was auf Ihre Kundennummer registriert ist, eine erneut ausgelesene Datei (die diese Markierung enthält) lesen darf.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Befehl Projekt als Mail versenden

Navigation: Startseite > Befehle des Menüs Projekt > Ex - & Import >

Der Befehl Projekt als Mail versenden

Mit diesem Befehl können Sie das aktuelle Projekt per E-Mail versenden. Sie können dabei festlegen in welchem Format (binär, Intel, WinOLS, etc.) es verschickt werden soll. Zum eigentlichen Versand wird Ihr normales E-Mail Programm verwendet.

Sie können mit dem Konfigurationsdialog unter 'Mail' Standardtexte einstellen.

Abkürzungen:

Symbolleiste: -

Tastatur: Strg+M


Der Befehl Verzeichnis importieren (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt > Ex - & Import >

Der Befehl Verzeichnis importieren (Menü Projekt)

Mit diesem Befehl können Sie alle Dateien eines Verzeichnisses in das WinOLS Projektverzeichnis (des aktuellen Mandanten) importieren. Bei Formaten die nur einen bestimmten Suffix haben können (z.B. BdmToGo) werden nur die Dateien mit diesem Suffix berücksichtigt.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Befehl Export CSV-Kennfeldliste (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt > Ex - & Import >

Der Befehl Export CSV-Kennfeldliste (Menü Projekt)

Mit diesem Kommando werden die Daten aller Kennfelder des aktuellen Projektes in eine CSV Datei exportiert. Diesen Dateityp können Sie mit den üblichen Tabellenkalkulationsprogrammen (z.B. Microsoft Excel) öffnen. Für jedes Kennfeld werden Adresse, Name und Größe exportiert. Die in den Kennfeldern enthaltenen Daten werden nicht exportiert.

Sie können dieses Kommando zum einen über das Menü 'Projekt' erreichen und zum anderen über das Spezialmenü der Kennfeldliste. Letzteres erreichen Sie durch einen Klick auf das kleine schwarze Dreieck in der Kennfeldliste.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Befehl Kennfeldpaket exportieren (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt > Ex - & Import >

Der Befehl Kennfeldpaket exportieren (Menü Projekt)

Mit diesem Kommando werden alle Kennfelder (aber nicht die in den Kennfeldern enthaltenen Daten) in eine externe Datei exportiert. Diese Datei kann beliebig transportiert werden und in andere Projekte importiert werden.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Befehl Kennfeldpaket importieren (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt > Ex - & Import >

Der Befehl Kennfeldpaket importieren (Menü Projekt)

Mit diesem Kommando werden alle Kennfelder (aber nicht die in den Kennfeldern enthaltenen Daten) aus einem (zuvor durch einen Export erzeugten) Kennfeldpaket Datei importiert.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Befehl Kennfelder importieren (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt > Ex - & Import >

Der Befehl Kennfelder importieren (Menü Projekt)

Mit diesem Kommando werden alle Kennfelder (aber keine Hexdumps) aus einer anderen WinOLS Datei in das aktuelle Projekt kopiert. Die Eprom Daten werden dabei nicht verändert, es werden nur die Kennfelddefinitionen importiert.

Das Quellprojekt wird dabei auf die übliche Art ausgewählt. Es wird durch diesen Befehl nicht verändert.

Abkürzungen:

Symbolleiste: -

Tastatur: Strg+Shift+I


Der Befehl Änderungen übernehmen (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt > Ex - & Import >

Der Befehl Änderungen übernehmen (Menü Projekt)

Mit diesem Assistenten kann man Kennfelder aus einem anderen Projekt übernehmen. Diese Funktion ist deutlich flexibler als die Funktion Kennfelder importieren. Für sie ist es kein Problem, wenn die Kennfelder an eine andere Adresse verschoben wurden oder sogar leicht verändert wurden.

Im automatischen Modus (die 3 folgenden Bilder) erkennt WinOLS selber Kennfelder und veränderte Datenbereiche und versucht diese Stellen im neuen Projekt zuzuordnen. Sie müssen nur noch auswählen.

Im manuellen Modus (das letzte Bild in der Serie) bereitet WinOLS ein Fenster vom alten und vom neuen Projekt so vor, dass man optimal vergleichen kann. Das alte Projekt wird ganz normal angezeigt. Das neue Projekt erhält das alte Projekt als Original.

AUTOMATISCHER MODUS:

Im ersten Schritt müssen Sie das Projekt auswählen aus dem Sie Kennfelder importieren möchten. (Als Zielprojekt dient immer das aktuell aktive Projekt.) Es stehen nur Projekte zur Auswahl die aktuell geöffnet sind.

Wenn das Quellprojekt viele Kennfelder hat, dann können Sie die Auswahl einschränken (und die Übernahme beschleunigen) indem Sie nur Kennfelder berücksichtigen, die im Quellprojekt verändert wurden.

Außerdem können Sie bei der Übernahme der Kennfelder eine Toleranz angeben. Damit wird beim wiederfinden eines Kennfeldes eine gewisse (einstellbare) Abweichung gestattet. Das verlangsamt die Suche allerdings spürbar.

Im zweiten Schritt können Sie die Kennfelder markieren, die Sie in das aktuelle Projekt übernehmen möchten. Wahlweise können Sie die Kennfelder und / oder die veränderten Daten in den Kennfeldern übernehmen. Änderungen in Kennfeldern werden normaler als Differenz übertragen, d.h. die Differenz zwischen Original und Version werden übertragen. Sie können aber auch wählen die Daten absolut zu übertragen.

Im letzten Schritt können Sie Datenbereiche übernehmen. Datenbereiche sind Daten die im Quellprojekt verändert wurden, aber nicht in einem Kennfeld enthalten sind. Auch diese Datenbereiche können im aktuellen Projekt wieder erkannt und dann übertragen werden.

MANUELLER MODUS:

Im diesem Schritt müssen Sie das Projekt auswählen aus dem Sie Kennfelder importieren möchten. (Als Zielprojekt dient immer das aktuell aktive Projekt.) Es stehen nur Projekte zur Auswahl die aktuell geöffnet sind.

Abkürzungen:

Symbolleiste: -
Tastatur: -


Der Befehl Damos & A2L Import (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt > Ex - & Import >

Der Befehl Damos & A2L Import (Menü Projekt)

Hinweis: Dieser Befehl ist nicht Bestandteil vom WinOLS Hauptprogramm. Es handelt sich hierbei um ein zusätzliches Modul, was getrennt lizenziert werden muss.

Sie können diesen Assistenten auch dadurch starten, dass Sie eine Damos oder ASAP2 Datei in ein Projektfenster ziehen. In diesem Fall werden die ersten beiden Dialoge übersprungen.

Dieser Assistent führt Sie durch den Import von Damos oder A2L Daten. Bevor Sie ihn starten sollten Sie eine passende Projektdatei öffnen oder durch einen Import erzeugen, weil dieser Assistent sich immer auf das aktuell aktive Projekt bezieht. Der Datenstand in dem Projekt muss dabei genau zu der Damos oder ASAP2 Datei passen, weil sonst der Import unvollständig oder fehlerhaft sein kann. Möchten Sie die Kennfelder in einem anderen Projekt verwenden, sollten Sie den Import trotzdem in den exakt passenden Datenstand durchführen und die Kennfelder danach mit der Option 'Änderungen übernehmen' in ihr Wunschprojekt übertragen.

Im ersten Schritt müssen Sie die Damos oder A2L Datei auswählen, die Sie importieren möchten.

Im zweiten Schritt findet die Analyse der Datei statt. Die Daten werden dabei gelesen und in internes Format konvertiert. Weil die Formate der Dateien unterschiedlich sind und nicht alle Elemente dokumentiert sind, kann es zu Warnungen und Fehlermeldungen kommen. Diese müssen den Import nicht zwangsläufig stören und sind im kleinen Umfang zu ignorieren.

Im dritten Schritt müssen Sie zu erst angeben, ob Ihr Projekt "zugehörig" ist oder nicht. Zu jeder Damos oder ASAP2 Datei gehört eine Projektdatei. Nur wenn Sie diese beiden haben und auch zusammen verwenden, ist ein exakter Import möglich. Seit neustem bietet das Damos Plugin aber auch die Option die Damos Datei in ein fremdes Projekt zu importieren. Falls Sie aber die "zugehörige" Datei besitzen ist es immer besser die Kennfelder in dieses Projekt zu importieren und anschließend mit der Funktion "Änderungen übernehmen" in das fremde Projekt zu übertragen.

Wenn Sie (wie empfohlen) die Datei ist das "zugehörige" Projekt importieren wollen, müssen Sie zuerst den Offset eingeben, der zum Import verwendet werden soll. Innerhalb von Damos oder ASAP2 Dateien werden andere Adressen benutzt als in WinOLS. Der Offset bezeichnet dabei die Verschiebung zwischen den beiden Adressformaten. Wenn das aktuelle Projekt aus einer Intel oder Motorola Datei importiert wurden, dann wurde der Offset dabei gespeichert (und zusätzlich Ihnen angezeigt) und dieses Feld ist jetzt vorausgefüllt. Falls das nicht der Fall ist können Sie probieren ob die automatische Erkennung den Offset berechnen kann. Es hängt dabei vom Aufbau der importieren Datei ab ob dies möglich ist. Als letzte Möglichkeit bleibt sonst nur den Offset zu schätzen (meist hexadezimal runde Adressen). Eine Hilfe ist dabei der Adressbereich in dem der Offset liegen muss. Er wird anhand der Datei errechnet und in diesem Dialog angezeigt.

Wenn Sie kein "zugehöriges" Projekt haben, können Sie probieren die Datei in ein anderes Projekt zu importieren. Wählen Sie dazu die untere Option. Bitte beachten Sie, dass der Import dabei folgenden Beschränkungen unterliegt:

1. Das Projekt muss dem "zugehörigen" Projekt ähnlich sein.
2. Generell können nur 1d und 2d Kennfelder importiert werden.
3. Die Kennfelder müssen in einem bestimmten internen Format in der Damos oder ASAP2 Datei definiert sein. Daher kann es vorkommen, dass nur ein Teil der Kennfelder oder in seltenen Fällen auch gar keine Kennfelder gefunden werden.
4. Die Chancen Kennfelder zu finden stehen bei ASAP2 Dateien besser als bei Damos.
5. Für den Import werden z.T. Heuristiken verwendet, das Ergebnis ist also nicht 100% sicher. Bitte prüfen Sie es vor der Verwendung.

Im letzten Schritt müssen Sie nur noch die Kennfelder auswählen die Sie importieren möchten. Da in einer Datei sehr viele Kennfelder sein können, kann die aktuelle Ansicht über den Knopf 'Filter' eingeschränkt werden. Dadurch werden nur noch Kennfelder angezeigt die den angegebenen Kriterien (siehe unten) entsprechen. Außerdem können Sie einen Suchtext eingeben. In diesem Fall werden nur Kennfelder angezeigt die den Text enthalten. Mit den Knöpfen 'alle' und 'keine' können Sie entweder alle Kennfelder markieren oder die gesamte Markierung aufheben. Die Knöpfe 'alle hiervon' und 'keine hiervon' haben im Prinzip die gleiche Funktion, beeinflussen aber nur Kennfelder die unter dem aktuellen Filter sichtbar sind. Kennfelder die nicht sichtbar sind werden von diesen Knöpfen nicht beeinflußt. Bevor Sie den Import abschließen und die Kennfelder wirklich in das Hauptprogramm übernehmen, können Sie mit den 'Optionen' (siehe unten) noch Details für die Art des Importes festlegen.

Bei den Optionen können Sie festlegen, welche Merkmale übernommen werden sollen. Üblicherweise haben alle Kennfelder in Damos oder ASAP2 Dateien einen beschreibenden Namen und einen eindeutigen Id. Sie können auswählen Sie nur einen von beiden, beide kombiniert oder (seit kurzem) beide einzeln in die entsprechenden Felder von WinOLS importieren möchten. Außerdem können Sie die Kennfelder mitsamt der Ordner in denen Sie organisiert sind ins WinOLS übernehmen möchten. Auch diese Möglichkeit ist seit kurzem vorhanden.

Mit den Filteroptionen können Sie bestimmen welche Kennfelder in der Ansicht gezeigt und welche Kennfelder dabei versteckt werden sollen. Sie können dabei Kennfelder anhand ihrer Dimension auswählen und danach ob sie nur aus konstanten Werten bestehen oder nicht.

Abkürzungen:

Symbolleiste: -

Tastatur: Strg+D


Der Befehl Drucken (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt >

Der Befehl Drucken (Menü Projekt)

Verwenden Sie diesen Befehl zum Ausdrucken eines Dokuments. Bei Auswahl des Befehls erscheint das Dialogfeld Drucken, in dem Sie den zu druckenden Seitenbereich, die Anzahl der Kopien, den Zieldrucker und andere Optionen zur Druckereinstellung angeben können.

Abkürzungen:

Symbolleiste:

Tastatur: STRG+P


Der Befehl Seitenansicht (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt > Der Befehl Drucken (Menü Projekt) >

Der Befehl Seitenansicht (Menü Projekt)

Verwenden Sie diesen Befehl, um das aktive Dokument so anzuzeigen, wie es gedruckt aussehen würde. Bei der Auswahl dieses Befehls wird das Hauptfenster durch ein Seitenansichtsfenster ersetzt, in dem ein oder zwei Seiten im Druckformat dargestellt werden. In der Symbolleiste der Seitenansicht haben Sie die Möglichkeit, festzulegen, ob Sie ein oder zwei Seiten gleichzeitig betrachten wollen. Weiterhin können Sie sich im Dokument vor- und zurückbewegen, Seiten vergrößert und verkleinert darstellen lassen oder einen Druckauftrag starten.


Der Dialog Druckoptionen (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt > Der Befehl Drucken (Menü Projekt) >

Der Dialog Druckoptionen (Menü Projekt)

Verwenden Sie diesen Befehl zum Ausdrucken eines Dokuments. Bei Auswahl des Befehls erscheint der oben stehende Dialog, wo Sie diverse Dinge einstellen können.

Im obersten Bereich können Sie einstellen was Sie vom aktuell aktiven Fenster (denn darauf bezieht der Druck und die Vorschau immer) sehen wollen. Entweder die Daten so wie sie derzeit sichtbar sein (also z.B. 3d) oder nur die Unterschiede in einer Liste wie sie auch Unterschiede-Fenster zeigt.

In dem darunter liegenden Bereich können Sie Überschriften einstellen, die auf der Seite erscheinen sollen. Dies kann ein statischer Text sein (z.B. ein Firmenname) oder eine Projekteigenschaft, die genau wie beim Export über den Button "Einfg." als Platzhalter einfügt werden kann. Außerdem können Sie ein Logo (eine BMP-Datei) wählen, was rechts oben erscheinen soll. Beim Logo müssen Sie immer die Größe (in mm) einstellen, da diese Information nicht in der Datei enthalten ist.

Der Bereich links unten ist nur aktiv wenn Sie das aktuelle Fenster normal (unter nicht als Unterschiede-Liste) drucken. Hier können Sie einstellen welchen Bereich Sie drucken wollen. Dafür gibt es eine Vielzahl von Möglichkeiten die sich selbst erklären. Bei den Druckoptionen können Sie festlegen, ob Sie farbig drucken wollen, ob Sie (zusätzlich zu den oben konfigurierten) Kopfzeilen mit Angaben aus der Datei drucken möchten und ob (im 2d-Modus) der Zeilenmarker mit gedruckt werden soll.

Abkürzungen:

Symbolleiste:

Tastatur: Strg+P


Der Befehl Druckereinrichtung (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt > Der Befehl Drucken (Menü Projekt) >

Der Befehl Druckereinrichtung (Menü Projekt)

Verwenden Sie diesen Befehl, um einen Drucker und einen Druckeranschluß zu bestimmen. Nach Auswahl des Befehls erscheint das Dialogfeld Druckereinrichtung, in dem Sie den Drucker und seinen Anschluß festlegen können.


Der Befehl Beenden (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt >

Der Befehl Beenden (Menü Projekt)

Verwenden Sie diesen Befehl zum Beenden Ihrer Sitzung mit WinOLS. Alternativ dazu können Sie aus dem Systemmenü der Anwendung den Befehl Schließen wählen. WinOLS fragt nach, ob Sie Dokumente mit nicht gesicherten Änderungen speichern wollen.

Abkürzungen:

Maus: Doppelklicken Sie auf das Systemmenü der Anwendung.

Tastatur: ALT+F4


Die Befehle 1, 2, 3, 4 (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Projekt >

Die Befehle 1, 2, 3, 4 (Menü Projekt)

Verwenden Sie die am Ende des Menüs Datei aufgelisteten Nummern und Dateinamen, um die letzten vier von Ihnen geschlossenen Dokumente zu öffnen. Wählen Sie dazu die Nummer des zu öffnenden Dokuments.


Befehle des Menüs Bearbeiten

Navigation: Startseite

Befehle des Menüs Bearbeiten

Das Menü Bearbeiten enthält folgende Befehle:

Rückgängig | Macht die letzte Bearbeitungsoperation rückgängig
Wiederherstellen | Stellt die zuletzt rückgängig gemachte Bearbeitungsoperation wieder her
Kopieren | Kopiert Daten aus dem Dokument in die Zwischenablage
Kopieren erweitert |
- Adresse kopieren | Kopiert die aktuelle Cursor-Adresse
- Kennfeld kopieren | Kopiert das aktuelle Kennfeld
- Beide Achsen kopieren | Kopiert die Achsen des Kennfeldes
- Beide Achsen kopieren (Nur Text) | Kopiert die Achsen des Kennfeldes als Text (zum Einfügen in einen Texteditor)
- X-Achse kopieren | Kopiert die X-Achse des Kennfeldes
- X-Achse kopieren -(Nur Text) | Kopiert die X-Achse des Kennfeldes als Text (zum Einfügen in einen Texteditor)
- Y-Achse kopieren | Kopiert die Y-Achse des Kennfeldes
- Y-Achse kopieren (Nur Tex) | Kopiert die Y-Achse des Kennfeldes als Text (zum Einfügen in einen Texteditor)
- Als C-Array kopieren | Kopiert die selektierten Werte als Text im Format eines Arrays der Programmiersprache C
- Als Text kopieren | Kopiert die selektierten Werte als Text (zum Einfügen in einen Texteditor)
Ausschneiden | Löscht Daten aus dem Dokument und überträgt sie in die Zwischenablage
Einfügen | Fügt Daten aus der Zwischenablage in das Dokument ein
Fenster einfügen / löschen |
- Neues Hexdump Fenster | Fügt ein neues Hexdumpfenster ein
- Neues Kennfeld Fenster | Fügt ein neues Kennfeldfenster ein
- Fenster löschen | Schließt und löscht das aktuelle Fenster
- Kennfeld öffnen | Öffnet das Kennfeldfenster, was sich an der aktuellen Cursorposition befindet
- Kennfeld löschen | Schließt und löscht das Kennfeldfenster, was sich an der aktuellen Cursorposition befindet
Als Text | Erlaubt des Bearbeiten der aktuellen Selektion / Cursorposition als normalen Text.
Direkte Eingabe | Geben Sie neue Werte direkt an der Cursorposition ein
Hexdump signieren | Schützen Sie Ihr Projekt mit verstecktem Text, der nicht durch andere entfernt werden kann
Wert +1 | Erhöht alle selektierten Zellen um 1
Wert - 1 | Verringert alle selektierten Zellen um 1
Ändern absolut | Setzt alle selektierten Zellen auf einen Wert
Ändern relativ | Erlaubt die Modifikation der selektierten Zellen mittels mathematischer Operationen
Ändern einstellen | Erlaubt die Modifikation der selektierten Zellen mittels Schiebereglern
Wert Original | Stellt den Originalwert für alle selektierten Zellen wieder her
Ändern wiederholen | Wiederholt die zuletzt durchgeführte Bearbeitungsoperation für die aktive Selektion
Checksumme | Zeigt das Menü zum Einrichten von Checksummen an
Checksumme anwenden | Wendet für den Bereich in dem sich der Cursor befindet die Checksumme an
Checksumme online suchen | Sucht online auf der Website von EVC nach passenden Checksummen-Modulen
Eigenschaften: Fenster | Zeigt die Eigenschaften des aktiven Fensters an


Der Befehl Rückgängig (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Befehl Rückgängig (Menü Bearbeiten)

Verwenden Sie diese Option, um die letzte Bearbeitungsaktion rückgängig zu machen, wenn dies möglich ist.

Abkürzungen:

Symbolleiste: -

Tastatur: Strg+Z


Der Befehl Wiederherstellen (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Befehl Wiederherstellen (Menü Bearbeiten)

Verwenden Sie diese Option, um die letzte Verwendung des Befehls ‘Rückgängig’ wiederum rückgängig zu machen, wenn dies möglich ist.

Abkürzungen:

Symbolleiste: -

Tastatur: Strg+Y


Der Befehl Kopieren (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Befehl Kopieren (Menü Bearbeiten)

Verwenden Sie diesen Befehl, um markierte Daten in die Zwischenablage zu kopieren. Sind keine Daten markiert, dann wird die aktuelle Zelle kopiert.

Sie können auch komplette Kennfelder kopieren. Selektieren Sie dazu einfach das gewünschte Kennfeld im Kennfeldauswahlfenster bevor Sie kopieren. Sie können auch das Kontextmenü des Kennfeldauswahlfensters zum kopieren verwenden.

Sie können Selektionen kopieren und diese Werte dann in Microsoft Excel einfügen. Wenn Sie komplette Kennfelder im Kennfeldauswahlfenster kopieren und in Excel einfügen, werden sogar Überschriften und Stützstellen mit übertragen.

Das Kopieren von Daten in die Zwischenablage ersetzt die Daten, die sich zuvor darin befanden.

Abkürzungen:

Symbolleiste:

Tastatur: STRG+C


Der Befehl Ausschneiden (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Befehl Ausschneiden (Menü Bearbeiten)

Verwenden Sie diesen Befehl, um die aktuell markierten Daten aus dem Dokument zu entfernen und in die Zwischenablage zu übertragen. Der Befehl kann nicht ausgewählt werden, wenn momentan keine Daten markiert sind.

Das Ausschneiden und Übertragen von Daten in die Zwischenablage ersetzt die Daten, die sich vorher dort befanden.

Abkürzungen:

Symbolleiste:

Tastatur: STRG+X


Der Befehl Einfügen (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Befehl Einfügen (Menü Bearbeiten)

Verwenden Sie diesen Befehl, um eine Kopie des Inhalts der Zwischenablage an der Einfügestelle einzufügen. Dieser Befehl steht nicht zur Verfügung, falls die Zwischenablage leer ist.

Dieser Befehl dient auch dazu Kennfelder einzufügen, die Sie zuvor kopiert haben.

Abkürzungen:

Symbolleiste:

Tastatur: STRG+V


Fenster einfügen / löschen

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Fenster einfügen / löschen

Bitte wählen Sie ein Unterthema.


Der Befehl Neues Hexdump Fenster (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten > Fenster einfügen / löschen >

Der Befehl Neues Hexdump Fenster (Menü Bearbeiten)

Fügt ein neues Hexdumpfenster ein. Dieses Kommando wird selten benötigt.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Befehl Neues Kennfeld Fenster (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten > Fenster einfügen / löschen >

Der Befehl Neues Kennfeld Fenster (Menü Bearbeiten)

Fügt ein neues Kennfeldfenster ein. Normalerweise ist es einfacher einen Bereich in einem Hexdumpfenster zu markieren und in ein Kennfeld Fenster umzuwandeln.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Befehl Fenster löschen (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten > Fenster einfügen / löschen >

Der Befehl Fenster löschen (Menü Bearbeiten)

Schließt und löscht das aktuelle Fenster.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Befehl Kennfeld öffnen (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten > Fenster einfügen / löschen >

Der Befehl Kennfeld öffnen (Menü Bearbeiten)

Öffnet das Kennfeldfenster in dessen Bereich sich der Hexdumpcursor im Augenblick befindet.

Dieses Kommando ist nur verfügbar, wenn sich der Cursor im Augenblick in einem solchen Bereich befindet. Solche Bereiche sind in Hexdumpfenstern farblich markiert.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Befehl Kennfeld löschen (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten > Fenster einfügen / löschen >

Der Befehl Kennfeld löschen (Menü Bearbeiten)

Löscht das Kennfeldfenster in dessen Bereich sich der Hexdumpcursor im Augenblick befindet.

Dieses Kommando ist nur verfügbar, wenn sich der Cursor im Augenblick in einem solchen Bereich befindet. Solche Bereiche sind in Hexdumpfenstern farblich markiert.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Als Text (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Dialog Als Text (Menü Bearbeiten)

Mit diesem Dialog können Sie den Inhalt des Eproms als normalen Text editieren, z.B. um Kennzeichnungen zu hinterlegen.

Erzeugen Sie eine Selektion ohne Unterbrechungen um einen bestehenden Text zu bearbeiten, bevor Sie diesen Dialog starten oder setzten Sie den Cursor auf den Textanfang um den Textblock automatisch zu erkennen.

In der unteren Hälfte des Fensters erscheint eine Liste alle möglichen (automatisch erkannten) Texte im aktuellen Projekt. Es kann einige Sekunden dauern, bis die Liste komplett aufgebaut ist. Klicken Sie auf einen Eintrag um das Projekt an dieser Stelle zu bearbeiten.

Über die Tabulatorleiste über der Liste können Sie auch eine Liste aller von Ihnen fest vordefinierten Standardtexte anzeigen lassen. Diese ist am Anfang leer. Benutzen Sie den Knopf "Hinzufügen" um den aktuell eingegeben Text in die Liste mit aufzunehmen. Die Liste wird Projektunabhängig auf der Festplatte gespeichert.

Falls Sie ein größeres Eingabefenster wünschen, klicken Sie auf den Button ">>".

Abkürzungen:

Symbolleiste: -

Tastatur: -


Das Kommando Direkte Eingabe (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Das Kommando Direkte Eingabe (Menü Bearbeiten)

Durch dieses Kommando öffnet sich ein kleines Eingabefenster direkt an der Stelle wo der Cursor derzeit ist. Hier können Sie einen neuen Wert für die aktuelle Zeile eingeben. Dies funktioniert im wesentlichen wie bei dem Dialog 'Ändern absolut'.

Falls Sie Faktor / Offset verwenden: Geben Sie immer den Wert ein, der später angezeigt werden soll und nicht den Wert, der später im Eprom steht. WinOLS rechnet das für Sie um.

Abkürzungen:

Symbolleiste: -

Tastatur: Eingabe


Der Dialog Hexdump signieren (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Dialog Hexdump signieren (Menü Bearbeiten)

Mit diesem Dialog können Sie Texte so in ein Projekt einfügen, daß sie normalerweise nicht sichtbar sind. Das kann sinnvoll sein, um z.B. Ihre Projekte unsichtbar mit Ihrem Firmennamen zu kennzeichnen.

WinOLS macht dazu sehr kleine Änderungen an dem Projekt. Die Änderungen sind normalerweise zu kleine um die Funktionalität der Daten zu ändern, aber groß genug um darin Texte zu codieren.

Um zu funktionieren, muss die Funktion wissen, welche Kennfelder sie verändern darf. Je größer das Kennfeld und mehr Bytes pro Zelle (also z.B. 2 Bytes für einen 16 Bit Wert), desto mehr Daten passen rein. Am besten verwenden Sie stets große Kennfelder, da Sie sonst eventuell nur kurze Texte einfügen können.

Sie können den Text vor anderen Firmen verstecken. Auf diese Art können andere Leute (aus anderen Firmen) überhaupt keine Nachricht sehen. Andererseits können Sie sich auch entscheiden den Text nicht zu verstecken. Auf diese Art können andere Leute den Text im Dialog sehen, aber sie wissen nicht, wo er im Projekt gespeichert ist. Das macht es für sie schwierig (aber nicht unmöglich) den Text zu entfernen. Der beste Weg ist möglicherweise eine Kombination. Sie können einen sichtbaren Text hinterlassen und zwei weitere Texte unsichtbar hineinschreiben.

Signaturen können gestört werden, wenn Sie am Projekt arbeiten. Daher ist es empfehlenswert WinOLS vorm Speichern, Exportieren und Brennen prüfen zu lassen, ob noch alle Signaturen intakt sind und sie ggf. reparieren zu lassen.

Noch einige Hinweise:

· Verwenden Sie keine Kennfelder mit geringen Werteveränderungen. Andernfalls könnten die Änderungen, die WinOLS macht, die Werte des Kennfeldes in ihrem Sinn ändern und so Fehlfunktionen verursachen.
· Um mehr Sicherheit zu erreichen, können Sie den gleichen Text mehrfach einfügen. Falls die Signatur an einer Stelle gestört wird, ist sie an anderen Stellen noch immer intakt.
· Sie können nur ihre eigenen Signaturen entfernen. Signaturen von Fremdfirmen können nicht entfernt werden.
· Seien Sie vorsichtig im Umgang mit der 'Auto' Funktion. Möglicherweise wählt sie Kennfelder aus, die in Ihren Augen nicht geeignet sind um Signaturen aufzunehmen.
· Überprüfen Sie Kennfelder stets, wenn sie von dieser Funktion geändert wurden und prüfen Sie, ob die gemachten Änderungen nicht zu groß sind.
· Die Funktion 'Signaturen entfernen' überschreibt die Signatur, stellt aber nicht die Ursprungswerte wieder her. Wenn Sie die Ursprungswerte zurück haben wollen, verwenden Sie wie üblich die Undo Funktion.
· Der Signaturtext kann im Signaturdialog und im Versionsdialog eingesehen werden.

Abkürzungen:

Symbolleiste:

Tastatur: -


Der Befehl Wert + 1 (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Befehl Wert + 1 (Menü Bearbeiten)

Erhöht die Werte aller selektierten Zellen bzw. der Zelle unter dem Cursor um 1.

Halten Sie die Taste gedrückt um den Befehl (immer schneller werdend) zu wiederholen.

Wenn gleichzeitig die Strg-Taste und die Plus-Taste (vom Zehnerblock) gedrückt wird, wirkt der Befehl 100x stärker.

Abkürzungen:

Symbolleiste:

Tastatur: Plus / Komma


Der Befehl Wert - 1 (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Befehl Wert - 1 (Menü Bearbeiten)

Verringert die Werte aller selektierten Zellen bzw. der Zelle unter dem Cursor um 1.

Halten Sie die Taste gedrückt um den Befehl (immer schneller werdend) zu wiederholen.

Wenn gleichzeitig die Strg-Taste und die Minus-Taste (von Zehnerblock) gedrückt wird, wirkt der Befehl 100x stärker.

Abkürzungen:

Symbolleiste:

Tastatur: Minus


Der Dialog Ändern Absolut (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Dialog Ändern Absolut (Menü Bearbeiten)

Verwenden Sie diesen Befehl um die aktuelle Zelle bzw. alle markierten Zellen auf einen Wert zu setzen.

WinOLS verwaltet die Daten intern immer in dem Format in dem sie auch später im Eprom stehen. Angezeigt werden aber manchmal mit Faktor und Offset skalierte Werte um die Darstellung zu verbessern.

Daher werden in dieser Dialogbox auch zwei Werte angezeigt. Der obere Wert ist der, den Sie auch im aktuellen Kennfeld sehen. Alle Einflüsse, wie z.B. Zahlensystem, Faktor und Offset sind die selben. Der untere Werte ist stets in hex und der Wert, der später im Eprom steht. Die beiden Felder sind miteinander gekoppelt und werden automatisch aktualisiert.

Abkürzungen:

Symbolleiste:

Tastatur: =


Der Dialog Ändern Relativ (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Dialog Ändern Relativ (Menü Bearbeiten)

Verwenden Sie diesen Befehl um die aktuelle Zelle bzw. alle markierten Zellen mittels mathematischer Operationen zu verändern.

Mit der Datenquelle (oberer Teil im Dialog) können Sie einstellen woher OLS die Ausgangsdaten für die Operationen nimmt. Hinweis: Die Angabe ‘Original Eprom’ bezieht sich auf die derzeit als Original gewählte Version.

Im mittleren Teil des Dialoges können Sie die mathematische Operation wählen, die Sie auf die Zellen anwenden wollen.

Im unteren Teil des Dialoges geben Sie den Parameter für die gewählte Operation ein.

Zum Beispiel 'Addition' und '1000' um alle Werte um 1000 zu erhöhen oder 'Prozentual' und '-10' um alle Werte um 10% zu verringern.

Abkürzungen:

Symbolleiste:

Tastatur: %


Der Dialog Ändern Einstellen (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Dialog Ändern Einstellen (Menü Bearbeiten)

Verwenden Sie diesen Befehl um die aktuelle Zelle bzw. alle markierten Zellen mittels mathematischer Operationen zu verändern. Die oberen beiden Abschnitte funktionieren wie beim Dialog Ändern Relativ.

Im Gegensatz zum Dialog Ändern Relativ gibt es hier nicht nur einen Parameter für die mathematische Operation, sondern 5. Der Parameter in der Mitte des Dialoges gilt dabei für alle Zellen gleichermaßen. Die anderen 4 Parameter wirken in ihrer Stärke abhängig von ihrer Position. Zum Beispiel wirkt der Parameter, der links oben einstellt wird auch auf die Zellen am stärksten, die links oben in der Selektion liegen.

Alle Parameter können auch über Regler eingestellt werden. Die Empfindlichkeit der Regler kann mit dem Skala-Regler eingestellt werden.

Durch das Kreuzfeld ‘Änderungen in Echtzeit’ werden Änderungen sofort in das Kennfeld und ggf. auch sofort ins Fahrzeug übertragen. Es wird empfohlen diese Funktion mit besonderer Vorsicht anzuwenden um Schäden am Fahrzeug zu vermeiden.

Dieser Befehl ist nur verfügbar wenn ein Bereich markiert ist.

Abkürzungen:

Symbolleiste:

Tastatur: %


Der Befehl Wert Original (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Befehl Wert Original (Menü Bearbeiten)

Dieser Befehl setzt alle markierten Zellen auf ihre Werte in der Originalversion zurück.

Abkürzungen:

Symbolleiste: -

Tastatur: F11


Der Befehl Ändern wiederholen (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Befehl Ändern wiederholen (Menü Bearbeiten)

Dieser Befehl führt die zuletzt verwendete Operation für den aktuell markierten Bereich erneut durch. Auch eventuelle Parameter der Funktion (z.B. Multiplikator) werden übernommen.

Abkürzungen:

Symbolleiste: -

Tastatur: F9


Der Dialog Checksummen (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Dialog Checksummen (Menü Bearbeiten)

In diesem Dialog können Sie die Checksummen verwalten, die einem Projekt zugeordnet sind. Eine Checksumme besteht immer aus einem Bereich der überprüft wird, einer Adresse, wo die Checksumme gespeichert wird und Parametern die bestimmen, wie die Berechnung sich verhält. Ein Projekt kann beliebig viele Checksummen enthalten. Für viele Fahrzeuge gibt es Plugins um die Checksummen automatisch zu erkennen und zu korrigieren.

Diesen Dialog gibt es in einem einfachen und einem erweiterten Modus.

Einfacher Modus:

Dieser Dialog zeigt eine Übersicht des aktuellen Status. Verwenden Sie den Hyperlink "Suchen" um für das aktuelle Projekt eine passende Checksumme zu suchen. Alle Plugins erkennen automatisch ob sie mit dem aktuellen File umgehen können oder nicht.

Erweiterter Modus:

Verwenden Sie den Befehl ‘Suchen’ um automatisch nach bekannten Arten von Checksummen zu suchen. Für WinOLS sind dazu diverse Zusatzmodule erhältlich, die das Hauptprogramm ergänzen. Zur Liste aller Module (auf www.evc.de) gelangen Sie mit einem Klick auf ’Plugins im Web’. Wenn Sie auf ’Checksummen online prüfen’ wird online geprüft ob für Ihr aktuelles Projekt eine Checksumme erhältlich ist.

Über den Menüpunkt ‘Beschreibung’ können Sie Parameter der selektierten Checksumme einstellen. Mit der Option ‘Anwenden’ kann eine zuvor konfigurierte Checksumme jetzt sofort angewendet werden.

Durch das Aktivieren der SPI-Erkennung wird ein SPI-Kennstring in die Datei eingebaut (bzw. ausgebaut).

Wird die Option ‘Daten außerhalb von gecheckten Bereichen schützen‘ aktiviert, dann führt jede Veränderung von Daten die nicht durch eine Checksumme überprüft werden zu einer Rückfrage in Form eines Dialogs.

Die Option ‘Identische Bereich synchron halten‘ ist nur für einige Module verfügbar. Wenn im aktuellen Projekt Informationen doppelt vorkommen, werden sie automatisch synchron gehalten.

Automatische Checksummen: Es gibt zahlreiche Checksummenmodule für WinOLS um typische Fahrzeuge zu korrigieren. Damit diese korrekt arbeiten ist es zwingend notwendig, dass Sie das unmodifizierte Original des Fahrzeuges als Original im Projekt eingestellt haben. Ist das nicht der Fall, dann werden die Checksummenblöcke evtl. nicht korrekt ausgeglichen oder gar nicht erst erkannt.

Manuelle Checksummen: Profis können nicht nur automatisch erkannte Checksummen verwenden, sondern auch manuell eigene Checksummen eintragen (Menüpunkt hinzufügen) oder verändern (Menüpunkt bearbeiten). Details über manuelle Checksummen finden Sie bei dem entsprechenden Dialog.

Sync Blöcke: Klicken Sie auf das kleine schwarze Dreieck neben "Hinzufügen" um einen Sync-Block hinzuzufügen. Er erlaubt es Ihnen zwei identische Speicherbereiche auch identisch zu halten. Wird einer der beiden Bereiche verändert, dann werden die Änderungen in den anderen übertragen.

Hinweis: Eine Übersicht darüber, welche Checksummen-Module Sie installiert haben und ob sie lizenziert sind, erhalten Sie beim Klick auf ‘Installierte Plugins‘ (oder auch im Menü ‘?’ / ‘Info über Plugins’).

Hinweis zu Adressen: Die Adressen in diesem Dialog beziehen sich nicht auf das aktuelle Element, sondern auf die Adressen wie in der Ansicht <Alle Elemente> sichtbar sind. Somit sind elementübergreifende Aktionen möglich.

Abkürzungen:

Symbolleiste:

Tastatur: F2 / c


Der Dialog Checksumme online prüfen (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten > Der Dialog Checksummen (Menü Bearbeiten) >

Der Dialog Checksumme online prüfen (Menü Bearbeiten)

Mit diesem Dialog können Sie auf der EVC Website nach Checksummen-Modulen suchen, die zu Ihrem Steuergerät passen.

Gehen Sie dazu einfach online und klicken Sie auf ’Start’. Der Assistent erledigt den Rest.

Hinweis: In seltenen Fällen ist es erforderlich einen Proxy-Server zu verwenden. Dies kann im Konfigurationsdialog eingestellt werden.

Hinweis: Für diesen Assistenten ist eine Internet-Verbindung erforderlich.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Eigenschaften der Checksumme

Navigation: Startseite > Befehle des Menüs Bearbeiten > Der Dialog Checksummen (Menü Bearbeiten) >

Der Dialog Eigenschaften der Checksumme

In diesem Menü können Sie Parameter der selektierten Checksumme einstellen. Bei automatisch gefundenen Checksummen werden die diese Parameter vom Programm verwaltet. Im Falle einer manuellen Konfiguration können Sie einige Parameter mehr einstellen:

Verfahren | Der allgemeine Algorithmus
Adressbereich | Aus diesem Bereich des Projektes wird die Checksumme errechnet.
Bitbreite der Daten | Gibt an 8 Bit oder 16 Bit Daten aus dem Projekt genommen werden.
Datenorganisation | Beschreibt bei 16 Bit die Organisation der Daten
Ausgleich auf | Diese Adresse wird durch die Checksumme verändert. Bei sog. "Vollbyte" Checksummen (mehr dazu unten) werden (evtl. große) Bereiche modifiziert um die Checksumme ausgeglichen zu halten.
Automatischer Ausgleich | Ist dieses Feld aktiviert, dann folgt jeder Änderung im Adressbereich automatisch die Korrektur der Checksumme.
Vollbyte-Checksumme | Aktiviert sog. "Vollbyte" Checksummen (mehr dazu unten)

Mit diesem Dialog können Sie sich die einzelnen automatisch erkannten Checksummen ansehen oder eigene manuelle Checksummen hinzufügen und ändern.

Die manuelle Default-Checksumme ist eine sog. Additive Checksumme. Hierbei werden einfach alle Werte im Adressbereich addiert. Als Folge ist es möglich Änderungen zu korrigieren ohne die weiteren Details zu kennen, wie z.B. die exakte Position der Checksumme.

Dazu müssen Sie lediglich einen Bereich eingeben, der all Ihre Änderungen umfasst aber auf keinen Fall größer ist als der vom Hersteller einprogrammierte Checksummenbereich. (Also lieber zu klein als zu groß.) Wählen Sie als Ausgleichsadresse die nächste Adresse hinter Ihrem gewählten Bereich. Wenn Sie jetzt Änderungen vornehmen wird der Wert an der Ausgleichsadresse so angepasst, dass die Gesamtsumme konstant bleibt. Sie können sich auch lediglich die Summe der Bytes anzeigen lassen um diese selber konstant zu halten. Dann entfallen die Zieladresse und einige andere Dinge.

Vollbyte Checksummen: Dies ist eine Variante der normalen Checksumme bei der das Rechenregister breiter ist als die Daten. Wenn also 8-Bit Daten verrechnet werden, dann erfolgt die eigentliche Addition in einem 16-Bit Register (Bei 16-Bit Daten in einem 32-Bit Register). Der Unterschied liegt in der Berechnung des Übertrages, der erst sehr viel später erfolgt. Wenn Sie die Daten einer normalen 8-Bit Checksumme um 300 erhöhen, müssen Sie nur an anderer Stelle um 44 (300-256) verringern. Bei Vollbyte Checksummen müssen Sie die kompletten 300 an anderer Stelle wieder abbauen, daher muss hier auch ein Adressbereich als Ziel angegeben werden.

Vollbyte Checksummen In der Praxis: Geben Sie einfach nicht nur eine Zieladresse, sondern einen Zielbereich ein. Wenn Sie Daten erhöhen werden im Zielbereich Daten verringert und umgekehrt. Die erforderliche Größe der Zielbereichs hängt davon ab, wie groß Ihre Modifikationen sind und wie weit man die aktuellen Werte im Zielbereich verändern kann.

Wichtig: Die Zieladresse bzw. der Zielbereich dürfen nicht im zu prüfenden Adressbereich liegen, müssen aber unbedingt in dem Bereich liegen der noch vom Steuergerät zur Berechnung herangezogen wird.

Hinweis zu Adressen: Die Adressen in diesem Dialog beziehen sich nicht auf das aktuelle Element, sondern auf die Adressen wie in der Ansicht <Alle Elemente> sichtbar sind. Somit sind elementübergreifende Aktionen möglich.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Das Kommando Checksumme anwenden (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Das Kommando Checksumme anwenden (Menü Bearbeiten)

Mit diesem Kommando können Sie einzelne Checksummenblöcke gezielt neu berechnen lassen. Falls Sie die automatische Checksummenkorrektur eingeschaltet haben, brauchen Sie dieses Kommando nicht.

Dieses Kommando ist nur verfügbar, wenn sich der Cursor in einem Checksummenblock befindet und das zugehörige Plugin installiert und registriert ist.

Abkürzungen:

Symbolleiste:

Tastatur: Alt+F2


Der Dialog Eigenschaften: Fenster (Menü Bearbeiten)

Navigation: Startseite > Befehle des Menüs Bearbeiten >

Der Dialog Eigenschaften: Fenster (Menü Bearbeiten)

Mit diesem Dialog können Sie die Eigenschaften des aktuellen Fensters einstellen. Das Aussehen dieses Dialoges hängt vom aktiven Fenster ab.

Bei Hexdump-Fenstern:

Spalten

Geben Sie hier die Anzahl der darzustellenden Spalten ein

Werte

Hier kann die Anzahl der Bytes pro Zelle und die Organisation der Byte (LoHi/HiLo) verändert werden. Dies beeinflusst ggf. auch den Wertebereich.

Zahlenformat

Es kann zwischen einer dezimalen und einer hexadezimalen Darstellung gewählt werden.

Kein Faktor / Off.

Anstelle der mit Faktor und Offset skalierten Werte werden die Werte der Version angezeigt, ohne Faktor und Offset zu berücksichtigen.

Differenz

Statt dem Zellenwert wird die absolute Differenz zwischen Zellenwert oder Originalwert dargestellt.

Prozent

Statt dem Zellenwert wird die relative Differenz zwischen Zellenwert oder Originalwert dargestellt.

Original

Zeigt die Werte des Original statt der aktuellen Version an

Vorzeichen

Interpretiert die Daten als vorzeichenbehaftete Werte

Rechte Seite

Optional ist rechts eine Darstellung der Werte als ASCII-Werte oder als Balken möglich.

Wertebereich

Falls eine Balkendarstellung gewählt wurde kann hiermit der Zahlenbereich eingestellt werden der von den Balken wiedergegeben wird. Kommen z.B. nur Werte von 1-10 in den Daten vor, so kann man diese hier einstellen um die Darstellung zu optimieren.

Wenn Sie die Option “Dynamisch“ aktivieren, dann wird WinOLS automatisch die beste Skalierung für die Balken ermitteln. Dies erleichtert es Kennfelder zu erkennen, besonders im 16 und 32 Bit Modus, aber es kann dazu führen das zwei Zeilen des gleichen Kennfeldes unterschiedliche Skalierungen haben. Sobald ein Kennfeld als potentielles erkannt wurde oder registriert wurde, verwendet WinOLS dessen Wertebereich um es im Hexdump darzustellen.

Faktor & Offset

Faktor und Offset dienen zur Anzeige der Werte in physikalischen Größen, wie zum Beispiel Grad Zündwinkel oder Drehzahl in U / min. Der angezeigte Werte errechnet sich dabei als AngezeigterWert = Wert*Faktor + Offset

Bei Kennfeld-Fenstern:

In der ersten Registerkarte (Tab) sind folgende Information bzgl. Dem Datenbereich des aktuellen Kennfeldes untergebracht.

Bezeichnung & Einheit | Frei wählbare Beschreibungstexte
Anfangsadresse | An dieser Adresse beginnen die Daten des Kennfeldes
Zeilen & Spalten | Die Dimensionen des Kennfeldes
Spalten | Geben Sie hier die Anzahl der darzustellenden Spalten ein
Werte | Hier kann die Anzahl der Bytes pro Zelle und die Organisation der Byte (LoHi/HiLo) verändert werden. Dies beeinflusst ggf. auch den Wertebereich.
Sprung | Manche Steuergeräte verwenden nicht jeden Achsenwert, sondern z.B. nur jeden zweiten. Tragen Sie hier die Anzahl der Bytes ein, die zwischen 2 Achsenwerten übersprungen werden sollen.
Zahlenformat | Es kann zwischen einer dezimalen und einer hexadezimalen Darstellung gewählt werden.
Kehrwert | Zeigt die Daten als Kehrwert die ursprünglichen Werte an.
Vorzeichen | Zeigt die Daten als vorzeichenbehaftete Werte an.
Differenz | Statt dem Zellenwert wird die absolute Differenz zwischen Zellenwert oder Originalwert dargestellt.
Prozent | Statt dem Zellenwert wird die relative Differenz zwischen Zellenwert oder Originalwert dargestellt.
Kein Faktor / Offset | Anstelle der mit Faktor und Offset skalierten Werte werden die Werte der Version angezeigt, ohne Faktor und Offset zu berücksichtigen.
Originalwerte | Es werden nicht die modifizierten Werte der Version, sondern die unmodifizierten Originalwerte anzeigt.
Rechte Seite | Optional ist rechts eine Darstellung der Werte als ASCII-Werte oder als Balken möglich.
Wertebereich | Falls eine Balkendarstellung gewählt wurde kann hiermit der Zahlenbereich eingestellt werden der von den Balken wiedergegeben wird. Kommen z.B. nur Werte von 1-10 in den Daten vor, so kann man diese hier einstellen um die Darstellung zu optimieren.
Auto | Mit diesem Button kann der Wertebereich automatisch aus den Kennfelddaten ermittelt werden.
Faktor & Offset | Faktor und Offset dienen zur Anzeige der Werte in physikalischen Größen, wie zum Beispiel Grad Zündwinkel oder Drehzahl in U / min. Der angezeigte Werte errechnet sich dabei als AngezeigterWert = Wert*Faktor + Offset
Variabler Offset | Für Trim-Kennfelder können Sie ein anderes Kennfeld als Offset verwenden. Wählen dazu das fremde Kennfeld einfach aus der Liste aus. (Gelistet werden alle Kennfelder mit identischen Stützstellenadressen.) Für die Anzeige der Kennfeldwerte (nicht aber der Axen) werden dem aktuellen Kennfeld die Werte der ausgewählten Kennfeldes wie ein Offset dazuaddiert.

Neben den Feldern für Faktor und Offset finden Sie 5 kleine Buttons. Dies sind gespeicherte Werte für die Felder Faktor, Offset, Einheit und Nachkommastellen. Mit den Pfeil-Button und dem durch ihn aufklappbaren Menü können Sie Ihre eigenen Lieblingswerte speichern. Dazu tragen Sie einfach in die erwähnten Felder Werte ein. Um diese dann abzuspeichern, halten Sie die Umschalttaste gedrückt, während Sie einen Eintrag aus dem Menü wählen. Um die Werte später wieder zu laden, wählen Sie einfach erneut den Eintrag aus dem Menü (ohne Umschalttaste).

In der zweiten und dritten Registerkarte sind folgende Information zu den Achsen des Kennfeldes untergebracht.

Bezeichnung & Einheit | Frei wählbare Beschreibungstexte
Datenquelle | Hiermit wird angegeben woher die Daten für die Achse bezogen werden. Dies kann eine automatische Nummerierung sein oder auch die direkten oder additiv / subtraktiv verrechneten Eprom Daten. Als letzte Option können Sie auch selber freie Werte eingeben, die nicht im Eprom, sondern extern gespeichert werden.
Anfangsadresse | An dieser Adresse beginnen die Daten der Achse
Wie Hexdumpcursor | Nimmt Cursorposition des Kennfeldfensters als Startadresse an
Kennfeld spiegeln | Die Daten (Hexdump + Stützstellen) können mit diesem Kreuzfeld in umgekehrter Reihenfolge (in Richtung der Achse) angezeigt werden.
Werte | Hier kann die Anzahl der Bytes pro Zelle und die Organisation der Byte (LoHi/HiLo) verändert werden. Dies beeinflusst ggf. auch den Wertebereich.
Zahlenformat | Es kann zwischen einer dezimalen und einer hexadezimalen Darstellung gewählt werden.
Kehrwert | Zeigt die Daten als Kehrwert die ursprünglichen Werte an.
Vorzeichen | Zeigt die Daten als vorzeichenbehaftete Werte an.
Signaturbyte | Diese Zahl kennzeichnet diese spezielle Stützstellenreihe und wird vom Hersteller definiert. Sie ist i.d.R. innerhalb eines Datenstandes für alle Stützstellenreihen dieser Art identisch.
Faktor & Offset | Faktor und Offset dienen zur Anzeige der Werte in physikalischen Größen, wie zum Beispiel Grad Zündwinkel oder Drehzahl in U / min. Der angezeigte Werte errechnet sich dabei als AngezeigterWert = Wert*Faktor + Offset

Bei 3d-Kennfeld-Fenstern:

In der vierten Registerkarte (Tab) sind folgende Information bzgl. der dreidimensionalen Ansicht untergebracht.

Rotation | Dies ist die Rotation der Ansicht um die senkrechte Achse (in Grad)
Perspektive | Dieser Wert bestimmt den Einfluß der Perspektive auf die Darstellung
Z-Skalierung | Die Z-Skalierung bestimmt wie weit das Kennfeld für die Darstellung vertikal gestreckt oder gestaucht werden soll.
Z-Offset | Der Z-Offset ist ein vertikaler Offset, der unabhängig von den Scrollbars verwendet werden kann um negative Werte anzeigbar zu machen.
Stützstellen anzeigen | Ist dieses Kreuzfeld aktiviert, dann wird eine Skala mit den Stützstellen angezeigt.

Abkürzungen:

Symbolleiste:

Tastatur: Alt+Enter


Befehle des Menüs Hardware

Navigation: Startseite

Befehle des Menüs Hardware

Das Menü Hardware bietet folgende Befehle, die Ihnen erlauben, Eprommer und Simulator zu konfigurieren:

Hersteller | Erlaubt die Auswahl des Eprom-Herstellers für Simulator und Eprommer
Leitungen vertauschen | Zeigt den Dialog zum Vertauschen von Leitungen.
BDM / Vergleichen | Vergleicht den BDM/Steuergerät-Inhalt mit dem aktuellen Projekt.
BDM / Programmieren | Schreibt das aktuelle Projekt in das BDM/Steuergerät.
BDM / Leertest/Löschen | Prüft, ob das BDM/Steuergerät leer ist und löscht es bei Bedarf.
BDM / Auslesen | Liest den Inhalt des BDM/Steuergerät als neue Version des aktuellen Projektes ein.
Eprom / Vergleichen | Vergleicht den Eprom-Inhalt mit dem aktuellen Projekt.
Eprom / Programmieren | Schreibt das aktuelle Projekt in das Eprom.
Eprom / Leertest/Löschen | Prüft, ob das Eprom leer ist und löscht es bei Bedarf+Möglichkeit.
Eprom / Auslesen | Liest den Inhalt des Eproms als neue Version des aktuellen Projektes ein.
Eprom / Parameter | Erlaubt es den im Eprom verwendeten Bereich einzustellen.
Eprom / Optionen | Erlaubt das Einstellen spezieller Eprom-Parameter.
Simulator / Laden | Lädt die Konfiguration und den aktuellen Datensatz in den Simulator
Simulator / Eigenschaften | Definiert die Eigenschaften des Simulators.
Simulator / Kennfeldzugriffe prüfen | Prüft alle Kennfelder daraufhin ob sie verwendet werden und zeigt das Ergebnis in der Kennfeldliste.
Simulator / Kennfeldzugriffe löschen | Löscht alle Markierungen in der Kennfeldliste.


Der Dialog Hersteller (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware >

Der Dialog Hersteller (Menü Hardware)

Da ein Projekt eine feste Epromgröße hat, kann im Herstellerfenster normalerweise nur zwischen den verschiedenen Typen wie CMOS oder NMOS und den Programmieralgorithmen gewählt werden.

Unter Organisation ist eine Option anwählbar, die es ermöglicht, den Inhalt von zwei 8- Bit Eproms zu einem 16- Bit- Eprom zusammenzufügen, die dann nacheinander eingelesen werden müssen bzw. programmiert werden.

Mit der Auswahl des Epromtyps wird auch gleichzeitig die Konfiguration des Simulatormoduls eingestellt. Dies ist insbesondere bei 28F512 zu berücksichtigen, die eine andere Pinbelegung (32 Pins) als 27C512 ( 28 Pins ) haben.

Die Option Original und Version in ein Eprom ist zur Verwendung mit einem externen Umschaltadapter (z.B.: KEY520) gedacht. Zum Simulatorbetrieb mit automatischer Umschaltung ist diese Option nicht zu benutzen!

Hierzu ist unter Bearbeiten OLS- Modul die Option Umschaltung Orig./ Version zu markieren, die die Umschaltung intern abwickelt und nach außen als normales Eprom der Originalgröße erscheinen lässt

Abkürzungen:

Symbolleiste:

Tastatur: Strg+H


Der Dialog Vertauschen (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware >

Der Dialog Vertauschen (Menü Hardware)

Mit diesem Dialog können beim Lesen und Schreiben von Eproms, ebenso wie Im- und Export Leitungen vertauscht und invertiert werden. Normalerweise arbeiten Sie damit immer mit den "lesbaren" Daten, so dass Texte lesbar sind und Checksummen berechnet werden können. Das Vertauschen findet bei Bedarf (beim Export) automatisch statt. Falls derzeit das Projekt nicht aus "lesbaren" Daten besteht (wird im rechten Teil des Dialogs angezeigt), dann können Sie über den Button "Erweitert" aktiv die Vertauschung anwenden.

Es stehen mehrere vordefinierte Profile für typische Vertauschungen zur Verfügung. Falls Ihr Projekt mehrere Elemente enthält können Sie die Vertauschung für jedes Element einzeln einstellen.

Beachten Sie: Welche Werte (8 oder 16 Bit) Sie bearbeiten können, hängt vom aktuellen Eprom ab. Sie können direkt von diesem Dialog aus das aktuelle Eprom wechseln.

Abkürzungen:

Symbolleiste: -

Tastatur: -


BDM

Navigation: Startseite > Befehle des Menüs Hardware >

BDM

Bitte wählen Sie ein Unterthema.


Der Dialog BDM / Vergleichen (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware > BDM >

Der Dialog BDM / Vergleichen (Menü Hardware)

Zeigt eventuelle Unterschiede zwischen BDM/Steuergerät und Projekt an. Sie können auswählen welche Elemente Sie vergleichen möchten.

Elemente bei denen Original und Version unterschiedlich sind (innerhalb des PC RAMs – nicht zwischen PC und Steuergerät) werden fett gedruckt.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog BDM / Programmieren (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware > BDM >

Der Dialog BDM / Programmieren (Menü Hardware)

Programmiert den aktuellen Inhalt des Projektes in das BDM/Steuergerät Interface. Nicht-leere Bereiche werden dabei automatisch erkannt und gelöscht. Sie können auswählen welche Elemente Sie programmieren möchten.

Wenn Sie Ihr Projekt gegen das Auslesen mit WinOLS durch einen Konkurrenten schützen möchten aktivieren Sie den "Bdm Ausleseschutz" in den Projektoptionen bevor Sie programmieren.

Elemente bei denen Original und Version unterschiedlich sind, werden fett gedruckt.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog BDM / Leertest (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware > BDM >

Der Dialog BDM / Leertest (Menü Hardware)

Erlaubt es zu testen ob das BDM/Steuergerät leer ist und es bei Bedarf zu löschen. Sie können auswählen welche Elemente Sie löschen möchten.

Elemente bei denen Original und Version unterschiedlich sind werden fett gedruckt.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog BDM / Auslesen (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware > BDM >

Der Dialog BDM / Auslesen (Menü Hardware)

Erlaubt es den aktuellen BDM/Steuergerät Inhalt als neues Projekt oder neue Version auszulesen. Standardmäßig werden alle Elemente des Steuergeräts ausgelesen, aber Sie können bei Versionen einzelne Elemente abschalten, falls Sie sicher sind, dass Sie diese nicht benötigen. Beim Auslesen des Original werden immer alle Elemente ausgelesen.

Elemente bei denen Original und Version unterschiedlich sind werden fett gedruckt.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Eprom

Navigation: Startseite > Befehle des Menüs Hardware >

Eprom

Bitte wählen Sie ein Unterthema.


Der Dialog Eprom / Vergleichen (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware > Eprom >

Der Dialog Eprom / Vergleichen (Menü Hardware)

Zeigt eventuelle Unterschiede zwischen Eprom und Speicherinhalt an. Es können mit der Option verschlüsselt auch Eproms für EVC- KEY Module verglichen werden.

Sie können einen Schnelltest aktiviert. Wenn Sie dies machen, wir nicht das gesamte Eprom verglichen, sondern nur Bytes in der aktuellen Version anders sind als im Original und einige zusätzliche Bytes als Stichprobe.

Abkürzungen:

Symbolleiste:

Tastatur: -


Der Dialog Eprom / Programmieren (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware > Eprom >

Der Dialog Eprom / Programmieren (Menü Hardware)

Zusätzlich zu den zur Kontrolle angezeigten Informationen wie Projekt und Eprom ist die für diesen Typ zu benutzende Programmierfassung aufgeführt. Sollte zuvor eine Schlüsseldatei für EVC - KEY Eprom- Kopierschutzmodule eingeladen worden sein, so erscheint die Option verschlüsseln.

Außerdem erscheint die Option gerade bzw. ungerade, falls im Herstellerdialog das zusammenschlüsseln von zwei 8- Bit Eproms zu einem 16- Bit Eprom angewählt worden ist.

Arial

Symbolleiste:

Tastatur: -


Der Dialog Eprom / Leertest (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware > Eprom >

Der Dialog Eprom / Leertest (Menü Hardware)

Vergleicht den Eprominhalt mit Hex FF bei Eproms mit 8 - Bit- Bus und mit

Hex FFFF bei Eproms mit 16- Bit Bus. Wenn Unterschiede auftreten, so kann man den Leertest abbrechen und erhält dann als oberste Auswahltaste löschen.

Abkürzungen:

Symbolleiste:

Tastatur: -


Der Dialog Eprom / Auslesen (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware > Eprom >

Der Dialog Eprom / Auslesen (Menü Hardware)

Ein bereits geändertes Eprom lässt sich als Version auslesen. Da hierfür ein Basiseprom erforderlich ist, muss natürlich vorher das entsprechende Projekt geladen werden.

Abkürzungen:

Symbolleiste:

Tastatur: -


Der Dialog Eprom / Parameter (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware > Eprom >

Der Dialog Eprom / Parameter (Menü Hardware)

Diese Funktion wird im normalen Betrieb nicht gebraucht, und ermöglicht es, Eproms nur teilweise zu programmieren.

Abkürzungen:

Symbolleiste:

Tastatur: -


Der Dialog Eprom / Optionen (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware > Eprom >

Der Dialog Eprom / Optionen (Menü Hardware)

Hier werden die unterschiedlichen Adapter umgeschaltet, die alternativ verwendet

werden können, aber von Programm nicht automatisch erkannt werden.

Des Weiteren kann eingestellt werden, ob das Eprom vor dem Brennen getestet oder gelöscht werden soll und ob es nachher verglichen werden soll.

Die Option 'Intelligentes Programmieren' erlaubt eine besonders schnelle Programmierung. Sie ist aber nur für Eproms verfügbar, die ein Löschen von Bereichen erlauben. Ist sie aktiviert, dann wird das Eprom mit dem RAM verglichen und nur Bereiche, die verändert wurden, werden gelöscht und neu programmiert.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Simulator

Navigation: Startseite > Befehle des Menüs Hardware >

Simulator

Bitte wählen Sie ein Unterthema.


Das Kommando Simulator / Laden (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware > Simulator >

Das Kommando Simulator / Laden (Menü Hardware)

Beim Aufruf dieses Menüpunktes werden die Epromdaten in den Simulator geschrieben.

Wichtig: Bevor Sie diesen Menüpunkt aufrufen muss die Zündung abgeschaltet sein!

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Simulator / Eigenschaften (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware > Simulator >

Der Dialog Simulator / Eigenschaften (Menü Hardware)

Beim Aufruf dieses Menüpunktes werden die gerade herrschenden Eigenschaften als Kreuze dargestellt. Zusätzlich gewünschte Eigenschaften müssen durch anklicken angekreuzt werden.

Im oberen Block wird die Konfiguration angezeigt, die durch die Einstellungen in Eprom Hersteller bestimmt wird.

Bei angekreuzter Funktion AutoMark und laufendem Motor werden im Kennfeldbetrieb die vom Monitor rot unterlegten Werte mit den Tasten + und - direkt geändert, also praktisch automatisch markiert.

Die Funktion nur Monitor erlaubt den Betrieb des OLS -Moduls parallel zum eingebauten Eprom, im OLS-Modul ist dann der Simulator deaktiviert und nur der Monitor in Funktion.

Um die Entwicklung von Fahrzeugen zu vereinfachen , die beim Einschalten eine Checksummenprüfung durchführen, kann die Option Umschaltung gewählt werden, bei der das OLS16- Modul automatisch vom Originalstand in die geänderte Version umschaltet.

Diese Umschaltfunktion ist nicht mit der Funktion Original und Version in ein Eprom unter Eprom Hersteller zu verwechseln, die ein doppelt so großes Eprom zur Verwendung in einem Umschaltmodul wie KEY520 erzeugt. Im Monitorbetrieb wird jeder Speicherzugriff rot hinterlegt dargestellt. Mit Nachleuchten stellt man die Zeit in Sekunden ein, bis die rote Markierung wieder gelöscht wird.

Mit der Write Pulsbreite kann man das Simulatortiming verändern. Zu kleine Werte bewirken, das die Daten nicht mehr sicher im Simulatorspeicher ankommen, zu große führen zum Absturz des Motorsteuergerätes beim Online-ändern des Eprominhaltes.

Die Update Verzögerung ist die Zeit, die nach einer Änderung abgewartet wird, bevor die Daten in den Simulationsspeicher geschrieben werden.

Hinweis: Die Eingabe des Anschlußcodes ist seit Programmversion 1.030 nicht mehr notwendig. Der Anschlußcode wird jetzt automatisch erkannt.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Das Kommando Simulator / Kennfeldzugriffe prüfen (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware > Simulator >

Das Kommando Simulator / Kennfeldzugriffe prüfen (Menü Hardware)

Ein Projekt kann viele Kennfelder beinhalten aber nicht alle werden dabei notwendigerweise verwendet. Mit diesem Kommando weisen Sie WinOLS an, alle Kennfelder daraufhin zu überprüfen ob sie verwendet werden (=von der Hardware nachgefragt werden) oder nicht.

Alle Kennfelder die verwendet werden, markiert WinOLS in rot (der üblichen Simulator Farbe) im Kennfeld Auswahlfenster. Diese Information wird nicht automatisch aktualisiert. Wenn Sie eine aktuelle Anzeige wünschen, dann müssen Sie dieses Kommando erneut aufrufen.

Dieses Kommando ist nur verfügbar wenn das aktuelle Projekt online ist.

Hinweis: Dieses Kommando kann einige Zeit in Anspruch nehmen (hängt von der Anzahl der Kennfelder ab).

Abkürzungen:

Symbolleiste: -

Tastatur: -


Das Kommando Simulator / Kennfeldzugriffe löschen (Menü Hardware)

Navigation: Startseite > Befehle des Menüs Hardware > Simulator >

Das Kommando Simulator / Kennfeldzugriffe löschen (Menü Hardware)

Wenn Sie das Kommando 'Simulator / Check Kennfeldzugriffe prüfen' verwendet haben, dann sind einige Kennfelder in der Kennfeldliste rot markiert. Dieses Kommando löscht alle Markierungen in diesem Fenster. Weder die Kennfelder selber noch die Daten des Hexdump werden dabei verändert.

Dieses Kommando ist nur verfügbar wenn das aktuelle Projekt online ist.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Befehle des Menüs Ansicht

Navigation: Startseite

Befehle des Menüs Ansicht

Das Menü Ansicht enthält folgende Befehle:

Symbolleisten | Blendet die verschiedenen Symbolleisten ein oder aus
Statusleiste | Blendet die Statusleiste ein oder aus
Anfang nach links | Verschiebt den Anfang des angezeigten Bereiches um eine Zelle nach links
Anfang nach rechts | Verschiebt den Anfang des angezeigten Bereiches um eine Zelle nach rechts
Mehr Spalten | Erhöht die Anzahl der angezeigten Spalten um 1
Weniger Spalten | Verringert die Anzahl der angezeigten Spalten um 1
Prozent & Co. | Ändert die Art in der Unterschiede angezeigt werden, ob Faktor und Offset berücksichtigt werden und ob die Versionswerte verwendet werden
Rechte Seite | Ändert den Ansichtsmodus für die Rechte Seite und ob die Rechte Seite fixiert werden soll oder nicht
Zoom | Vergrößert die Darstellung
Maßstab 100% | Setzt die Darstellung auf den Standardwert (nur 2d)
Unzoom | Verkleinert die Darstellung
Punkte verbinden / Flächen füllen | Verbindet die einzelnen Punkte durch Linie (nur 2d) Füllt die einzelnen Flächen (nur 3d)
Zeilenmarker anzeigen | Markiert die (gedanklichen) Zeilen durch Linien (nur 2d)
Unterschiede | Zeigt ein Menü mit allen Unterschieden zwischen aktueller Version und Originalversion
- erster | Bewegt den Cursor zum ersten Unterschied im aktuellen Fenster
- vorheriger | Bewegt den Cursor zum ersten Unterschied im aktuellen Fenster vor der aktuellen Position
- nächster | Bewegt den Cursor zum ersten Unterschied im aktuellen Fenster nach der aktuellen Position
- letzter | Bewegt den Cursor zum letzten Unterschied im aktuellen Fenster
Referenzversion wählen | Erlaubt die Wahl der Version die als Original angesehen wird
Fenster koppeln | Schaltet das synchrone Scrollen zwischen zwei Fenstern ein- oder aus
Wertebereich optimieren | Berechnet den optimalen Wertebereich für die Balkendarstellung.
Kennfeld erkennen | Sucht nach einem Kennfeld an der aktueller Cursorposition und darüber hinaus
Kennfeldselektion unterstützen | Unterstützt bei der Erstellung einer Selektion eines Kennfeldes.


Der Befehl Symbolleiste (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Befehl Symbolleiste (Menü Ansicht)

Verwenden Sie diesen Befehl zum Ein- oder Ausblenden der Symbolleiste. Die Symbolleiste enthält einige Schaltflächen der gebräuchlichsten Befehle von WinOLS, wie zum Beispiel Datei Öffnen. Wenn die Symbolleiste angezeigt wird, erscheint ein Häkchen neben diesem Menüeintrag.


Der Befehl Statusleiste (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Befehl Statusleiste (Menü Ansicht)

Verwenden Sie diesen Befehl, um die Statusleiste ein- oder auszublenden. Die Statusleiste beschreibt die Aktion, die vom ausgewählten Menüeintrag oder einer gedrückten Schaltfläche der Symbolleiste ausgeführt wird und zeigt den Zustand der feststellbaren Tasten an. Falls die Statusleiste angezeigt wird, erscheint ein Häkchen neben dem Menüeintrag dieses Befehls.

Hilfe zur Verwendung der Statusleiste finden Sie unter Statusleiste.


Der Menüpunkt Anfang nach links (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Menüpunkt Anfang nach links (Menü Ansicht)

Verwenden Sie diesen Befehl, um ein den Anfang des angezeigten Bereichs eines Fensters zu verschieben. Dies kann notwendig sein, um Kennfelder korrekt zu markieren.

Dieser Befehl ist nur bei Hexdumps verfügbar.

Abkürzungen:

Symbolleiste: -

Tastatur: Strg+Links


Der Menüpunkt Anfang nach rechts (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Menüpunkt Anfang nach rechts (Menü Ansicht)

Verwenden Sie diesen Befehl, um ein den Anfang des angezeigten Bereichs eines Fensters zu verschieben. Dies kann notwendig sein, um Kennfelder korrekt zu markieren.

Dieser Befehl ist nur bei Hexdumps verfügbar.

Abkürzungen:

Symbolleiste: -

Tastatur: Strg+Rechts


Der Menüpunkt Mehr Spalten (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Menüpunkt Mehr Spalten (Menü Ansicht)

Verwenden Sie diesen Befehl, um die Anzahl der angezeigten Spalten um 1 zu erhöhen.

Dieser Befehl ist nur bei Hexdumps verfügbar.

Abkürzungen:

Symbolleiste: -

Tastatur: M


Der Menüpunkt Weniger Spalten (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Menüpunkt Weniger Spalten (Menü Ansicht)

Verwenden Sie diesen Befehl, um die Anzahl der angezeigten Spalten um 1 zu verringern.

Dieser Befehl ist nur bei Hexdumps verfügbar.

Abkürzungen:

Symbolleiste: -

Tastatur: W


Der Menüpunkt Zoom (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Menüpunkt Zoom (Menü Ansicht)

Verwenden Sie diesen Befehl, die Darstellung zu vergrößern.

Im Textmodus wird die Schrift größer dargestellt. Im 2d Modus wird die grafische Darstellung horizontal vergrößert. Halten Sie die Shift Taste gedrückt um die Darstellung vertikal zu vergrößern.

Abkürzungen:

Symbolleiste: -

Tastatur: -

Maus: Strg + Mausrad


Der Menüpunkt Maßstab 100% (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Menüpunkt Maßstab 100% (Menü Ansicht)

Verwenden Sie diesen Befehl, um die Vergrößerung der grafischen Darstellung horizontal auf 100% zurückzusetzen. Dieser Befehl ist nur im 2d Modus verfügbar.

Halten Sie die Shift Taste gedrückt um die Darstellung vertikal auf den Standardwert zurückzusetzen.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Menüpunkt Unzoom (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Menüpunkt Unzoom (Menü Ansicht)

Verwenden Sie diesen Befehl, die Darstellung zu verkleinern.

Im Textmodus wird die Schrift kleiner dargestellt. Im 2d Modus wird die grafische Darstellung horizontal verkleinert. Halten Sie die Shift Taste gedrückt um die Darstellung vertikal zu verkleinern.

Abkürzungen:

Symbolleiste: -

Tastatur: -

Maus: Strg + Mausrad


Der Menüpunkt Punkte verbinden (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Menüpunkt Punkte verbinden (Menü Ansicht)

2d-Modus:

Mit diesem Befehl kann das Verbinden der einzelnen Punkte durch Linien an- und abgeschaltet werden.

3d-Modus:

Mit diesem Befehl kann das Ausfüllen der einzelnen Flächen an- und abgeschaltet werden.

Dieser Befehl ist nur im 2d & 3d Modus verfügbar.

Abkürzungen:

Symbolleiste: /

Tastatur: -


Der Menüpunkt Zeilenmarker anzeigen (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Menüpunkt Zeilenmarker anzeigen (Menü Ansicht)

Obwohl im 2d Modus der Datenbereich als ein 'flacher' Zahlenstrahl dargestellt wird, verwaltet WinOLS gleichzeitig noch 'gedankliche' Spalten. (Man kann jederzeit in den Textmodus umschalten um die Spalten bildlich zu sehen.) Die Spalten sind wichtig für bestimmte Selektionsarten und damit auch für das ändern von Werten und die Erzeugung von Kennfeldern.

Mit diesem Befehl kann die Darstellung der Zeilenumbrüche durch Hilfslinien aktiviert und deaktiviert werden.

Dieser Befehl ist nur im 2d Modus verfügbar.

Abkürzungen:

Symbolleiste:

Tastatur: -


Der Menüpunkt Unterschiede / letzter (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Menüpunkt Unterschiede / letzter (Menü Ansicht)

Mit diesem Befehl können Sie den Cursor zum letzten Unterschied zwischen Original und aktueller Version innerhalb des aktuellen Fensters bewegen.

Abkürzungen:

Symbolleiste:

Tastatur: L


Der Menüpunkt Unterschiede / nächster (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Menüpunkt Unterschiede / nächster (Menü Ansicht)

Mit diesem Befehl können Sie den Cursor zum nächsten Unterschied zwischen Original und aktueller Version innerhalb des aktuellen Fensters bewegen.

Abkürzungen:

Symbolleiste:

Tastatur: N


Der Menüpunkt Unterschiede / vorheriger (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Menüpunkt Unterschiede / vorheriger (Menü Ansicht)

Mit diesem Befehl können Sie den Cursor zum vorherigen Unterschied zwischen Original und aktueller Version innerhalb des aktuellen Fensters bewegen.

Abkürzungen:

Symbolleiste:

Tastatur: V


Der Menüpunkt Unterschiede / erster (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Menüpunkt Unterschiede / erster (Menü Ansicht)

Mit diesem Befehl können Sie den Cursor zum ersten Unterschied zwischen Original und aktueller Version innerhalb des aktuellen Fensters bewegen.

Abkürzungen:

Symbolleiste:

Tastatur: E


Der Dialog Referenzversion wählen (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Dialog Referenzversion wählen (Menü Ansicht)

Zahlreiche Funktionen von WinOLS verwenden eine ‘Originalversion’ als Referenz. Dies ist standardmäßig die Version, die aus dem Eprom gelesen wurde. Aber es kann auch jede andere Version des aktiven oder eines anderen Projektes verwendet werden.

Neben der Auswahl des Referenzprojektes kann auch die Art des Vergleiches für visuelle Darstellung Veränderungen konfiguriert werden. So kann z.B. ein Mindestabstand vom Original erforderlich sein, damit eine Zelle als verändert dargestellt wird.

Außerdem kann ein Offset für den Vergleich angegeben werden. Dies ist sinnvoll, wenn die Daten im einen Projekt gegenüber dem anderen verschoben sind.

Abkürzungen:

Symbolleiste:

Tastatur: -


Der Dialog Auswahl des Koppelfensters (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Dialog Auswahl des Koppelfensters (Menü Ansicht)

Rechter Dialog:

Es ist möglich, Fenster zu koppeln. Werden zwei Fenster gekoppelt, so erfolgt jede Veränderung am Sichtbereich bei beiden Fenstern synchron. Wird also ein Fenster gescrollt, dann verschiebt sich auch das andere Fenster entsprechend.

Wird die Kopplung aktiviert, dann erscheint ein Dialog zur Auswahl des Referenzfensters. Möchte man diesen Dialog übergehen und das beim letzten Mal verwendete Fenster erneut verwenden, dann kann man beim aktivieren die Shift-Taste gedrückt halten. (Gilt für Pulldownmenü und Ikonenleiste)

Durch die Options ‘Auch Werte vergleichen mit: gekoppeltes Projekt‘ wird gleichzeitig auch der Referenzvergleich aktiviert. Dann werden die Fenster nicht nur synchron gehalten, es wird auch das jeweils andere Fenster als Quelle der Originalwerte für Vergleiche verwendet. Dies erleichtert den Vergleich.

Das Feld ‘Adressverschiebung‘ enthält die Verschiebung mit der die Projekte untereinander synchron gehalten werden. Standardmäßig steht hier die Differenz zwischen den Cursorpositionen der beiden Fenster. Durch den Button ‘Automatisch‘ kann WinOLS einen Bereich im jeweils anderen Projekt suchen, der dem Bereich an der aktuellen Cursorposition im aktuellen Projekt ähnlich ist. Wird ein solcher Bereich gefunden, so wird die Verschiebung hier eingetragen.

Linker Dialog:

Wenn Sie mit gekoppelten Fenstern arbeiten erscheint ein kleines Fenster zwischen den beiden gekoppelten Projekten.

Abschnitt Koppeln:

Zum Ändern des Offsets (die Adressverschiebung zwischen den Fenstern) haben Sie hier zahlreiche Möglichkeiten:

· Sie können die Zahl manuell ändern.
· Verwenden Sie eine der Suchoptionen
· Mit den Buttons +/- können Sie den Adressoffset um eine Einheit (je nach aktueller Bitbreite) verschieben
· Wenn Sie das Kreuzfeld ‘Koppeln durch einen Mausklick deaktivieren, dann wird die Kopplung deaktiviert. Sie können jetzt das eine Fenster verschieben und wenn Sie den richtigen Offset gefunden haben wieder aktivieren oder mit dem Button 'Von Cursor' den Offset anhand der beiden Cursorpositionen berechnen lassen.

Abschnitt Suchen:

Hier haben Sie 5 verschiedene Suchmodi in jeweils 2 Richtungen. Gesucht wird jeweils auf der Seite zu der der Pfeil hinzeigt nach den Daten von denen der Pfeil weg zeigt. Ein rot hinterlegter Pfeil bedeutet, dass für diese Richtung Suchergebnisse verfügbar sind. Ist der Pfeil orange hinterlegt, dann ist der aktuelle Offset eines der Suchergebnisse. Die 5 Suchmodi sind (von oben nach unten):

1. Suche nach den Daten um die aktuelle Cursorposition herum
2. Suche nach den Daten um die aktuelle Cursorposition herum, aber nur in den Kennfeldern des durchsuchten Projektes
3. Suche nach der Selektion
4. Suche nach der Selektion, aber nur in den Kennfeldern des durchsuchten Projektes
5. Suche nach dem Kennfeld auf dem sich der Cursor gerade befindet

Abschnitt Toleranz:

Hier können Sie für die Suche die gewünschte Toleranz eintragen.

Abschnitt Ergebnis:

Hier werden die Ergebnisse der letzten Suche angezeigt. Der Text zeigt die Nummer das aktuellen Ergebnisses, gefolgt von der gesamten Anzahl (maximal 200) der Suchergebnisse. Über die "Slider" können Sie die Ergebnisse einzeln durchgehen, der Offset wird dazu angepasst. Nach Aufruf der Suchfunktion ist der Slider automatisch auf dem Ergebnis was dem zuvor verwendeten Offset am nächsten kommt. Um die Ergebnisse einzeln durchzugehen, klicken Sie einmal auf den Slider und verwenden dann die Cursortasten.

Abschnitt Kopieren:

Mit diesen Buttons können Sie die aktuelle Selektion oder das Kennfeld unter dem Cursor (bzw. die aktuell selektierten Kennfelder, falls vorhanden) in das jeweils andere Projekt kopieren.

Abschnitt Unterschiede:

Mit diesen Buttons können Sie (auch Ansicht-Menü vorhanden) bekannten Funktionen erster/vorheriger/nächster/letzter Unterschied direkt auf die eine oder andere Seite anwenden und so den Cursor entsprechend bewegen.

Abkürzungen:

Symbolleiste:

Tastatur: -


Der Befehl Kennfeldselektion unterstützen (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Befehl Kennfeldselektion unterstützen (Menü Ansicht)

Mit diesem Kommando kann die Unterstützung einer Kennfeldselektion an- und abgeschaltet werden. Ist sie aktiviert, dann wird der Anwender bei der Erstellung einer Selektion unterstützt. Dazu muss lediglich eine Selektion ohne Lücken (z.B. durch den Selektionsmodus ‘Fortlaufend‘) erzeugt werden.

WinOLS analysiert dann den selektierten Bereich auf die vermutliche Anzahl der Spalten und der Startadresse und stellt diese entsprechend ein. Anschließend werden Anfang und Ende der Selektion so erweitert, dass ein rechteckiger Bereich markiert wird.

Es ist im Zweifel besser zu wenig zu markieren als zu viel, damit die Analyse nicht durch falsche Daten beeinträchtigt wird.

Die erzeugte Selektion kann im 2d-Modus nachträglich verändert werden, z.B. um dem Kennfeld weitere Zeilen hinzuzufügen. (Shift-Taste drücken, den Cursor im 2d Modus über Anfang / Ende der Selektion bewegen, klicken und ziehen.)

Wenn Sie diesen Befehl nicht ständig aktiviert haben möchten, können Sie ihn auch einfach nur im Bedarfsfall verwenden. Erzeugen Sie dazu die entsprechende Selektion und wenn diese dann besteht, wählen Sie diesen Befehl (per Menü oder Ikonenleiste). Er wird dann nur einmalig angewendet und nicht permanent aktiviert.

Abkürzungen:

Symbolleiste:

Tastatur: -


Der Menüpunkt Fenster koppeln (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Menüpunkt Fenster koppeln (Menü Ansicht)

Mit diesem Befehl können Sie die Kopplung zwischen dem aktuellen Fenster und einem Referenzfenster anschalten bzw. aufheben. Fenster die miteinander gekoppelt sind, werden immer synchron gescrollt und das Vergleichen zu erleichtern.

Eine Kopplung muss zunächst mit dem Befehl Referenzversion wählen vorbereitet werden.

Abkürzungen:

Symbolleiste:

Tastatur: -


Der Befehl Wertebereich optimieren (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Befehl Wertebereich optimieren (Menü Ansicht)

Werte von Kennfeldern oder Hexdumps können als Balkendiagramm dargestellt werden. Dabei ist eine besondere Skalierung der Werte zu besseren Darstellung möglich. Die optimalen Einstellungen hierfür können mit dieser Funktion automatisch ermittelt werden.

Dieser Befehl ist nur verfügbar, wenn die Balkendarstellung für das aktuelle Fenster aktiviert wurde.

Abkürzungen:

Symbolleiste:

Tastatur: Strg+B


Der Befehl Kennfeld erkennen (Menü Ansicht)

Navigation: Startseite > Befehle des Menüs Ansicht >

Der Befehl Kennfeld erkennen (Menü Ansicht)

Modus 1: Kennfeldsuche

Durch diesen Befehl erkennt WinOLS ein eventuelles Kennfeld an der aktuellen Cursorposition. Dabei werden nur bestimmte Kennfeldarten erkannt (siehe unten). Diese Funktion funktioniert nur in Hexdumps.

Falls kein Kennfeld gefunden wird oder bereits ein erkanntes Kennfeld selektiert ist, wird die Suche entlang des Hexdumps fortgesetzt. Um rückwärts zu suchen, halten Sie die Shift-Taste beim Starten des Befehls gedrückt.

Diese Funktion basiert auf der Funktion "Hintergrund- Kennfeldsuche", also den Kennfeldern, die in der Kennfeldliste als "Potentielle Kennfelder" gelistet werden. Daher ergeben sich hierfür die gleichen Einschränkungen wie für die "Hintergrund- Kennfeldsuche". Wenn Sie dort z.B. die "Statistische Kennfelderkennung" deaktiviert haben, dann werden diese Kennfelder hiermit auch nicht gefunden. Zusätzlich können sie die Suche auch noch nach der Bitttiefe einschränken. Klicken Sie dazu in der Kennfeldliste auf das kleine schwarze Dreieck. In dem Menü was aufklappt, können Sie einen Filter für die Bittiefe (8/16/32 Bit) auswählen. Dieser Filter gilt auch für diese Funktion.

Modus 2: Parallele Kennfelder

Wenn Sie gerade ein Kennfeld geöffnet haben und es zu diesem Kennfeld parallele Kennfelder gibt (die können Sie mit der Funktion "Parallele Kennfelder" im Kontextmenü eines 2d-Kennfeldes erzeugen), dann können Sie mit dieser Funktion zum nächsten parallelen Kennfeld springen. Halten Sie die Shift-Taste beim Starten des Befehls gedrückt um zu vorherigen parallelen Kennfeld zu springen.

Abkürzungen:

Symbolleiste:

Tastatur: F


Befehle des Menüs Selektion

Navigation: Startseite

Befehle des Menüs Selektion

Das Menü Selektion bietet folgende Befehle, die Ihnen erlauben, Selektion zu verändern:

Zelle selektieren | Selektiert die aktuelle Zelle
Zeile selektieren | Selektiert die aktuelle Zeile
Spalte selektieren | Selektiert die aktuelle Spalte
Bildschirm selektieren | Selektiert alle aktuell sichtbaren Zellen
Bildschirmselektion umkehren | Kehrt die Selektion für alle aktuell sichtbaren Zellen um
Selektion erzeugen | Erzeugt eine Selektion aus Werten, die Sie eingeben
Nichts selektieren | Hebt die aktuelle Selektion auf
Letzte Selektion wiederherstellen | Stellt die zuletzt verwendete Selektion wieder her
Original | Stellt die Originalwerte für die Selektion her
Selektion -> Kennfeld | Erzeugt ein Kennfeld Fenster mit den Ausmaßen und der Startadresse der aktuellen Selektion
Laden | Lädt eine abspeicherte Version in die Zwischenablage
Speichern | Speichert die aktuelle Selektion auf die Festplatte
Selektionsmodus | Erlaubt die Wahl zwischen vier Selektionsmodi
Selektion Anfang | Setzt den Anfang für eine Selektion
Selektion Ende | Setzt das Ende für eine Selektion


Der Menüpunkt Zelle selektieren (Menü Selektion)

Navigation: Startseite > Befehle des Menüs Selektion >

Der Menüpunkt Zelle selektieren (Menü Selektion)

Selektiert die Zelle, in der sich der Cursor befindet.

Halten Sie beim Anklicken dieses Befehls die Strg-Taste gedrückt um die aktuelle Selektion zu erweitern, anstatt sie zu ersetzen.

Abkürzungen:

Symbolleiste: -

Tastatur: Einfügen


Der Menüpunkt Zeile selektieren (Menü Selektion)

Navigation: Startseite > Befehle des Menüs Selektion >

Der Menüpunkt Zeile selektieren (Menü Selektion)

Selektiert die Zeile, in der sich der Cursor befindet.

Halten Sie beim Anklicken dieses Befehls die Strg-Taste gedrückt um die aktuelle Selektion zu erweitern, anstatt sie zu ersetzen.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Menüpunkt Spalte selektieren (Menü Selektion)

Navigation: Startseite > Befehle des Menüs Selektion >

Der Menüpunkt Spalte selektieren (Menü Selektion)

Selektiert die Spalte, in der sich der Cursor befindet. Normalerweise beschränkt sich dies auf den sichtbaren Bereich der Spalten. Dies kann im Konfigurationsmenü eingestellt werden.

Halten Sie beim Anklicken dieses Befehls die Strg-Taste gedrückt um die aktuelle Selektion zu erweitern, anstatt sie zu ersetzen.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Menüpunkt Bildschirm selektieren (Menü Selektion)

Navigation: Startseite > Befehle des Menüs Selektion >

Der Menüpunkt Bildschirm selektieren (Menü Selektion)

Selektiert den aktuell sichtbaren Bereich des Fensters.

Halten Sie beim Anklicken dieses Befehls die Strg-Taste gedrückt um die aktuelle Selektion zu erweitern, anstatt sie zu ersetzen.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Menüpunkt Bildschirmselektion umkehren (Menü Selektion)

Navigation: Startseite > Befehle des Menüs Selektion >

Der Menüpunkt Bildschirmselektion umkehren (Menü Selektion)

Kehrt die Selektion im aktuell sichtbaren Bereich des Fensters um. Selektiert Zellen werden deselektiert und umgekehrt.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Selektion erzeugen (Menü Selektion)

Navigation: Startseite > Befehle des Menüs Selektion >

Der Dialog Selektion erzeugen (Menü Selektion)

Durch diesen Dialog können Sie eine Selektion anhand einer Start- und einer Endadresse erzeugen lassen. Außerdem müssen Sie noch den zu verwendenden Selektionsmodus angeben. Als Ergebnis wird eine Selektion erzeugt, die genau so aussieht, als hätten Sie sie manuell mit den genannten Parametern erzeugt.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Menüpunkt Nichts selektieren (Menü Selektion)

Navigation: Startseite > Befehle des Menüs Selektion >

Der Menüpunkt Nichts selektieren (Menü Selektion)

Hebt die aktuelle Selektion auf.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Menüpunkt Letzte Selektion wiederherstellen (Menü Selektion)

Navigation: Startseite > Befehle des Menüs Selektion >

Der Menüpunkt Letzte Selektion wiederherstellen (Menü Selektion)

Stellt die zuletzt verwendete Selektion wieder her.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Menüpunkt Selektion zu Kennfeld (Menü Selektion)

Navigation: Startseite > Befehle des Menüs Selektion >

Der Menüpunkt Selektion zu Kennfeld (Menü Selektion)

Mit diesem Befehl wird aus einem im Hexfenster markierten Block ein Kennfeld erzeugt. Die im Hexfenster eingestellte Breite sollte der Breite des Kennfeldes entsprechen.

Dieser Befehl ist nur verfügbar, wenn ein rechteckiger Bereich markiert ist.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Menüpunkt Selektion / Laden (Menü Selektion)

Navigation: Startseite > Befehle des Menüs Selektion >

Der Menüpunkt Selektion / Laden (Menü Selektion)

Dieser Befehl lädt eine abgespeicherte Version in die Zwischenablage. Mit dem Befehl einfügen (Strg+V) kann die weitere Verarbeitung erfolgen.

Abkürzungen:

Symbolleiste: -

Tastatur: Strg+R


Der Menüpunkt Selektion / Speichern (Menü Selektion)

Navigation: Startseite > Befehle des Menüs Selektion >

Der Menüpunkt Selektion / Speichern (Menü Selektion)

Dieser Befehl speichert den aktuell selektierten Bereich auf der Festplatte.

Abkürzungen:

Symbolleiste: -

Tastatur: Strg+W


Der Menüpunkt Selektionsmodus (Menü Selektion)

Navigation: Startseite > Befehle des Menüs Selektion >

Der Menüpunkt Selektionsmodus (Menü Selektion)

Dieser Befehl ermöglicht die Wahl zwischen 4 verschiedenen Selektionsmodi.

1) Selektion eines fortlaufendes Bereiches

2) Selektion eines rechteckigen Bereiches

3) Selektion von Spalten

4) Selektion von Zeilen

Abkürzungen:

Symbolleiste:

Tastatur: -


Der Menüpunkt Selektion Anfang (Menü Selektion)

Navigation: Startseite > Befehle des Menüs Selektion >

Der Menüpunkt Selektion Anfang (Menü Selektion)

Dieser Befehl setzt den Anfangspunkt für eine Selektion. Falls bereits ein Endpunkt für eine Selektion definiert wurde, wird eine Selektion mit dem gewählten Modus durchgeführt.

Abkürzungen:

Symbolleiste:

Tastatur: -


Der Menüpunkt Selektion Ende (Menü Selektion)

Navigation: Startseite > Befehle des Menüs Selektion >

Der Menüpunkt Selektion Ende (Menü Selektion)

Dieser Befehl setzt den Endpunkt für eine Selektion. Falls bereits ein Anfangspunkt für eine Selektion definiert wurde, wird eine Selektion mit dem gewählten Modus durchgeführt.

Abkürzungen:

Symbolleiste:

Tastatur: -


Befehle des Menüs Suchen

Navigation: Startseite

Befehle des Menüs Suchen

Das Menü Suchen bietet folgende Befehle, die Ihnen erlauben, bestimmte Stellen zu finden:

Bytefolge / Text | Sucht nach einem bestimmten Text oder einer Bytefolge
Selektion | Sucht einen Text der der aktuellen Selektion entspricht
Suche beginnen | Startet eine vorherige Suche erneut
Weitersuchen | Setzt die Suche fort
Zurück suchen | Setzt die Suche rückwärts fort
Ersetzen | Sucht nach einem Text oder einer Bytefolge und ersetzt die Vorkommnisse
Hintergrund-Kennfeldsuche erneut starten | Erlaubt es die automatische Suche nach Kennfeldern in Hintergrund zu starten, abzubrechen oder erneut zu starten
Stützstellenprofile | Erlaubt die Verwaltung von automatisch und manuell gesammelten Stützstelleninformationen.
Gehe zu Adresse | Bewegt den Cursor zu einer definierten Adresse
Nächster Kommentar | Bewegt den Cursor zum nächsten Kommentartext
Vorheriger Kommentar | Bewegt den Cursor zum vorherigen Kommentartext
Kommentar einfügen / bearbeiten | Fügt einen Kommentar an der aktuellen Cursorposition ein bzw. erlaubt es ihn zu verändern.
Kommentar löschen | Löscht den Kommentar an der aktuellen Cursorposition
Vorheriger Marker | Bewegt den Cursor zum vorherigen Marker
Nächster Marker | Bewegt den Cursor zum nächsten Marker
Marker Einfügen/Löschen | Fügt einen Kommentar an der aktuellen Cursorposition bzw. der aktuellen Selektion ein bzw. löscht sie, falls sie bereits existiert.
Skripte | Skripte verwalten, ausführen und erzeugen.


Der Dialog Suche nach Bytefolge (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Der Dialog Suche nach Bytefolge (Menü Suchen)

Mit diesem Dialog können Sie nach Bytefolgen oder Texten suchen.

Bei der Suche nach Bytefolgen werden die einzelnen Bytes durch Leerzeichen getrennt. Die Wahl oder nach dezimalen oder hexadezimalen Werten gesucht werden soll kann für einzelne Bytes durch einen Präfix übergangen werden. Setzen Sie ‘0x’ vor Zahlen, die als hexadezimal interpretiert werden sollen, bzw. ‘0d’ vor Zahlen die als dezimal interpretiert werden sollen.

Sie können das Fragezeichen als Symbol für ein unbekanntes Byte verwenden. Zum Beispiel können Sie mit ‘Langesw?rt’ oder ‘ff ff aa ?? ab’ nach einem Text / einer Bytesequenz suchen. Das ‘?’ / ‘??’ steht dabei für ein beliebiges Byte. Sie können auch im WinOLS Editor eine Markierung kopieren und dann in diesem Dialog einfügen.

Ist die Option ‘In Echtzeit suchen’ aktiviert, dann läuft die Suche bereits während Daten eingegeben werden.

Ist die Option ‘Im Original’ aktiviert, dann wird der Suchtext in der original Version gesucht und nicht in der aktuell bearbeiteten.

Mit den blauen Pfeiltasten können Sie zur nächsten bzw. vorherigen Fundstelle springen. Mit dem unteren schwarzen Pfeil nach unten können Sie eine Liste aller Fundstellen (maximal 200) öffnen. Klicken Sie auf ‘Start‘ um die Suche auszuführen und die Liste zu füllen. Wenn die Liste aufgeklappt ist und Sie eine neue Suche starten indem Sie eine der blauen Pfeiltasten verwenden, dann werden nur Adressen gesucht die vor bzw. nach der aktuellen Cursorposition sind. Halten Sie die Umschalttaste während dem Klick auf den blauen Pfeil gedrückt um diese Funktion zu erzwingen, auch wenn Sie keine neue Suche eingegeben haben.

Ein Klick auf den oberen schwarzen Pfeil öffnet ein zusätzliches Menü. Hier können Sie einstellen an welchen Adressen gesucht werden soll (Automatisch, Alle, Alle geraden, Alle durch 4 teilbaren) und auch bzw. auch nicht im Programmcode gesucht werden soll.

Außerdem können Sie den Suchbereich eingeben. Nur Fundstellen innerhalb von diesem Bereich werden bei der Suche berücksichtigt. Mit der maximalen Abweichung können Sie einstellen wie weit jede Zelle von ihrer Vorgabe abweichen darf um trotzdem noch als Fundstelle angezeigt zu werden. Sie können die Abweichung getrennt für nach oben und nach unten konfigurieren.

Dieser Dialog ist ein 'fliegender' Dialog. Alle fliegenden Dialoge können mit der Tab-Taste ein- und ausgeschaltet werden. Des Weiteren können Sie den Dialog 'aufrollen' wenn sie ihn nicht brauchen. Dann ist nur noch die Titelleiste sichtbar. Klicken Sie dazu auf die zusätzliche Ikone in der Titelleiste, so dass nur noch ein Strich angezeigt wird. Wenn Sie jetzt in WinOLS arbeiten wir der Dialog bis auf die Titelleiste versteckt und wenn Sie den Cursor über die Leiste bewegen, wird der gesamte Dialog sichtbar. Klicken Sie erneut auf das Symbol um den Dialog wieder in den normalen Zustand zu bringen. Es erscheint ein angedeuteter Dialog unter dem Strich. In diesem Zustand wird der Dialog immer gezeigt.

Hinweis: Die Abkürzung Strg+F startet diesen Dialog nur, wenn gerade ein Projektfenster den Fokus hat. Falls die Kennfeldliste den Fokus hat (= der Cursor dort blinkt) dann wird ein spezieller Suchdialog für die Kennfeldliste gestartet.

Abkürzungen:

Symbolleiste:

Tastatur: Strg+F


Der Menüpunkt Suchen / Selektion (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Der Menüpunkt Suchen / Selektion (Menü Suchen)

Mit diesem Befehl starten Sie die Suche nach einem Bereich der dem aktuell selektierten Bereich ähnlich ist. Der Grad der Ähnlichkeit wird in einem Folgedialog eingestellt.

Abkürzungen:

Symbolleiste:

Tastatur: Strg+Alt+F3


Der Dialog Suchparameter (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Der Dialog Suchparameter (Menü Suchen)

Dieser Dialog erlaubt das Einstellen globaler Suchparameter. Hierbei kann der Bereich eingestellt werden, der durchsucht werden soll und die maximale Abweichung die eine Zelle vom gesuchten Wert haben darf.

Dieser Dialog wird nicht nur beim normalen Aufrufen, sondern implizit auch bei den normalen Suchdialogen gezeigt.

Abkürzungen:

Symbolleiste: -

Tastatur: Alt+F3


Der Menüpunkt Weitersuchen (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Der Menüpunkt Weitersuchen (Menü Suchen)

Dieser Befehl setzt eine zuvor begonnene Suche ab der aktuellen Cursorposition fort.

Abkürzungen:

Symbolleiste:

Tastatur: F3


Der Menüpunkt Zurücksuchen (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Der Menüpunkt Zurücksuchen (Menü Suchen)

Dieser Befehl setzt eine zuvor begonnene Suche ab der aktuellen Cursorposition in umgekehrter Richtung fort.

Abkürzungen:

Symbolleiste:

Tastatur: Shift+F3


Der Dialog Ersetzen (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Der Dialog Ersetzen (Menü Suchen)

Mit diesem Dialog können Sie nach Bytefolgen oder Texten suchen und sie durch andere Bytefolgen oder Text ersetzen.

Bei der Suche nach Bytefolgen werden die einzelnen Bytes durch Leerzeichen getrennt. Die Wahl oder nach dezimalen oder hexadezimalen Werten gesucht werden soll kann für einzelne Bytes durch einen Präfix übergangen werden. Setzen Sie ‘0x’ vor Zahlen, die als hexadezimal interpretiert werden sollen, bzw. ‘0d’ vor Zahlen die als dezimal interpretiert werden sollen.

Sie können das Fragezeichen als Symbol für ein unbekanntes Byte verwenden. Zum Beispiel können Sie mit ‘Langesw?rt’ oder ‘ff ff aa ?? ab’ nach einem Text / einer Bytesequenz suchen. Das ‘?’ / ‘??’ steht dabei für ein beliebiges Byte. Sie können auch im WinOLS Editor eine Markierung kopieren und dann in diesem Dialog einfügen.

Unter dem Suchtext wird der Text zum Ersetzen eingegeben. Such- und Ersatztext müssen immer die gleiche Länge haben. (Trick: Sie können den jeweiligen kürzeren Text durch Fragezeichen am Ende verlängern.) Wenn Sie im Ersatztext Fragezeichen (wie oben beschrieben) verwenden, dann werden diese Speicherstellen nicht ersetzt.

Ist die Option ‘In Echtzeit suchen’ aktiviert, dann läuft die Suche bereits während Daten eingegeben werden. Ersetzungen finden aber erst statt, wenn Sie auf den Ersetzen-Button klicken.

Ist die Option ‘Im Original’ aktiviert, dann wird der Suchtext in der original Version gesucht und nicht in der aktuell bearbeiteten. Der Text wird aber immer in der aktuellen Version ersetzt.

Mit den blauen Pfeiltasten können Sie zur nächsten bzw. vorherigen Fundstelle springen

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Stützstellenprofile (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Der Dialog Stützstellenprofile (Menü Suchen)

Stützstellenprofile sind Sammlungen von Einstellungen (Name, Einheit, Vorzeichen, Faktor, etc.) für Stützstellen. Sie werden automatisch gesammelt und können auch manuell benutzt werden.

Automatisch:

WinOLS sammelt im Hintergrund automatisch sog. Stützstellenprofile (sofern Sie das nicht im Konfigurationsdialog unter 'Automatisch' abgeschaltet haben). Ein Stützstellenprofil enthält eine Signatur anhand derer das Quellprojekt und auch ähnliche Projekte erkannt werden. Diese Signatur wird automatisch aus den Kennfeldern erzeugt, die im Hintergrund gesucht wurden. Wenn Sie jetzt Stützstellen konfigurieren oder die Informationen per Damos-Import einfügen, dann werden die Informationen über Bezeichnung, Einheit, Faktor, Offset, usw. im Profil gesammelt.

Wenn Sie später in einem anderen Projekt Kennfelder einfügen, dann werden dort die Informationen über die Stützstellen automatisch ausgefüllt, sofern diese wieder erkannt wurden.

Hinweis: Die Generierung einer Signatur ist nicht für jedes Projekt möglich. Nur Projekte in denen Bosch-Kennfelder erkannt wurden enthalten eine Signatur. Bosch II Kennfelder gehen nicht, es sei denn es sind gleichzeitig noch 'normale' Bosch Kennfelder vorhanden.

In diesem Dialog können Sie die verschiedenen Profile einsehen und auswählen (Auswahlbox oben) und sogar umbenennen. Im unteren Bereich sehen Sie die verschiedenen Stützstellen die dort erkannt wurden. Sie können diese bearbeiten, löschen oder anwenden. Im Normalfall brauchen Sie diesen Dialog nur zur Kontrolle, weil alle Schritte automatisch im Hintergrund ablaufen.

Manuell:

Für den manuellen Modus gibt es immer ein Stützstellenprofil, was aktiv ist. Welches das ist können Sie in diesem Dialog mit der entsprechenden Schaltfläche festlegen. Das aktive Profil sammelt die Stützstellendaten, die Ihnen dann im Dialog "Eigenschaften des Kennfeldes" als Menü beim Klick auf das kleine schwarze Dreieck zur Verfügung steht. Durch das umschalten des aktiven Profils können Sie verschiedene Sammlungen, z.B. für verschiedene Fahrzeugtypen verwalten.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Gehe zu Adresse (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Der Dialog Gehe zu Adresse (Menü Suchen)

Mit diesem Befehl können Sie den Cursor an eine bestimmte Stelle setzen. Standardmäßig ist die aktuelle Position eingegeben. In dem Kombinationsfeld können außerdem die letzten 16 Positionen abgerufen werden. Wenn Sie das Projekt Kommentare enthält, dann erscheinen diese ebenfalls im Kombinationsfeld, zusammen mit der Adresse des Kommentars.

Um den Cursor relativ zur aktuellen Position zu bewegen schreiben Sie einfach ein '+' oder '-' vor den Wert. Sie können auch den Namen eines Kennfelds oder Kommentars eingeben.

Aktivieren Sie 'Adresse binärund... ' um die Adresse die Sie eingeben durch ein binäres und mit der Dateigröße -1 zu verknüpfen. Dies ist sinnvoll, wenn Sie Adressen haben, die eigentlich außerhalb der WinOLS Adressen liegen. Wenn Sie z.B. die Adresse 1E02E8 haben und eine Dateigröße von 7FFFF, dann ergibt sich effektiv die Adresse 602E8.

Abkürzungen:

Symbolleiste:

Tastatur: Strg+G


Das Kommando Nächster Kommentar (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Das Kommando Nächster Kommentar (Menü Suchen)

Mit diesem Befehl bewegt den Cursor zum nächsten Kommentar in diesem Projekt.

Abkürzungen:

Symbolleiste: -

Tastatur: Shift+N


Das Kommando Vorheriger Kommentar (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Das Kommando Vorheriger Kommentar (Menü Suchen)

Mit diesem Befehl bewegt den Cursor zum vorherigen Kommentar in diesem Projekt.

Abkürzungen:

Symbolleiste: -

Tastatur: Shift+V


Das Kommando Kommentar einfügen / bearbeiten (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Das Kommando Kommentar einfügen / bearbeiten (Menü Suchen)

Mit diesem Befehl fügen Sie einen Kommentar an der aktuellen Cursorposition ein oder bearbeiten den dortigen Kommentar, falls da schon einer ist. Kommentare gelten immer für die aktuelle Adresse und für alle Versionen des Projektes.

Kommentare werden auch als Tooltips angezeigt, wenn Sie mit dem Mauscursor über einer Zelle mit einem Kommentar warten. Des weiteren werden Sie im Dialog 'Gehe zu Adresse' aufgelistet.

Abkürzungen:

Symbolleiste: -

Tastatur: Shift+Eingabe


Das Kommando Kommentar löschen (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Das Kommando Kommentar löschen (Menü Suchen)

Mit diesem Befehl löschen Sie den Kommentar an der aktuellen Cursorposition, sofern dort einer ist.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Das Kommando Vorheriger Marker (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Das Kommando Vorheriger Marker (Menü Suchen)

Mit diesem Befehl bewegt den Cursor zum vorherigen Marker in diesem Projekt.

Abkürzungen:

Symbolleiste: -

Tastatur: Shift+F5


Das Kommando Nächster Marker (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Das Kommando Nächster Marker (Menü Suchen)

Mit diesem Befehl bewegt den Cursor zum nächsten Marker in diesem Projekt.

Abkürzungen:

Symbolleiste: -

Tastatur: F5


Das Kommando Marker einfügen / löschen (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Das Kommando Marker einfügen / löschen (Menü Suchen)

Mit diesem Befehl fügen Sie einen Marker an der aktuellen Cursorposition bzw. der aktuellen Selektion ein oder löschen den dortigen Marker, falls da schon einer ist. Marker gelten immer für die aktuelle Adresse und für alle Versionen des Projektes, können aber im Gegensatz zu Kommentaren keinen Text enthalten.

Abkürzungen:

Symbolleiste: -

Tastatur: Strg+F5


Der Befehl Skripte (Menü Suchen)

Navigation: Startseite > Befehle des Menüs Suchen >

Der Befehl Skripte (Menü Suchen)

Wenn Sie bestimmte Änderungen regelmäßig machen, weil Sie immer wieder ähnliche Steuergeräte haben, dann kann es sich lohnen ein Skript zu erzeugen. Damit werden alle Änderungen in einem universellen Format zusammengefasst und können damit schnell angewendet werden. Außerdem erkennt jedes Skript selber ob es auf das aktuelle Projekt anwendbar ist oder nicht. (Wenn Sie viele Skripte haben, können Sie die Erkennung verzögern um diesen Dialog zu beschleunigen. Schalten Sie dazu einfach das 'Automatisch prüfen' aus.)

Mit diesem Dialog können Sie Skripte ausführen, Bearbeiten (es wird ein Texteditor gestartet) oder löschen. Des Weiteren können Sie über einen Unterdialog neue Skripte erzeugen. Über die Combobox rechts oben im Dialog können Sie eventuelle Unterverzeichnisse des Skriptverzeichnisses auswählen um die Suche einzuschränken.

In den Optionen von WinOLS können Sie (auf der Seite 'Automatisch') einstellen, dass nach jedem Projektimport automatisch probiert werden soll ob Skripte gibt, die auf das neue Projekt angewendet werden können.

Beim Erstellen der Skripte wurde der bevorzugte Modus (Absolut / als Differenz / Prozentual) festgelegt, der zum übertragen der Daten verwendet werden soll. Je nach Art des Skriptes können Sie für die Ausführung eventuell einen anderen Modus wählen.

Weitere Informationen über Skripte finden Sie im entsprechenden Kapitel.

Abkürzungen

Symbolleiste: -
Tastatur: F8


Der Dialog Skript erzeugen (Menü Projekt)

Navigation: Startseite > Befehle des Menüs Suchen > Der Befehl Skripte (Menü Suchen) >

Der Dialog Skript erzeugen (Menü Projekt)

Dieser Dialog ist der empfohlene Weg um neue Skripte zu erzeugen. Grundlage sind dabei immer die Änderungen im aktuellen Projekt. Sie geben lediglich an welche dieser Änderungen sie exportieren möchten. Selektieren Sie dazu die Kennfelder oder die Datenbereiche die die Änderungen enthalten.

Wenn möglich sollten Sie die Anwendbarkeit des Skripte immer möglichst stark einschränken um die Fehlbenutzung zu verhindern und den Komfort zu erhöhen. Dazu hilft es vorauszusetzen, dass die gesamten Blöcke / Kennfelder erkannt werden müssen. Außerdem können Sie die aktuellen Projekteigenschaften voraussetzen.

Des Weiteren können Sie definieren wie weit die Adressen verschoben sein dürfen und wie weit die Werte abweichen dürfen.

Beim speichern sollten Sie immer darauf achten einen langen, aussagekräftigen Dateinamen zu wählen, weil dieser später in der Skriptliste erscheinen wird. Außerdem sollten Sie die Skripte immer im WinOLS Skriptverzeichnis speichern, weil sie sonst nicht im Skriptdialog angezeigt werden.

Weitere Informationen über Skripte finden Sie im entsprechenden Kapitel.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Befehle des Menüs Sonstiges

Navigation: Startseite

Befehle des Menüs Sonstiges

Das Menü Sonstiges bietet folgende Befehle:

Updates+Freischaltungen | Bietet die Möglichkeit gesperrte Bestandteile von WinOLS freizuschalten
Konfiguration... | Erlaubt die Einstellung diverser Parameter
Taschenrechner | Startet den Windows Taschenrechner


Der Dialog Updates+Freischaltungen (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges >

Der Dialog Updates+Freischaltungen (Menü Sonstiges)

Dieser Dialog erlaubt es WinOLS zu registrieren, nach Update für WinOLS und dessen Plugins suchen zu lassen und diese auch herunter zu laden und zu installieren.

Sie können WinOLS an bis zu 10 Arbeitsplätzen einsetzen. Dazu muss jeder Platz einzeln freigeschaltet werden. Sie können dies selber bequem über das Internet erledigen, sofern Sie bei EVC dafür registriert sind.

Klicken Sie einfach auf "Start" und folgen Sie den Anweisungen des Assistenten.

Sollte es Probleme mit der Internetverbindung geben, prüfen Sie bitte unbedingt ihre lokale Firewall, die evtl. den Zugriff verweigert. Des weiteren finden Sie im Konfigurationsdialog eine Testfunktion.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Konfiguration (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges >

Der Dialog Konfiguration (Menü Sonstiges)

Der Konfigurationsdialog umfasst zahlreiche Seiten die im folgenden erklärt werden.


Der Dialog Konfiguration / Farben (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) >

Der Dialog Konfiguration / Farben (Menü Sonstiges)

Hier können die bei WinOLS verwendeten Farben konfiguriert werden. Neben drei vorgegebenen Farbthemen, können die Farben im benutzerdefinierten Modus frei gewählt werden. Ist das Kreuzfeld 'Std' aktiviert, dann gilt für diese Farbe, dass der Eintrag unter 'Standard' (oberste Farbe) verwendet wird.

Sie können ein vordefiniertes Farbthema ändern. Mit dem Knopf 'Änderungen zurücksetzen' können Sie jederzeit die Standardwerte für dieses Thema wiederherstellen. Der empfohlene Weg ist allerdings nur das Farbschema 'Benutzerdefiniert' zu bearbeiten. Wenn Sie dieses Thema aktivieren, wechselt der Knopf von 'Änderungen zurücksetzen' zu 'Thema kopieren von...' und erlaubt Ihnen so, die Farbkonfiguration von einem anderen, vordefinierten Thema zu kopieren.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Ansicht (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) >

Der Dialog Konfiguration / Ansicht (Menü Sonstiges)

In diesem Dialog ist es möglich Schrift und Schriftgröße einzustellen. Dabei ist zu beachten, dass einige Schriftarten entgegen offizieller Dokumentation nicht korrekt als (rotierte) Achsenbeschriften im 3d-Modus verwendet werden können. Sollten sich hier Probleme ergeben, empfiehlt es sich eine andere Schrift zu wählen.

Außerdem können Sie auch noch die Anzeige potentieller Kennfelder im Hexdump an- oder ausschalten. Potentielle Kennfelder werden durch einen Rahmen und ein kleines Namensschildchen am oberen Rand gekennzeichnet. Falls Sie die Suche dieser Kennfelder an- oder ausschalten möchten, verwenden Sie bitte die Seite mit dem Namen 'Automatisch' / 'Im Hintergrund'.

Des weiteren können Sie WinOLS anweisen unwichtige Daten blass darzustellen. Daten werden als unwichtig angesehen, wenn sie als Programmcode oder als leere Bereiche erkannt werden. Dazu werden Daten aus der Übersichtsfunktion verwendet. Daher funktioniert die blasse Darstellungsart nur wenn zuvor die Übersichtsfunktion ihre Daten generiert hat (Taste 'o').

Schließlich können Sie einstellen, dass die (vertikalen oder horizontalen, abhängig von der aktuellen Ansicht) Scrollbars (Bildlaufleisten) die Übersichtsinformationen des Projekts anzeigen sollen. Dies setzt voraus, dass diese Informationen generiert wurden, entweder automatisch oder manuell durch Aufruf des Übersichtsdialogs. Für eine Referenz zur Bedeutung der Farben beachten Sie bitten den Übersichtsdialog.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Ansicht / Neue Fenster (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Ansicht (Menü Sonstiges) >

Der Dialog Konfiguration / Ansicht / Neue Fenster (Menü Sonstiges)

Hier legen Sie fest, wie neue Kennfelder und Hexdumps standardmäßig angezeigt werden. Für Kennfelder kann der Ansichtsmodus (Text, 2d, 3d) ausgewählt werden und für Hexdumps die Konfiguration der Rechten Seiten (Leer, Balken, ASCII)

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Ansicht / Text (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Ansicht (Menü Sonstiges) >

Der Dialog Konfiguration / Ansicht / Text (Menü Sonstiges)

Hier können Sie das Erscheinungsbild für neue Hexdumps festlegen die durch einen Import oder das Auslesen eines Eproms entstanden sind. Für diese Hexdumps können Sie hier festlegen, welche Bitbreite verwendet werden soll und welcher Wertebereich für die Balkendarstellung benutzt werden soll.

Des Weiteren können Sie einstellen, wie WinOLS sich verhalten soll, wenn Sie die Bitbreite (8/16/32) im Textmodus ändern. Normalerweise verändert dies die Spaltenzahl nicht. Sie können es aber auch so einstellen, dass die Spaltenzahl so angepasst wird, dass die Gesamtbreite ungefähr gleich bleibt.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Ansicht / 2d (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Ansicht (Menü Sonstiges) >

Der Dialog Konfiguration / Ansicht / 2d (Menü Sonstiges)

Die Option 'Große Pixel' sorgt für eine vergrößerte Darstellung der Einzelpixel im 2d Modus zwecks besserer Lesbarkeit.

Verwenden Sie die Option 'Große Pixel auch bei Linien' um auch dann große Einzelpixel zu zeigen, wenn die Werte durch Linien verbunden werden.

Ist die Checkbox 'Schnelle Tooltipps' aktiviert, dann erscheinen Tooltipps (die kleinen gelben Fenster) schneller, wenn der Cursor über einem Wert ist.

Durch die Option 'Originalwerte anzeigen' werden neben den aktuellen Werten ggf. auch die unmodifizierten Originalwerte im 2d Modus durch Pixel symbolisiert.

Mit die Option 'Horizontale Hilfslinien' bestimmen Sie im 2d-Modus horizontale Hilfslinien angezeigt werden sollen.

Ist die Checkbox 'Punkte bei Zeilenumbruch nicht verbinden' aktiviert, dann wird an den Stellen, wo in den Daten eine neue Zeile beginnt (senkrechte Hilfslinien) darauf verzichtet die Punkte zu verbinden.

Durch Aktivieren der Checkbox 'Durch Klicken+Ziehen bearbeiten' können Sie im 2d-Modus Werte alleine durch die Maus verändern. Ein Spezialcursor wird angezeigt, wenn Sie der Mauscursor direkt über dem 2d-Wert ist, bei dem sich entweder auch der Bearbeitungscursor befindet oder der innerhalb einer Selektion ist. Klicken und ziehen Sie um den Wert / alle Werte in der Selektion zu verändern.

Des Weiteren können die Standardwerte für neue 2d-Fenster festgelegt werden:

Mit der Option 'Punkte verbinden' wird konfiguriert, ob neue Fenster im 2d Modus die Punkte standardmäßig mit Linien verbunden zeigen sollen. Auch ob die Zeilenmarker standardmäßig aktiviert sein sollen, kann festgelegt werden.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Ansicht / 3d (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Ansicht (Menü Sonstiges) >

Der Dialog Konfiguration / Ansicht / 3d (Menü Sonstiges)

Die Option 'Große Pixel' sorgt für eine Darstellung der Pixel an den Kreuzpunkten der Gitterlinien zwecks besserer Lesbarkeit.

Mit der Option 'Flächen schattieren' wird konfiguriert, Flächen nicht nur gefüllt, sondern auch noch gemäß ihres Winkels farbig schattiert werden sollen. Mit der Unteroption 'Höhenfarben' wird außerdem eine Falschfarbdarstellung gemäß der Höhe des Wertes aktiviert. Beides verbessert die Ansicht, benötigt aber erheblich Rechenpower.

Ist die Checkbox 'Schnelle Tooltipps' aktiviert, dann erscheinen Tooltipps (die kleinen gelben Fenster) schneller, wenn der Cursor über einem Wert ist.

Wird die Checkbox 'Hilfscursor' angekreuzt, dann zeigen 4 kleine Markierungen im 3d Mode die aktuellen Positionen auf der Achse und den Punkt im Gitter für den die Achsenmarkierungen gelten.

Mit der Auswahlbox 'Originalwerte' können Sie wählen mit welcher Methode Original- und Versionswerte im 3d-Modus zugleich dargestellt werden sollen.

Durch Aktivieren der Checkbox 'Durch Klicken+Ziehen bearbeiten' können Sie im 3d-Modus Werte alleine durch die Maus verändern. Ein Spezialcursor wird angezeigt, wenn Sie der Mauscursor entweder direkt über dem 3d-Wert ist, bei dem sich auch der Bearbeitungscursor befindet oder innerhalb einer Selektion ist. Klicken und ziehen Sie um den Wert / alle Werte in der Selektion zu verändern.

Des Weiteren können die Standardwerte für neue 3d-Fenster festgelegt werden:

Durch die Option 'Flächen füllen' bewirkt, dass bei neuen 3d-Ansichten standardmäßig die Darstellung mit ausgefüllten Flächen arbeitet, statt ein Drahtgittermodell zu verwenden. Entsprechend können Sie auch einstellen ob Hilfslinien standardmäßig aktiviert sein sollen.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Meldungen (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) >

Der Dialog Konfiguration / Meldungen (Menü Sonstiges)

In dieser Registerkarte können die Meldungen und Warnungen für verschiedene Fälle ein- und ausgeschaltet werden. Zum ersten kann eine Warnmeldung erfolgen, wenn eine Markierung so groß wird, dass ihre Erstellung lange dauern kann. Des Weiteren kann eine Prüfung des Speicherplatzes vor jeder Festplattenoperation erfolgen.

Außerdem kann die Meldung in der Statuszeile ob die aktuelle Checksumme korrekt ist aus Performance-Gründen an- bzw. ausgeschaltet werden.

Außerdem kann die Checksummensuche so konfiguriert werden, dass sie keine Rückfragen bringt. Dies betrifft zum einen die Frage, ob die gefundenen Checksummen automatisch ausgeglichen werden sollen und zum anderen ob eine vergessene Vertauschung der Datenleitungen nachgeholt werden soll. Hinweis: (Falls eine der genannten Meldungen trotzdem erscheinen sollte, laden Sie bitte ein Update der Checksummen von der Website von EVC.)

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Meldungen / Abschaltbare (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Meldungen (Menü Sonstiges) >

Der Dialog Konfiguration / Meldungen / Abschaltbare (Menü Sonstiges)

In dieser Registerkarte können alle abschaltbaren Meldungen an- und ausgeschaltet werden.

Alle selektierten Meldungen sind angeschaltet.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Pfade (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) >

Der Dialog Konfiguration / Pfade (Menü Sonstiges)

Hier können die Pfade für die verschiedenen Dateiarten eingestellt werden. Projektdateien und Plugins können auf Netzlaufwerken liegen. Die Schlüsseldatei wird für die Eprom-Verschlüsselung verwendet.

Die Konfigurationsdateien von WinOLS können Sie an zwei verschiedenen Orten speichern. Unter Windows 95, 98 und ME macht es Sinn, die Dateien im Verzeichnis von WinOLS zu speichern. Unter einem Betriebssystem wie Windows NT, 2000 und XP ist dies nicht zu empfehlen. Hier sollten die Konfigurationsdateien im zentralen Ordner für Konfigurationsdateien gespeichert werden.

Unter Windows NT, 2000 und XP, sollten Sie überlegen, Ihre Projekte in einem Unterordner von 'Eigene Dateien' zu speichern. Dies (zusammen mit der zentralen Speicherung von Konfigurationsdateien) ermöglicht die Nutzung von WinOLS mit beliebigen (nicht-Administrator) Usern.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Pfade / Mandanten (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Pfade (Menü Sonstiges) >

Der Dialog Konfiguration / Pfade / Mandanten (Menü Sonstiges)

Dieser Dialog erlaubt es Ihnen eine Liste von Mandanten zu erzeugen und zu bearbeiten.

Standardmäßig speichert WinOLS alle Projekte in einem einzigen Ordner. Sie können diese Verhalten ändern indem Sie "Mandanten" verwenden. Jeder Mandant repräsentiert einen vordefinierten Windows Pfad wo WinOLS Projekte speichern kann. Durch das wählen des aktiven Mandanten kann der aktuelle Projektpfad geändert werden.

Die meisten Dateifunktionen (wie z.B. das Suchen ähnlicher Projekte oder das Öffnen eines Projektes) benutzen den aktuellen Projektpfad. Geöffnete Projekte werden durch das Ändern des aktiven Mandanten nicht beeinflusst. Sie werden nach wie vor in ihrem bisherigen Pfad gespeichert. Wenn Sie ein Projekt zu einem anderen Mandanten (und somit in ein anderes Verzeichnis) verschieben möchten, dann schließen Sie das Projekt und führen im Dialog "Projekt öffnen" einen Rechtsklick auf das Projekt aus.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Automatisch (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) >

Der Dialog Konfiguration / Automatisch (Menü Sonstiges)

Namensbereiche:

Die 'Namensbereiche' sind interessant, wenn Sie WinOLS auf mehreren Rechnern betreiben und die Projekte nicht in einem zentralen Netzlaufwerk aufbewahren, z.B. weil einer der Rechner ein Laptop ist. Um Ihnen die manuelle Synchronisierung der Verzeichnisse zu erleichtern, können Sie für jeden Rechner einstellen wie er die Projektdateien nennen soll. Geben Sie dazu einen von / bis Bereich an, in dem die Dateien durchnumeriert werden. Die Dateinamen können auch Buchstaben enthalten.

Beispiele für korrekte Namensbereiche sind:

1000 - 9999

1000 - 1999

laptop1000 - laptop1999

1000pc - 9999pc

Hintergrund:

Hier können verschiedene Automatiken von WinOLS eingeschaltet werden, die Ihnen die Arbeit erleichtern sollen. Alle Optionen auf dieser Seite gelten für Vorgänge die während der normalen Arbeit im Hintergrund geschehen.

Potentielle Kennfelder... | Wenn aktiviert, dann durchsucht WinOLS das Projekt automatisch nach möglichen Kennfeldern und zeigt diese an (falls das auf der Seite 'Ansicht' angeschaltet ist). Projekte werden nur einmal durchsucht. Wird ein Projekt gespeichert und wieder geöffnet, dann wird die Suche nicht erneut durchgeführt.
Übersichtsinformationen... | Wenn aktiviert, dann erzeugt WinOLS automatisch die Übersichtsinformationen, selbst wenn das Übersichtsfenster nicht offen ist. Das ist nützlich wenn Sie den 'blassen' Ansichtsmodus aktiviert haben (Siehe 'Ansicht' Seite)
..sammeln | Wenn aktiviert, dann werden automatisch Profile erzeugt, die für verschiedene Kennfeldarten die Namen, Bezeichnungen, Faktor, Offset, usw. von den Stützstellen speichern. Diese Profile können in dem Drowdown-Menü der Kennfeldliste verwaltet werden.
..anwenden | Wenn aktiviert, dann wird bei neuen Kennfeldern automatisch versucht einen passenden Eintrag im aktuellen Profil zu finden um die Felder der Stützstellen auszufüllen.

Dialog Projekteigenschaften:

Auto-vervollständigen... | Wenn aktiviert, dann versucht WinOLS alles was Sie im Projekteigenschaften Dialog (und im Projekt Öffnen Dialog, falls Sie dort Sachen ändern) automatisch zu vervollständigen. Dazu analysiert WinOLS die Daten die Sie in anderen Projekten eingegeben haben und verwendet auch vordefinierte Daten.
Leerzeichen regeln | WinOLS kann Ihnen helfen das Feld "Fahrzeug / Ausführung" immer gleich auszufüllen und korrigiert dazu (wenn Sie diese Option anschalten) das Leerzeichen zwischen den Zahlen (z.B. "2.0") und dem folgenden Text (z.B. "TDI") gemäß Ihrer Wünsche.
...TDI | Ist diese Option aktiv ist, korrigiert WinOLS "2.0TDI" zu "2.0 TDI". Ist diese Option inaktiv ist, korrigiert WinOLS "2.0 TDI" zu "2.0TDI".
...anderer Text | Ist diese Option aktiv ist, korrigiert WinOLS "2.0L" zu "2.0 L". Ist diese Option inaktiv ist, korrigiert WinOLS "2.0 L" zu "2.0L".

Weitere Optionen:

Offene Projekte...

Wenn aktiviert, dann werden alle Projekte die beim schließen von WinOLS geöffnet waren, beim nächsten Start wieder geöffnet.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Automatisch / Import (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Automatisch (Menü Sonstiges) >

Der Dialog Konfiguration / Automatisch / Import (Menü Sonstiges)

Hier können verschiedene Automatiken von WinOLS eingeschaltet werden, die Ihnen die Arbeit erleichtern sollen. Alle Optionen auf dieser Seite gelten nur für die Vorgänge beim Import bzw. bei auslesen eines Eproms.

Epromfehler... | Wenn aktiviert, dann wird beim Auslesen eines Eproms und beim Importieren von Daten nach typischen Mustern von Epromfehlern gesucht. Einige typische Fehler können so erkannt werden, aber nicht alle. Nur wenn ein Fehler erkannt wird, erscheint eine Meldung
Virtuelle EEproms | Details unter http://www.evc.de/de/service/q1608.asp
Vergessene... | Wenn aktiviert, dann wird WinOLS verschiedene typische Vertauschungsprofile ausprobieren um zu sehen ob Sie eine Vertauschung beim Importieren vergessen haben. Wenn eine fehlende Vertauschung erkannt wurde, werden Sie gefragt ob Sie diese jetzt nachholen wollen. Andernfalls erfolgt keine Rückmeldung.
Projekteingeschaften | Zeigt nach dem Import den Dialog "Projekteigenschaften" an.
Fahrzeugdaten... | Wenn aktiviert, dann wird beim ersten Anzeigen des Projekteigenschaften Dialogs nach dem Import aus Datei oder Eprom automatisch anhand des Eprominhaltes nach Fahrzeugdaten gesucht. Diese werden dann automatisch in den Dialog übertragen.
Identische... | Wenn aktiviert, dann wird beim Importieren aus Datei oder Eprom automatisch nach identischen Projekten gesucht.
ähnliche... | Wenn aktiviert, dann wird beim Importieren aus Datei oder Eprom automatisch nach ähnlichen Projekten gesucht, die als Original für die neu importierte Versionen angeboten werden.
Checksummen... | Wenn aktiviert, dann wird beim Importieren aus Datei oder Eprom automatisch nach bekannten Checksummen gesucht. Falls bereits Checksummen erkannt wurden, werden diese automatisch korrigiert.
Skripte... | Wenn aktiviert, dann wird automatisch die Skriptübersicht angezeigt, falls es Skripte gibt, die zum Projekt passen.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Automatisch / Export (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Automatisch (Menü Sonstiges) >

Der Dialog Konfiguration / Automatisch / Export (Menü Sonstiges)

Beim Export kann WinOLS anhand der Projekteigenschaften einen Vorschlag für den Dateinamen generieren. Welches Format dieser Vorschlag hat, können Sie hier anhand von Texten und Platzhaltern festlegen. Über den Button "Einfg." können Sie aus einer Vielzahl von Projekteigenschaften den passenden Platzhalter raussuchen. Speziell für den Export für Binärdateien können Sie zwischen verschiedenen Methoden wählen, wie der Dateisuffix erzeugt werden soll.

Wenn eine Datei importiert wird, dann merkt sich WinOLS den Import-Pfad und -Dateinamen. Diese Daten können beim Export der gleichen Datei wieder als Standardwert verwendet werden. Wenn Sie dies aktivieren, dann wirkt dies stärker als die oben erwähnten Platzhalter, sofern die Information verfügbar ist.

Speziell für BdmToGo-Dateien können Sie einstellen, dass Kundennamen und Kennzeichen beim Export nicht übertragen werden sollen.

Die Einstellungen auf dieser Seite gelten für den Export als Datei und als E-Mail-Anhang.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Automatisch / E-Mail (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Automatisch (Menü Sonstiges) >

Der Dialog Konfiguration / Automatisch / E-Mail (Menü Sonstiges)

Mit diesem Dialog können Sie den Standard-Inhalt einstellen, der für E-Mails verwendet wird, wenn Sie auf diese Art Projekte direkt aus WinOLS exportieren. Die Datei wird mit Ihren Standard E-Mail Programm versandt, aber dieses Programm wird vermutlich alle Standardtexte die Sie dort konfiguriert haben weglassen. (Dieses Verhalten kann von Ihrem E-Mail Programm abhängen.)

Sie können die Betreff-Zeile konfigurieren, ebenso wie den Anfangs- und Schlusstext. Außerdem können Sie WinOLS anweisen, Projektinformationen in die E-Mail zu schrieben. Dies sind alle Informationen, die Sie im Dialog ‘Steuergerät öffnen‘ anzeigen lassen können. (Nur Informationsfelder die Daten enthalten werden der Mail hinzugefügt.) Sie können außerdem einige typische Informationsfelder weglassen.

Wenn Sie eine Mail aus WinOLS senden, wird Ihr Standard E-Mail Programm verwendet. Welches Programm das ist stellen Sie in dem E-Mail Programm selber ein. Die dazu notwendigen Schritte hängen vom E-Mail Programm ab.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Automatisch / Kennfeldsuche (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Automatisch (Menü Sonstiges) >

Der Dialog Konfiguration / Automatisch / Kennfeldsuche (Menü Sonstiges)

Mit diesem Dialog können Sie die Art wie Kennfelder gesucht werden konfigurieren. Dies bezieht sich sowohl auf die direkte Suche (Taste f) als auch auf die automatische Suche im Hintergrund.

Um Fehlerkennungen zu reduzieren ignoriert WinOLS standardmäßig mehrere Kennfeldarten. Sie können diese Arten akzeptieren und Kennfelder anzeigen lassen, die komplett aus einem Wert bestehen, größtenteils aus einem Wert bestehen oder aus 2 sich abwechselnden Werten.

Des Weiteren sucht WinOLS nach Kennfeldern in den spezifischen Formaten der Herstelle Siemens, Temic und Delphi, soweit dies hier aktiviert ist.

Als weitere Option können mit Hilfe der 'Statistischen Kennfelderkennung' weitere Kennfelder erkennen die nicht im Bosch oder Damos Format gespeichert sind. Diese Art der Erkennung beurteilt die Daten alleine an ihrem 'Aussehen', so wie auch ein Mensch das machen würde. Als Ergebnis findet Sie Kennfelder auch ohne besondere Header oder Strukturdaten. Allerdings dauert die Erkennung recht lange und Stützstellen werden nur selten erkannt.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Automatisch / Bericht (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Automatisch (Menü Sonstiges) >

Der Dialog Konfiguration / Automatisch / Bericht (Menü Sonstiges)

WinOLS kann eine Berichtsdatei im Logfileformat führen. Jedesmal wenn Sie ein Projekt speichern, exportieren oder programmieren schreibt WinOLS dann eine Zeile mit Informationen in diese Datei. Sie können diese Datei später mit Excel öffnen um besser nachvollziehen zu können welche Arbeit Sie für welchen Kunden geleistet haben.

Wenn Sie die Berichtsdatei aktivieren, dann müssen Sie eine Datei wählen in der die Informationen gespeichert werden. Die Datei kann auch im Netzwerk liegen und von mehreren Rechnern gleichzeitig verwendet werden (solange diese die gleichen Einstellungen verwenden).

Wenn Sie 'Keine Einträge generieren die es so schon gibt', wird nur ein Eintrag erzeugt wenn Sie das gleiche Projekt 2x speichern.

Alle weiteren Kreuzfelder beziehen sich auf die Informationen (und damit die Spalten der Tabelle) die abgespeichert werden. Wählen Sie ihr die Information die Sie abspeichern möchten. Das heutige Datum wird immer mit abgespeichert.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Sonstiges (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) >

Der Dialog Konfiguration / Sonstiges (Menü Sonstiges)

Wenn Sie das Autosave Feature aktivieren, dann werden Projekte mit Änderungen nach einer definierten Zeit automatisch gespeichert.

Des Weiteren können Sie einstellen, wie WinOLS sich verhalten soll wenn Sie mehrere Projekte (bis zu 10) im "Projekt öffnen" Dialog selektieren und öffnen. WinOLS kann entweder für jedes Projekt nachfragen welche Version geöffnet werden soll oder jeweils die zuletzt veränderte Version öffnen.

Schließlich können Sie WinOLS auch noch in den 'Nicht-Entwickler Modus' schalten. In diesem Modus können Sie im Menü 'Projekt öffnen' nur Projekte sehen die als 'Fertig' markiert sind. Außerdem können Sie Projekte nicht verändern.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Sonstiges / Bearbeiten (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Sonstiges (Menü Sonstiges) >

Der Dialog Konfiguration / Sonstiges / Bearbeiten (Menü Sonstiges)

Spalten nur... | Wenn aktiviert, dann wirken Markierungen von Spalten nur auf den sichtbaren Bereich.
Selektion bei... | Wenn aktiviert, dann führt bei Veränderung der Cursorposition (sofern nicht gerade selektiert wird) zum Aufheben einer Selektion. Diese Option ist nützlich, wenn nur mit der Tastatur (und nicht mit der Maus) gearbeitet wird.
Stärke ... Wert... | Jedes Mal wenn Sie die + oder - Taste drücken, wird der aktuelle Wert geändert. Mit diesen Feldern können Sie die Stärke dieser Änderung einstellen. Sie kann für die unterschiedlichen Bitbreiten einzeln eingestellt werden.
Stärke... BildRauf... | Wenn Sie die Tastenkombination Strg+BildRauf oder Strg+BildRunter drücken, springt der Cursor einen großen Block weiter. Wie viel das ist, können Sie hier einstellen. Dies ist z.B. praktisch wenn die interessanten Bereiche in einem Eprom genau 8000 Bytes voneinander entfernt sind.
Anzeigeverhalten.. | Wenn Sie viele Projekte mit vielen Kennfeldern offen haben, wird das Übersichtsfenster über alle Kennfelder ziemlich voll. Sie können daher einstellen, dass WinOLS nur die ausgewählte Projekte oder nur das aktuelle Projekt 'expandieren' soll, d.h. die Kennfelder dafür anzeigen.
Editieroperationen... | Wenn aktiv, dann wirkt die Ändern relativ Funktion nicht mehr auf die Eprom Daten, sondern auf die angezeigten Daten (aufgrund von Faktor und Offset können die anders sein). Außerdem wirken die Tasten + und - nicht mehr so, dass die Eprom Daten um 1 erhöht / verringert werden, sondern so dass die letzte Ziffer erhöht / verringert wird. Falls das nicht möglich ist, weil die Änderung zu gering wäre wird wie bisher der Eprom Wert um 1 geändert.
Zahlentasten | Ist diese Option aktiviert, dann können Sie im Textmodus Werten bearbeiten indem Sie eine Zahlentaste (0-9) drücken. Ist die Option abgeschaltet, dann müssen Sie zu erst die Eingabetaste drücken, bevor Sie Werte bearbeiten können.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Sonstiges / Debug (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Sonstiges (Menü Sonstiges) >

Der Dialog Konfiguration / Sonstiges / Debug (Menü Sonstiges)

Zusätzliche Info... | Wenn aktiviert, dann erzeugt dann erzeugt WinOLS zusätzliche Informationen im Falle eines Softwareproblems. Diese Option verlangsamt der Programmstart geringfügig.
Nicht all DLLs... | Unter 95/98/ME/NT können nicht beliebig viele DLLs gleichzeitig geladen werden. Wenn Sie sehr viele Plugins lizensiert haben, kann es sein, dass einige Plugins oder der Internetzugriff nicht mehr funktionieren. In diesem Fall wird diese Option automatisch aktiviert. Sie können Sie aber auch manuell aktivieren. Ihnen stehen nach wie vor alle Plugins zur Verfügung, sie können aber etwas langsamer sein.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Sonstiges / Sprache (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Sonstiges (Menü Sonstiges) >

Der Dialog Konfiguration / Sonstiges / Sprache (Menü Sonstiges)

Sprache

Hier können verschiedene Sprachen für die Benutzeroberfläche aktiviert werden. Die Sprachen müssen dafür im Plugin-Verzeichnis installiert sein. Standardmäßig wird WinOLS mit den Sprachen Deutsch und Englisch ausgeliefert.

Abkürzungen:

Symbolleiste:

Tastatur: F12


Der Dialog Konfiguration / Sonstiges / Internet (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Sonstiges (Menü Sonstiges) >

Der Dialog Konfiguration / Sonstiges / Internet (Menü Sonstiges)

Diverse Funktionen von WinOLS können auf das Internet zugreifen. Hier können Sie einstellen ob auf Ihren PC dazu ein Proxy-Server erforderlich ist. Wenn Sie sich unsicher sind, ob dies der Fall ist fragen Sie bitte Ihren Netzwerkadministrator.

Sollte für Ihren Proxy ein Login mit Benutzername und Kennwort erforderlich sein, tragen Sie ihn in das Feld "Host" im Format "username:password@proxy" ein.

Des weiteren erlaubt dieser Dialog den Start einer Testfunktion, die verschiedene typische Probleme erkennen kann.


Der Dialog Konfiguration / Hardware (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) >

Der Dialog Konfiguration / Hardware (Menü Sonstiges)


Der Dialog Konfiguration / Hardware / Ausleseschutz (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Hardware (Menü Sonstiges) >

Der Dialog Konfiguration / Hardware / Ausleseschutz (Menü Sonstiges)

Dieser Dialog erlaubt es die Voreinstellung einiger Werte für Schutzmechanismen zu treffen. Diese Werte können später im Dialog "Projekteigenschaften" für jedes Projekt einzeln verändert werden.


Der Dialog Konfiguration / Hardware / BDM (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Hardware (Menü Sonstiges) >

Der Dialog Konfiguration / Hardware / BDM (Menü Sonstiges)

Dieser Dialog zeigt Daten über das aktuell verbundene BDM Modul.


Der Dialog Konfiguration / Hardware / Eprom (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Hardware (Menü Sonstiges) >

Der Dialog Konfiguration / Hardware / Eprom (Menü Sonstiges)

WinOLS kann zum Ansteuerung eines MP2440P Eprommers verwendet werden. Hier wird die Art der Kommunikationsverbindung festgelegt.

Achtung: Der Eprommer funktioniert nur, wenn bei der Installation von WinOLS der Support für dieses Gerät explizit aktiviert wurde!


Der Dialog Konfiguration / Hardware / Simulator (Menü Sonstiges)

Navigation: Startseite > Befehle des Menüs Sonstiges > Der Dialog Konfiguration (Menü Sonstiges) > Der Dialog Konfiguration / Hardware (Menü Sonstiges) >

Der Dialog Konfiguration / Hardware / Simulator (Menü Sonstiges)

WinOLS kann zum Ansteuerung eines OLS16 oder OLS300 Simulators. Hier wird die Art der Kommunikationsverbindung festgelegt.

Achtung: Der OLS16 Simulator funktioniert nur, wenn bei der Installation von WinOLS der Support für dieses Gerät explizit aktiviert wurde!


Das Kommando Taschenrechner (Menü Sonstiges)

Navigation: Startseite

Das Kommando Taschenrechner (Menü Sonstiges)

Mit diesem Kommando starten Sie den Windows Taschenrechner, sofern dieser installiert ist.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Befehle des Menüs Fenster

Navigation: Startseite

Befehle des Menüs Fenster

Das Menü Fenster bietet folgende Befehle, die Ihnen erlauben, mehrere Ansichten von mehreren Dokumenten im Anwendungsfenster einzurichten:

Übersicht aller Kennfelder | Zeigt eine Übersicht über alle geöffneten Projekte und deren Fenster
Unterschiede zum Original | Zeigt ein Menü mit allen Unterschieden zwischen aktueller Version und Originalversion
Übersicht | Zeigt eine Übersicht des Projektes
Preview | Zeigt eine 3d-Vorschau für rechteckige Selektionen oder ausgewählte Kennfelder.
Fliegende Fenster anzeigen / verstecken | Zeigt oder versteckt alle fliegenden Fenster.
Neues Fenster | Erstellt ein neues Fenster, welches das gleiche Dokument anzeigt
Überlappend | Ordnet die Fenster überlappend an
Nebeneinander | Ordnet die Fenster nebeneinander an
Symbole anordnen | Ordnet die zu Symbolen verkleinerten Fenster an
Fenster 1, 2, ... | Schaltet in das angegebene Fenster um


Der Dialog Übersicht über Kennfelder (Menü Fenster)

Navigation: Startseite > Befehle des Menüs Fenster >

Der Dialog Übersicht über Kennfelder (Menü Fenster)

Dieser Dialog zeigt eine Übersicht über alle geöffneten Projekte und deren Fenster und ermöglicht das duplizieren und löschen von Fenstern.

Der Dialog ist nicht modal, d.h. dahinter liegende Fenster können angeklickt werden obwohl das Fenster noch geöffnet ist.

Die Größe des Dialoges kann verändert werden, wenn er nicht ‘gedockt‘ ist. Das Fenster kann durch einen Doppelklick auf die Überschrift gedockt bzw. losgelöst werden.

Eine fettgedruckte Zeile symbolisiert ein geöffnetes Fenster. Die Textfarbe symbolisiert (analog zu Kennfeld und Stützstelle) ob es in diesem Fenster eine Änderung zum Original gibt oder nicht. Die einzelnen Fenster können durch ein Kontextmenü (Rechter Mausklick) geöffnet, geschlossen, gelöscht und dupliziert werden. Mit einem Doppelklick können Fenster geöffnet / geschlossen werden.

Mit Hilfe des Kontextmenüs können Sie Kennfelder aus der Liste ausblenden. Dies ist nützlich wenn Sie sehr viele Kennfelder haben. Versteckte Fenster werden normalerweise nicht in der Liste angezeigt. Wenn Sie ein Projekt in der Liste rechtsklicken, dann können Sie konfigurieren ob Kennfelder angezeigt werden sollen obwohl sie ausgeblendet sind. Kennfelder die in der Liste erscheinen obwohl sie ausgeblendet sind erkennen Sie an der verblassten Farbe.

Ein Mausklick auf das schwarze Dreieck öffnet ein kleines Menü mit weiteren Befehlen für diesen Dialog:

· Sie können die Liste in einer CSV Datei exportieren. (Die gleiche Funktion finden Sie auch im Menü Project / Export)
· Sie können die Kennfeldliste anhand von Texten nach einem speziellen Kennfeld durchsuchen
· Sie können hiermit einzelne Spalten ein oder ausblenden (Hinweis: Die Spalte Id ist hauptsächlich dann nützlich wenn Sie Damos oder A2L Kennfelder importieren.)
· Sie können Kennfelder anhand ihrer Bittiefe zeigen / verstecken. Sie können einen konkrete Bittiefe angeben oder WinOLS anweisen nur Kennfelder zu zeigen die die gleiche Bittiefe haben wie der Hexdump im Augenblick.

Durch einen Klick in die erste Spalte kann eine Flagge zur Markierung gesetzt werden. Sie dient nur der Übersichtlichkeit.

Dieser Dialog ist ein 'fliegender' Dialog. Alle fliegenden Dialoge können mit der Tab-Taste ein- und ausgeschaltet werden.

Abkürzungen:

Symbolleiste:

Tastatur: Strg+K


Der Dialog Unterschiede zum Original (Menü Fenster)

Navigation: Startseite > Befehle des Menüs Fenster >

Der Dialog Unterschiede zum Original (Menü Fenster)

Dieser Dialog zeigt eine Übersicht über alle Veränderungen (bis zu 2000) vom Original zur aktuellen Version des Fensters. Die im Dialog vorhandenen Buttons bieten Möglichkeiten zur Navigation innerhalb der Liste.

WinOLS versucht dieses Fenster mit dem Hexdump oder Kennfeld synchron zu halten. Wenn Sie im Hexdump oder Kennfeld die Cursorposition ändern, wird das Unterschiede Fenster den entsprechenden Eintrag zeigen. Wenn Sie im Unterschiede Fenster den Cursor setzen oder Einträge selektieren werden Cursorposition und / oder Selektion auf das Hexdump oder Kennfeld Fenster übertragen.

Die Größe des Dialoges kann verändert werden.

Der Dialog ist nicht modal, d.h. dahinter liegende Fenster können angeklickt werden obwohl das Fenster noch geöffnet ist. Dieser Dialog ist ein 'fliegender' Dialog. Alle fliegenden Dialoge können mit der Tab-Taste ein- und ausgeschaltet werden. Des Weiteren können Sie den Dialog 'aufrollen' wenn sie ihn nicht brauchen. Dann ist nur noch die Titelleiste sichtbar. Klicken Sie dazu auf die zusätzliche Ikone in der Titelleiste, so dass nur noch ein Strich angezeigt wird. Wenn Sie jetzt in WinOLS arbeiten wir der Dialog bis auf die Titelleiste versteckt und wenn Sie den Cursor über die Leiste bewegen, wird der gesamte Dialog sichtbar. Klicken Sie erneut auf das Symbol um den Dialog wieder in den normalen Zustand zu bringen. Es erscheint ein angedeuteter Dialog unter dem Strich. In diesem Zustand wird der Dialog immer gezeigt.

Abkürzungen:

Symbolleiste:

Tastatur: Strg+U


Der Dialog Übersicht (Menü Fenster)

Navigation: Startseite > Befehle des Menüs Fenster >

Der Dialog Übersicht (Menü Fenster)

Dieser Dialog zeigt eine Übersicht des Projektes an und klassifiziert dazu die einzelnen Bereiche nach ihren vermutlichen Funktionen. Die dazu erforderliche Analyse kann einige Sekunden dauern und findet im Hintergrund statt.

Wird der Cursor über die Grafik bewegt, so wird der aktuelle Pixel unter dem Cursor in der Legende rechts markiert. Ein Klick in die Grafik verschiebt die Ansicht des aktuellen Fensters. Ein Doppelklick in der Grafik veranlasst WinOLS die in der Grafik dargestellten Informationen neu zu berechnen.

Wahlweise können entweder Unterschiede zwischen Original und Version oder Simulatorzugriffe hell markiert werden. Um zu wählen, was durch helle Pixel gezeigt werden soll, klicken Sie dazu auf 'Erweitert'. (Evtl. müssen Sie dazu den Dialog breiter machen.) Wenn Sie Simulatorzugriffe anzeigen lassen wollen, müssen Sie vorher den Simulator geladen haben. Außerdem müssen Sie einmalig die dafür notwendigen Daten mit dem entsprechenden Menüpunkt aus dem 'Erweitert' Menü einlesen.

Die Breite des Dialoges kann verändert werden um Platz auf dem Bildschirm zu sparen. Sie können die Höhe auf das doppelte des Standardwertes einstellen um mehr zu sehen.

Dieser Dialog ist ein 'fliegender' Dialog. Alle fliegenden Dialoge können mit der Tab-Taste ein- und ausgeschaltet werden. Des Weiteren können Sie den Dialog 'aufrollen' wenn sie ihn nicht brauchen. Dann ist nur noch die Titelleiste sichtbar. Klicken Sie dazu auf die zusätzliche Ikone in der Titelleiste, so dass nur noch ein Strich angezeigt wird. Wenn Sie jetzt in WinOLS arbeiten wir der Dialog bis auf die Titelleiste versteckt und wenn Sie den Cursor über die Leiste bewegen, wird der gesamte Dialog sichtbar. Klicken Sie erneut auf das Symbol um den Dialog wieder in den normalen Zustand zu bringen. Es erscheint ein angedeuteter Dialog unter dem Strich. In diesem Zustand wird der Dialog immer gezeigt.

Abkürzungen:

Symbolleiste:

Tastatur: o


Der Dialog Preview (Menü Fenster)

Navigation: Startseite > Befehle des Menüs Fenster >

Der Dialog Preview (Menü Fenster)

Dieser Dialog zeigt eine Vorschau der Daten mit den Sie im Augenblick arbeiten. Der Preview wird in folgenden Situationen angezeigt.

a) Wenn Sie eine rechteckige Selektion erzeugen

b) Wenn Sie ein Kennfeld in der Kennfeldauswahlliste wählen

c) Wenn Sie ein Kennfeld im Text oder 2d Modus bearbeiten.

Der Dialog ist nicht modal, d.h. dahinter liegende Fenster können angeklickt werden obwohl das Fenster noch geöffnet ist.

Die Größe des Dialoges kann verändert werden. Sie können mit der Maus die Perspektive und den Ansichtswinkel verändern.

Dieser Dialog ist ein 'fliegender' Dialog. Alle fliegenden Dialoge können mit der Tab-Taste ein- und ausgeschaltet werden.

Abkürzungen:

Symbolleiste:

Tastatur: P


Der Befehl Fliegende Fenster zeigen / verstecken (Menü Fenster)

Navigation: Startseite > Befehle des Menüs Fenster >

Der Befehl Fliegende Fenster zeigen / verstecken (Menü Fenster)

Dieser Dialog zeigt bzw. versteckt alle fliegenden Fenster. Dies sind Fenster, die über den normalen Fenstern schweben. Also der Unterschiede Dialog, das Preview Fenster und je nach Konfiguration auch die Kennfeldauswahl.

Abkürzungen:

Symbolleiste: -

Tastatur: Tab


Der Befehl Neues Fenster (Menü Fenster)

Navigation: Startseite > Befehle des Menüs Fenster >

Der Befehl Neues Fenster (Menü Fenster)

Verwenden Sie diesen Befehl, um ein Fenster zu öffnen, das denselben Inhalt wie das aktive Fenster hat. Sie können mehrere Dokumentfenster öffnen, was Ihnen ermöglicht, verschiedene Teile oder Ansichten eines Dokuments gleichzeitig anzeigen zu lassen. Falls Sie den Inhalt in einem der geöffneten Fenster ändern, werden die Änderungen von allen Fenstern übernommen, die dasselbe Dokument enthalten. Wenn Sie ein neues Fenster öffnen, wird es zum aktiven Fenster und wird über allen anderen geöffneten Fenstern angezeigt.


Der Befehl Überlappend (Menü Fenster)

Navigation: Startseite > Befehle des Menüs Fenster >

Der Befehl Überlappend (Menü Fenster)

Verwenden Sie diesen Befehl, um die geöffneten Fenster überlappend anzuordnen.


Der Befehl Nebeneinander (Menü Fenster)

Navigation: Startseite > Befehle des Menüs Fenster >

Der Befehl Nebeneinander (Menü Fenster)

Verwenden Sie diesen Befehl, um die geöffneten Fenster nebeneinander anzuordnen.


Der Befehl Symbole anordnen (Menü Fenster)

Navigation: Startseite > Befehle des Menüs Fenster >

Der Befehl Symbole anordnen (Menü Fenster)

Verwenden Sie diesen Befehl, um die Symbole der minimierten Fenster im unteren Bereich des Hauptfensters anzuordnen. Falls sich dort ein geöffnetes Dokumentfenster befindet, kann es passieren, dass einige oder alle Symbole verdeckt sind, weil sie sich unterhalb des Dokumentfensters befinden.


Die Befehle 1, 2, ... (Menü Fenster)

Navigation: Startseite > Befehle des Menüs Fenster >

Die Befehle 1, 2, ... (Menü Fenster)

Am Ende des Menüs Fenster stellt WinOLS eine Liste der aktuell geöffneten Dokumentfenster dar. Vor dem Dokumentnamen des aktiven Fensters erscheint ein Häkchen. Wählen Sie ein Dokument aus der Liste, um sein Fenster zu aktivieren.


Befehle des Menüs ? (Hilfe)

Navigation: Startseite

Befehle des Menüs ? (Hilfe)

Das Menü ? (Hilfe) enthält folgende Befehle, die Ihnen Unterstützung für diese Anwendung bereitstellen:

Hilfethemen | Zeigt Ihnen das Verzeichnis der Themen an, zu denen Hilfe verfügbar ist
Hilfethemen: Drag / Drop | Zeigt Hilfe über die Drag & Drop Unterstützung von WinOLS
Hilfethemen: Kontextmenüs | Erklärt die Kontextmenüs von WinOLS
Hilfethemen: Mauscursor | Erklärt die verschiedenen Mauscursors
Hilfethemen: Selektionen | Erklärt wie man die Selektionsmethoden von WinOLS optimal verwendet
Hilfethemen: Tastaturkürzel | Zeigt eine Liste aller Tastaturkürzel (Hotkeys) an
Ein kleiner Tipp | Zeigt verschiedene (hier abschaltbare) Tipps zum aktuellen Kontext an
Tipp des Tages | Zeigt Informationen über kleine, aber nützliche Features
Homepage EVC | Startet die Homepage von EVC
Info über Plug-Ins | Zeigt, welche Plug-Ins installiert sind
Info über OLS | Zeigt die Versionsnummer dieser Anwendung an


Der Menüpunkt Hilfethemen (Menü ? (Hilfe))

Navigation: Startseite > Befehle des Menüs ? (Hilfe) >

Der Menüpunkt Hilfethemen (Menü ? (Hilfe))

Verwenden Sie diesen Befehl, um den Inhaltsbildschirm der Hilfe darstellen zu lassen. Von diesem Bildschirm aus können Sie zu Anweisungen springen, die Ihnen Schritt für Schritt die Verwendung von WinOLS zeigen, oder sich verschiedene Typen von Referenzinformationen anschauen.

Sobald Sie die Hilfe geöffnet haben, ist es immer möglich, die Schaltfläche Inhalt anzuklicken, um zum Inhaltsbildschirm zurückzukehren.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Ein kleiner Tipp (Menü ?)

Navigation: Startseite > Befehle des Menüs ? (Hilfe) >

Der Dialog Ein kleiner Tipp (Menü ?)

Dieser Dialog zeigt Tipps die sich auf den aktuellen Kontext oder die aktuelle Aktion beziehen. Sie können Sie auch betrachten indem Sie sie aus dem Menü auswählen.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Tipp des Tages (Menü ?)

Navigation: Startseite > Befehle des Menüs ? (Hilfe) >

Der Dialog Tipp des Tages (Menü ?)

Dieser Dialog zeigt Hinweise und Tricks zur Bedienung von WinOLS beim Programmstart. Sie können diesen Dialog auch abschalten, wenn sie möchten.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Befehl Hilfe verwenden (Menü Hilfe)

Navigation: Startseite > Befehle des Menüs ? (Hilfe) >

Der Befehl Hilfe verwenden (Menü Hilfe)

Verwenden Sie den Befehl Kontexthilfe, um Hilfe zu einem bestimmten Teil von WinOLS zu erhalten. Wenn Sie die Schaltfläche ‘Kontexthilfe’ aus der Symbolleiste auswählen, ändert sich der Mauszeiger zu einem Pfeil mit Fragezeichen. Klicken Sie dann mit der Maus irgendwo in das Fenster von WinOLS, zum Beispiel auf eine andere Schaltfläche in der Symbolleiste. Das dem angeklickten Element entsprechende Hilfethema wird daraufhin angezeigt.

Abkürzung:

Tastatur: UMSCHALT+F1


Der Menüpunkt Homepage EVC (Menü ? (Hilfe))

Navigation: Startseite > Befehle des Menüs ? (Hilfe) >

Der Menüpunkt Homepage EVC (Menü ? (Hilfe))

Verwenden Sie diesen Befehl, um die Homepage von EVC zu starten mit einem installierten Internet-Browser zu starten. Eine Verbindung zum Internet ist Voraussetzung.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Info über Plug-Ins (Menü ?)

Navigation: Startseite > Befehle des Menüs ? (Hilfe) >

Der Dialog Info über Plug-Ins (Menü ?)

Dieser Dialog zeigt eine Liste aller installierten Plugins. Ist ein Plugins installiert, aber nicht registriert so ist zwar die Suchfunktion aktiviert, aber die Checksumme wird errechnet. Wenden Sie sich an EVC um Plugins zu erhalten.

Der Button DLL Konflikte ist nur verfügbar, wenn beim Programmstart Konflikte zwischen 2 oder mehr Plugins erfolgten.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Info über WinOLS (Menü ?)

Navigation: Startseite > Befehle des Menüs ? (Hilfe) >

Der Dialog Info über WinOLS (Menü ?)

Dieser Dialog zeigt Versionsinformationen an.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Beschreibung der weiteren Dialoge

Navigation: Startseite

Beschreibung der weiteren Dialoge

Bitte wählen Sie ein Unterthema.


Das Dialogfeld Drucken

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Das Dialogfeld Drucken

Die folgenden Optionen ermöglichen es Ihnen anzugeben, wie das Dokument gedruckt werden soll:

Drucker: Hier wird der aktive Drucker und Druckeranschluß angezeigt. Wählen Sie die Option "Einrichten", um den Drucker und den Druckeranschluß zu ändern.

Einrichten: Zeigt ein Dialogfeld Druckereinrichtung an, in dem Sie einen Drucker und einen Druckeranschluß wählen können.

Druckbereich: Geben Sie die Seiten an, die Sie ausdrucken wollen:

Alles | Druckt das gesamte Dokument
Markierung | Druckt den markierten Text
Seiten | Druckt den Seitenbereich, den Sie in den Feldern "Von" und "Bis" angeben

Kopien: Geben Sie an, wie viele Kopien vom oben eingestellten Seitenbereich gedruckt werden sollen.

Kopien sortieren: Druckt die Kopien in der Reihenfolge der Seitennummern, statt getrennt für jede Seite mehrere Kopien zu drucken.

Druckqualität: Wählt die Druckqualität aus. Im allgemeinen benötigt der Druckvorgang um so weniger Zeit, je niedriger die Druckqualität ist.


Das Dialogfeld Druckereinrichtung

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Das Dialogfeld Druckereinrichtung

Mit den folgenden Optionen können Sie den Drucker und seinen Anschluß festlegen:

Drucker: Wählen Sie hier den Drucker aus, den Sie benutzen wollen. Wählen Sie entweder den "Standarddrucker", oder verwenden Sie die Option "Spezieller Drucker" und wählen dann einen der installierten Drucker aus dem Feld aus. Zum Installieren von Druckern und Einstellen von Druckeranschlüssen verwenden Sie die Systemsteuerung von Windows.

Format: Wählen Sie Hoch- oder Querformat.

Papier/Größe: Wählen Sie die Größe des Papiers, auf dem das Dokument gedruckt werden soll.

Papier/Zufuhr: Einige Drucker besitzen mehrere Schächte für verschiedene Arten der Papierzufuhr. Geben Sie hier den Schacht an.

Optionen: Zeigt ein Dialogfeld an, in dem Sie zusätzliche Auswahlmöglichkeiten haben, die spezifisch für den von Ihnen ausgesuchten Drucker sind.

Netzwerk... Verwenden Sie diese Schaltfläche, um einem Laufwerkbuchstaben eine Verbindung zu einem Netzwerklaufwerk zuzuweisen.


Der Dialog Intel/Motorola Import Parameter

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Intel/Motorola Import Parameter

Wenn Sie eine Intel oder Motorola Datei importieren, dann sind zusätzliche Informationen für einen korrekten Import notwendig. Dies liegt daran, dass diese Dateiformate viele Datenblöcke enthalten können, die (laut Dateiinhalt) an sehr verschiedenen Adressen liegen. WinOLS unterstützt aber nur einen großen Datenblock, der an der Adresse 0 beginnt.

Dies ist in der Praxis kein Problem, da die Datenblöcke der Datei meist genauso umgerechnet werden müssen. Sie müssen einzig entscheiden, für welche Projektgröße diese Umrechnung korrekt ist. Optional können Sie noch einen Offset, d.h. eine Verschiebung bestimmen.

Je nach gewählter Projektgröße erscheint der Text ‘Überlappende Bereiche gefunden‘ im Dialog. Dies passiert, wenn mehrere Datenblöcke der Datei durch das Mapping (was durch Offset und Projektgröße entsteht) auf die gleichen Adressen schreiben. Überlappende Bereiche sind ein Indiz dafür, dass die Projektgröße eventuell zu klein gewählt ist.

Drücken Sie den Button ‘Mehr Informationen‘ um eine Liste aller Datenblöcke zu bekommen, die in dieser Datei sind.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Suche nach Bytefolge (Menü Kennfeldliste)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Suche nach Bytefolge (Menü Kennfeldliste)

Mit diesem Dialog können Sie die Kennfeldliste nach Texten oder Kennfeldarten durchsuchen.

Ist die Option ‘In Echtzeit suchen’ aktiviert, dann läuft die Suche bereits während Daten eingegeben werden.

Ist die Option ‘Auch Kennfelder in geschlossenen Ordnern suchen’ aktiviert, dann findet WinOLS sogar Kennfelder derzeit nicht in der Liste gezeigt werden, weil sie in einem Ordner sind, der geschlossen ist. WinOLS wird dann den Ordner öffnen um das Kennfeld anzuzeigen.

Ist die Option ‘Ergebnis als Selektion’ aktiviert, dann werden alle Kennfelder selektiert, die den Suchkriterien entsprechen. Diese können dann weiter bearbeiten werden, z.B. ausgeblendet oder gelöscht. Die Option 'Ergebnis als Anzeigefilter' hingegen blendet alle Kennfelder aus die nicht den Suchkriterien entsprechen.

Mit den blauen Pfeiltasten können Sie zur nächsten bzw. vorherigen Fundstelle springen.

Hinweis: Die Abkürzung Strg+F startet diesen Dialog nur, wenn gerade die Kennfeldliste den Fokus hat. Falls ein Projektfenster den Fokus hat (= der Cursor dort blinkt) dann wird der Suchdialog für die Bytefolgen gestartet.

Abkürzungen:

Symbolleiste: -

Tastatur: Strg+F


Der Dialog Auswahl der gewünschten Version

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Auswahl der gewünschten Version

Dieser Dialog dient dem Auswählen und Verwalten von Versionen. Mit den gleichnamigen Buttons können Versionen dupliziert, in ihrer Beschreibung geändert oder gelöscht werden. Die Beschreibung der Originalversion kann nicht konfiguriert werden.

Mit dem Button ‘Als Original‘ kann die selektierte Version zum Original gemacht werden. Als Folge beziehen sich alle Vergleich dann auf diese Version. Die ehemalige Originalversion wird nicht gelöscht, sie wird an die Stelle der selektierten Version gesetzt (Vertauschung).

Außerdem können Sie Kommentare zu den Version und zu dem Projekt selber im oberen rechten Bereich des Dialogs betrachten und bearbeiten. Mit dem Karteireitern können Sie den Kommentar wählen, der derzeit dargestellt werden soll. Außerdem können Sie hiermit eine Zusammenfassung anzeigen, die allerdings nicht editiert werden kann.

Rechts unten wird eine Liste angezeigt. Sie enthält alle Kennfelder, die in dieser Version gegenüber der Originalversion geändert werden. Sie wird automatisch generiert und kann nicht verändert werden.

Abkürzungen:

Symbolleiste:

Tastatur: Strg+Shift+O


Der Dialog Suchen und ersetzen in Projekten (Kontextmenü)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Suchen und ersetzen in Projekten (Kontextmenü)

Dieser Dialog dient dem Suchen und ersetzen von Texten in den Eigenschaften aller selektierten Projekte. Änderungen werden erst durchgeführt, wenn Sie den Button 'Ersetzen' oder 'Alle Ersetzen' benutzen. Dies verändert dann die Projektdatei so dass der Suchtext ersetzt wird.

Hinweis: Das Dialogfeld 'Alle Ersetzen' führt die Ersetzungsoperationen direkt für alle in Frage kommenden Projekte aus. Benutzen Sie sie mit Vorsicht, denn die Änderungen können nicht rückgängig gemacht werden..

Hinweis: Dieser Dialog kann nur über das Kontextmenü im Dialog 'Öffnen (Menü Projekt)' erreicht werden.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Kennfelder verschieben

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Kennfelder verschieben

Dieser Dialog erlaubt es ein oder mehrere Kennfelder in einen anderen Ordner zu verschieben. Wählen Sie dazu aus der Liste einen existierenden Ordner aus.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Ordner benennen

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Ordner benennen

Dieser Dialog fragt Sie nach einem Namen für einen Ordner.

Zum einen erscheint er wenn Sie einen neuen Ordner anlegen. Zum anderen wenn Sie einen vorhandenen Ordner umbenennen.

Im Sinne der Übersichtlichkeit sollten doppelte Ordnernamen vermieden werden.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Dateinamen eingeben

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Dateinamen eingeben

Dieser Dialog fragt Sie nach einem Dateinamen für ein neues Projekt. Meistens kann WinOLS neue Dateinamen automatisch erzeugen. Dieser Dialog erscheint nur dann, wenn Sie diese Automatik abgeschaltet haben oder der gegebene Namensraum voll ist (wenn also alle Dateinamen die aus dem Namensraum gebildet werden können schon verwendet werden.)

Beide Möglichkeiten können im Dialog Konfiguration / Automatisch geregelt werden. Mehr Informationen über Namensräumen finden Sie in der Hilfeseite zu jenem Dialog.

Falls Sie unsicher sind, was Sie in diesem Dialog eingeben soll, übernehmen Sie einfach den Standardwert oder geben eine große, zufällige Zahl ein. (Wie wäre es mit ‘123456’?)

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Geschützte Speicherstelle wird verändert

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Geschützte Speicherstelle wird verändert

Dieser Dialog wird angezeigt, wenn Sie Daten verändern, die nicht durch eine Checksumme geprüft werden während Sie die Option ’Speicherschutz’ aktiviert haben. Der Dialog nimmt Ihre Entscheidung entgegen, wie mit dieser und mit zukünftigen Änderungen zu verfahren ist.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Eigenschaften des Sync Blocks

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Eigenschaften des Sync Blocks

Dieser Dialog erlaubt Ihnen Sync Blöcke zu bearbeiten oder hinzuzufügen. Ein Sync Block ist eine Methode um sicherzustellen, dass Blöcke die derzeit identisch sind auch in Zukunft identisch bleiben. Wenn einer der beiden Blöcke modifiziert wird, werden die geänderten Daten in den jeweils anderen Block übertragen.

Sie erreichen diesen Dialog, wenn Sie auf das kleine schwarze Dreieck neben "Hinzufügen " im Dialog "Checksummen" klicken.

Hinweis zu Adressen: Die Adressen in diesem Dialog beziehen sich nicht auf das aktuelle Element, sondern auf die Adressen wie in der Ansicht <Alle Elemente> sichtbar sind. Somit sind elementübergreifende Aktionen möglich.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Kommentar zum Projekt

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Kommentar zum Projekt

In diesem Menü können Sie einen beliebigen Kommentar zum aktuellen Projekt eingeben. Wenn Sie die Datei aus einer Intel oder Motorola Datei importiert haben, finden Sie hier Datum und Dateiname.

Das Feld "Verknüpfte Dateien" kann eine Liste von Dateien speichern die für das Projekt relevant sind. Die Dateien werden von WinOLS nicht verwendet, sondern sind nur für Ihre Information. Das Projekt speichert nur die Referenz auf die Datei und nicht die Datei selbst. Um Dateien zur Liste hinzuzufügen verwenden Sie den Button "Hinzufügen" oder ziehen Sie Dateien in das Feld. Mit einem Doppelklick können Sie Dateien in der Liste öffnen. Falls Sie die Datei lieber in Relation mit der aktuellen Version referenzieren möchten, dann verwenden Sie den Dialog "Eigenschaften der Version".

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Faktor und Offset berechnen

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Faktor und Offset berechnen

Dieser Dialog ist ein Unterdialog des Dialogs Kennfeldeigenschaften. Sie erreichen ihn über den Knopf "f(x)".

Dieser Dialog erlaubt es Ihnen, die WinOLS Felder Faktor und Offset aus verschiedenen üblichen Formeln zu berechnen. Dies ist nützlich, wenn Ihnen Informationen über die Umrechnung der Epromwerte vorliegen, die aufgrund ihres Formates nicht direkt in WinOLS (als Faktor und Offset) eingegeben werden können.

Beispielsweise könnte Ihnen folgende Umrechnungformel vorliegen:

VAL = 100/(0,00001 * N)

Als erstes wählen Sie die Art der Formel aus. Die Eingabegröße steht in dem Beispiel unter dem Bruchstrich, also ist es die rechte Formel. Tragen Sie die Werte ein. Die Zahl 100 über den Bruchstrich. Die Zahl 0,00001 unter den Bruchstrich als Faktor. Es wird in unserem Beispiel kein weiterer Wert hinzuaddiert. Also lassen Sie die additive Variable unter dem Bruchstrich einfach bei 0.

Als Ergebnis sehen Sie links unten jetzt Faktor und Offset ausgerechnet. Außerdem ist das Kreuzfeld "Kehrwert" aktiviert. Sie können den Dialog jetzt mit OK verlassen um die Werte zu übernehmen. Falls Ihnen Beispielwerte vorliegen, können Sie diese zum testen auch rechts unten eintragen.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Kommentar einfügen / bearbeiten

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Kommentar einfügen / bearbeiten

Dieser Dialog erlaubt es Ihnen einen Kommentar einzufügen bzw. zu bearbeiten. Kommentare bieten viele Möglichkeiten:

· Sie markieren Stellen oder Bereiche.
· Sie speichern Informationen, die Sie auch in Form eines Tooltips abrufen können.
· Sie erlauben über vorherige / nächste Funktionen einen schnellen Zugriff auf die markierten Stellen.
· Sie erscheinen in der "Gehe Zu" Liste.
· Sie können Sicherheitsbereiche für den BdmToGo Export markieren.

Wenn Sie beim Aufruf dieser Funktion eine Selektion aktiv haben, wird der Kommentare für den Selektierten Bereich erzeugt. Optional können Sie die Hintergrund- und Rahmenfarbe für die Markierung ändern.

Abkürzungen:

Symbolleiste: -

Tastatur: Shift+Enter


Der Dialog Daten übertragen

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Daten übertragen

Sie erreichen diesen Dialog wenn Sie 2 Projekte koppeln und ein Kennfeld im Hexdump mit der rechten Maustaste anklicken.

Mit Hilfe dieses Dialogs können Sie das anklickte Kennfeld in das andere Projekt übertragen. Sie haben dabei die Wahl ob Sie den Inhalt (also die Werte) und / oder die Strukturdaten (alles was Sie in den Kennfeldeigenschaften sehen) übertragen wollen. Beim übertragen wird die Startadresse des Kennfelds gemäß den aktuellen Koppel-Einstellungen angepasst.

Absolut/Differenz/Prozentual:

Wenn Sie den Modus "Absolut" wählen, werden die Werte direkt übertragen. Beim Modus "Differenz" wird die Differenz zwischen Original und Version in den Quelldaten errechnet und in den Zieldaten zum Original dazuaddiert. Beim Modus "Prozentual" wird der prozentuale Unterschied zwischen Original und Version in den Quelldaten errechnet und bei den Zieldaten prozentual dazuaddiert.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Parallele Kennfelder

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Parallele Kennfelder

Oftmals existiert das gleiche Kennfeld mehrfach im Steuergerät, meist aber mit leichten Variationen in den Werten. Solche Kennfelder werden in WinOLS als "Parallele Kennfelder" bezeichnet. Sie können diese mit einem Mal anlegen und die Änderungen automatisch in andere Kennfelder übertragen. Gehen Sie dazu wie folgt vor:

1. Suchen Sie ein Kennfeld im Hexdump, und registrieren Sie es als Kennfeld in WinOLS.

2. Beschriften Sie bei Bedarf die Achsen.

3. Klicken Sie mit der rechten Maustaste in das Kennfeld und wählen Sie den Menüpunkt "Parallele Kennfelder".

Jetzt gelangen Sie in den oben gezeigten Dialog. Je nach eingestellter Toleranz wird wahrscheinlich eine unterschiedliche Anzahl von ähnlichen Kennfeldern gefunden. (Die Toleranz wird automatisch so eingestellt, dass mindestens ein ähnliches Kennfeld gefunden wird, ohne dabei über 100% Toleranz zu gehen.)

Mit den Optionen können Sie einstellen, welche Angaben Sie einmalig übertragen wollen (dies gilt für die Achsenbeschriftungen und den Kennfeldnamen) und welche Sie ständig Synchronisieren wollen (dies gilt nur für die Kennfeldwerte). Wenn Sie Änderungen als Differenz übertragen, werden nicht die absoluten Werte in die anderen Kennfelder kopiert, sondern die Differenz zwischen Original und Version.

Es wird empfohlen für jede Gruppe von parallelen Kennfeldern einen eigenen Ordner anzulegen und sie dort zu speichern. Dies geht mit der untersten Option und erleichtert die Übersicht ganz wesentlich.

Hinweise zum Synchronisieren:

Diese Funktion legt sog. "Sync-Blöcke" an, die Sie im Checksummendialog (Taste F2) einsehen können. Dabei versucht WinOLS immer je zwei Datenblöcke identisch zu halten. Wenn Sie also in dem einen Block Änderungen machen, werden diese auch in dem anderen durchgeführt (beim ersten Mal erfolgt eine Rückfrage).

Wenn schon Änderungen existieren, wenn der Sync-Block angelegt wird, werden diese nicht übertragen, weil WinOLS ja nicht weiß welche der beiden Versionen die richtige ist. Um die Änderungen trotzdem zu übertragen, hilft ein einfacher Trick: Markieren Sie die Daten die Sie übertragen wollen und rufen Sie die Funktion "Relativ ändern" auf (Taste %). Addieren Sie jetzt zu allen Zellen 0 hinzu.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Mehrere Elemente im Projekt

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Mehrere Elemente im Projekt

Mit diesem Dialog können Sie die Elemente im Projekt definieren. Intern speichert WinOLS alle Elemente in einem einzigen großen Datenblock (sichtbar als "<Alle Elemente>"). Hier legen Sie für die Elemente fest wo sie innerhalb dieses Datenblocks liegen.

Für jedes Element müssen Sie eine Anfangs- und Endadresse festlegen (Hexadezimal). Als "Verwendung" stehen mehrere Standardtexte zur Auswahl, damit die WinOLS Funktion das Element korrekt behandeln können. Der "Anzeige-Offset" ist die Adresse die für den ersten Wert des Hexdumps angezeigt wird. Dieser Wert kann größer sein als die Projektgröße. Die Spalten "Typ" und "Gültig" werden i.d.R. nur von Checksummen verwendet.

Die Funktion "Auto" versucht automatisch die Aufteilung des Projektes zu erkennen.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Der Dialog Projektgröße ändern

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Dialog Projektgröße ändern

Dieser Dialog erscheint, wenn Sie in den Projekteigenschaften die Projektgröße ändern. Sie können jetzt wählen ob am Anfang oder am Ende des Projektes Bytes hinzugefügt bzw. abgeschnitten werden. Wenn Sie das Projekt vergrößern, können Sie außerdem noch wählen, womit die neuen Bytes gefüllt werden sollen.

Wichtig: Die Änderung der Projektgröße wird sich immer auf alle Versionen des Projektes aus und kann nicht rückgängig gemacht werden. Wenn Sie Bytes abschneiden, dann sind diese unwiederbringlich verloren.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Statusleiste

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Statusleiste

Die Statusleiste wird am unteren Rand des Fensters von WinOLS angezeigt. Sie können die Statusleiste im Menü Ansicht mit dem Befehl Statusleiste ein- oder ausblenden.

Während Sie sich mit den RICHTUNGSTASTEN durch Menüs bewegen, beschreibt der linke Bereich der Statusleiste die Funktion der Menüeinträge. Entsprechend dazu werden in diesem Bereich auch Beschreibungen zur Wirkung der Schaltflächen der Symbolleiste angezeigt, wenn Sie diese niederdrücken und gedrückt halten. Wenn Sie den zu einer Schaltfläche der Symbolleiste zugehörigen Befehl nicht ausführen wollen, nachdem Sie seine Beschreibung gelesen haben, lassen Sie die Maustaste los, während sich der Mauszeiger nicht mehr auf der Schaltfläche befindet.

Wenn (wie in der Abbildung oben) die automatische Kennfeldsuche läuft, sehen Sie deren Status in Statusleiste.

Im ersten folgenden Abschnitt sehen Sie den Status der Checksummenmodule. Je nach Cursorposition und Konfiguration finden Sie hier Informationen über die Checksummen allgemein oder die aktuelle (manuelle) Checksumme.

Rechts von den Checksummen finden Sie Ikonen für den Zustand des evtl. angeschlossenen OLS16 oder OLS300 Simulators. Warten Sie mit dem Mauscursor über dem jeweiligen Symbol für einen Tooltip mit der genauen Beschreibung. Rechts von den Symbolen finden Sie eine textuelle Beschreibung des aktuellen Simulator-Zustands.

Im letzten Abschnitt finden Sie Informationen über die aktuelle Cursorposition, den Feldwert an der Cursorstelle (und den Originalwert), die relative Veränderung gegenüber dem Original (auch als Prozent) und abschließend und die Breite des aktuellen Kennfeldes oder Hexdump.

Hinweis: Sie können die einzelnen Bereiche mit der rechten Maustaste anklicken um ein Kontextmenü passend zu dem angeklickten Bereich zu erhalten.


Der Befehl Größe ändern (Systemmenü)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Befehl Größe ändern (Systemmenü)

Verwenden Sie diesen Befehl, um einen Vierfachpfeil anzeigen zu lassen, mit dem Sie die Größe des aktiven Fensters durch Drücken der RICHTUNGSTASTEN ändern können.

Nachdem der Zeiger zum Vierfachpfeil geworden ist:

1. Drücken Sie eine der RICHTUNGSTASTEN (eine der Tasten NACH-LINKS, NACH-RECHTS, NACH-OBEN oder NACH-UNTEN), um den Zeiger zu dem Rand zu bewegen, den Sie verschieben möchten.

2. Drücken Sie eine RICHTUNGSTASTE, um den Rahmen zu bewegen.

3. Drücken Sie die EINGABETASTE, wenn die Fenstergröße Ihren Wünschen entspricht.

Hinweis: Dieser Befehl ist nicht verfügbar, wenn das Fenster als Vollbild dargestellt wird.

Abkürzung:

Maus: Ziehen Sie die Größenänderungsleisten an den Ecken oder an den Rändern des Fensters.


Der Befehl Verschieben (Systemmenü)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Befehl Verschieben (Systemmenü)

Verwenden Sie diesen Befehl, um einen Vierfachpfeil anzeigen zu lassen, mit dem Sie das aktive Fenster oder Dialogfeld durch Drücken der RICHTUNGSTASTEN verschieben können.

Hinweis: Dieser Befehl ist nicht verfügbar, wenn das Fenster als Vollbild dargestellt wird.

Abkürzung:

Tastatur: STRG+F7


Der Befehl Symbol (Systemmenü)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Befehl Symbol (Systemmenü)

Verwenden Sie diesen Befehl zur Verkleinerung des Fensters von WinOLS zu einem Symbol.

Abkürzungen:

Maus: Klicken Sie auf die Schaltfläche für Minimieren [image] in der Titelleiste.

Tastatur: ALT+F9


Der Befehl Vollbild (Systemmenü)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Befehl Vollbild (Systemmenü)

Verwenden Sie diesen Befehl zur Vergrößerung des aktiven Fensters, so dass es den gesamten verfügbaren Platz einnimmt.

Abkürzungen:

Maus: Klicken Sie auf die Schaltfläche für Maximieren [image] in der Titelleiste, oder doppelklicken Sie auf die Titelleiste.

Tastatur: STRG+F10 vergrößert ein Dokumentfenster.


Der Befehl Nächstes (Dokument-Systemmenü)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Befehl Nächstes (Dokument-Systemmenü)

Verwenden Sie diesen Befehl, um zum nächsten geöffneten Dokumentfenster umzuschalten. WinOLS bestimmt das nächste Fenster gemäß der Reihenfolge, in der Sie die Fenster geöffnet haben.

Abkürzung:

Tastatur: STRG+F6


Der Befehl Vorheriges (Dokument-Systemmenü)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Befehl Vorheriges (Dokument-Systemmenü)

Verwenden Sie diesen Befehl, um zum vorherigen geöffneten Dokumentfenster umzuschalten. WinOLS bestimmt das Fenster gemäß der Reihenfolge, in der Sie die Fenster geöffnet haben.

Abkürzung:

Tastatur: UMSCHALT+STRG+F6


Der Befehl Schließen (Systemmenüs)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Befehl Schließen (Systemmenüs)

Verwenden Sie diesen Befehl zum Schließen des aktiven Fensters oder Dialogfelds.

Ein Doppelklick auf das Systemmenüfeld hat dieselbe Wirkung wie die Auswahl des Befehls Schließen.

Hinweis: Falls mehrere Fenster für ein einzelnes Dokument geöffnet sind, schließt der Befehl Schließen aus dem Dokument-Systemmenü nur ein einzelnes Fenster. Um alle Fenster auf einmal zu schließen, können Sie aus dem Menü Projekt den Befehl Schließen verwenden.

Abkürzungen:

Tastatur: STRG+F4 schließt ein Dokumentfenster.

ALT+F4 schließt WinOLS-Fenster oder Dialogfeld.


Der Befehl Wiederherstellen (Systemmenü)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Der Befehl Wiederherstellen (Systemmenü)

Verwenden Sie diesen Befehl, um das aktive Fenster in der Größe und Position wiederherzustellen, in der es sich vor der Auswahl der Befehle Vollbild oder Symbol befand.


Das Kommando Hintergrund-Kennfeldsuche erneut starten

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Das Kommando Hintergrund-Kennfeldsuche erneut starten

WinOLS ist in der Lage nach Kennfeldern zu suchen, während Sie normal arbeiten. Mit diesem Befehl können Sie das zusätzlich steuern.

Je nach Situation zeigt sich dieser Befehl unter verschiedenen Bezeichnungen und führt die entsprechende Funktion aus.

Wurde noch keine Kennfeldsuche ausgeführt, so können Sie hiermit die Suche starten. Falls die Suche läuft, können Sie sie hiermit abbrechen. Wurde die Suche bereits durchgeführt, so können Sie mit diesem Befehl erneut eine Suche starten.

Abkürzungen:

Symbolleiste: -

Tastatur: -


Das Kommando Zahlensystem (Ikonenleiste)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Das Kommando Zahlensystem (Ikonenleiste)

Mit diesem Button können Sie zwischen dem Dezimalsystem (10er System) und dem Hexadezimalsystem (16er System) zur Darstellung umschalten.

Wenn Sie mit den Zahlensystemen nicht vertraut sind, sollten Sie im 10er System arbeiten. Falls die 255 in dem Button nicht schon blau gefärbt ist, klicken einmal auf den Button.

Abkürzungen:

Symbolleiste: Siehe oben

Tastatur: -


Das Kommando Datenorganisation (Ikonenleiste)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Das Kommando Datenorganisation (Ikonenleiste)

Mit diesem Kommando können Sie die Art der Datenorganisation bestimmen. Diese legt fest ob mit dem niederwertigsten oder dem höchstwertigsten Byte begonnen wird. Diese Art der Datenspeicherungen sind auch als Intel oder Motorola bekannt.

Dieses Kommando ist nicht für 8-Bit Daten verfügbar.

Abkürzungen:

Symbolleiste: Siehe oben

Tastatur: -


Das Kommando Datenbreite (Ikonenleiste)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Das Kommando Datenbreite (Ikonenleiste)

Mit diesem Kommando stellen Sie die Anzahl der Bit pro angezeigten Wert ein. Zu Wahl stehen 8 Bit, 16 Bit und 32 Bit. Bei Bitbreiten über 8 Bit können Sie über den Button Datenorganisation auch die Organisation der Bytes festlegen.

Abkürzungen:

Symbolleiste: Siehe oben

Tastatur: #


Das Kommando Rechte Seite (Ikonenleiste)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Das Kommando Rechte Seite (Ikonenleiste)

Mit diesem Kommando können Sie die rechte Seite in einem Fenster konfigurieren. Sie können zwischen einer Balkenanzeige (der Wertebereich kann im Eigenschaftsdialog des Fensters festgelegt werden) oder einer ASCII Anzeige wählen, oder die rechte Seite ganz abschalten.

Dieses Kommando ist nur im Ansichtsmodus Text verfügbar.

Abkürzungen:

Symbolleiste: Siehe oben

Tastatur: -


Das Kommando Faktor, Offset, etc. (Ikonenleiste)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Das Kommando Faktor, Offset, etc. (Ikonenleiste)

Mit diesen 4 Buttons können Sie die Darstellung der Daten im Vergleich zu den Originaldaten ändern.

% | Es wird der prozentuale Unterschied zwischen Original und Version berechnet und angezeigt.
Delta | Es wird der absolute Unterschied zwischen Original und Version berechnet und angezeigt.
*1 | Die Daten der Version werden angezeigt ohne Faktor und Offset zu berücksichtigen.
Org | Nicht die Daten der Version, sondern des Originals werden angezeigt.

Sie können jeden dieser 4 Modi schon dadurch kurzzeitig aktivieren, daß Sie den Mauscursor über die Ikone bewegen. Wenn Sie jetzt klicken wird dieser Modus permanent aktiviert. Wenn Sie den Mauscursor wieder weg bewegen ohne zu klicken, wird der alte Zustand wieder hergestellt.

Abkürzungen:

Symbolleiste: Siehe oben

Tastatur: -


Das Kommando Rechte Seite / Rechte Seite fixieren (Menü Ansicht)

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Das Kommando Rechte Seite / Rechte Seite fixieren (Menü Ansicht)

Diese Kommandos sind nützlich wenn Sie im Textmodus mit Kennfeldern oder Hexdumps arbeiten die sehr viele Spalten haben. Normalerweise wird dann die Rechte Seite (wo Zeichen oder Balken sind) verdeckt, sofern Sie nicht ganz nach rechts scrollen. Wenn Sie den Modus 'Rechte Seite fixieren' aktivieren, dann wird die Rechte Seite nicht mehr verdeckt, sondern bleibt stets sichtbar.

Sie können es auch durch einen Klick auf den kleinen roten oder grünen Punkt auf der Trennlinie zwischen Daten und rechter Seite umschalten.

Abkürzungen:

Symbolleiste: -

Tastatur: -


SPI-Signatur

Navigation: Startseite > Beschreibung der weiteren Dialoge >

SPI-Signatur

Damit das SPI eine Datei als SPI-Datei erkennen kann, muss sich eine so genannte Signatur in dieser Datei befinden.

Sie besteht aus 8 ASCII-Zeichen: "EVC.EVC" und sollte sich nahe am Ende des EPROMs auf einer Adresse xxxx0 platziert werden, also auf einer Adresse beginnen, deren niedrigstwertige Stelle in Hexschreibweise gleich Null ist.


Seitenansichts-Symbolleiste

Navigation: Startseite > Beschreibung der weiteren Dialoge >

Seitenansichts-Symbolleiste

In der Symbolleiste der Seitenansicht stehen Ihnen die folgenden Optionen zur Verfügung:

Drucken:

Hiermit gelangen Sie in das Dialogfeld Drucken, in dem Sie einen Druckauftrag starten können.

Nächste Seite:

Zeigt die Ansicht der nächsten Druckseite an.

Vorherige Seite:

Zeigt die Ansicht der vorherigen Druckseite an.

Eine Seite/Zwei Seiten:

Bestimmt, ob eine oder zwei Seiten gleichzeitig sichtbar sein sollen.

Vergrößern:

Mit dieser Option können Sie die Seite näher betrachten.

Verkleinern:

Gibt Ihnen einen größeren Überblick über die Druckseite.

Schließen:

Kehrt von der Seitenansicht wieder in das Bearbeitungsfenster zurück.


Fortgeschrittene Themen

Navigation: Startseite

Fortgeschrittene Themen

Bitte wählen Sie einiges der folgenden Themen:

· Skripte


Skripte

Navigation: Startseite > Fortgeschrittene Themen >

Skripte

Skripte sind Textdateien die Anweisungen enthalten wie eine Projektdatei verändert werden soll und unter welchen Umständen die Skriptdatei angewendet werden darf. Skripte können dazu verwendet werden um oft benötigte Änderungen von Kennfeldern zu speichern und schnell in andere Projekte einfügen zu können.

Bitte wählen Sie eines der folgenden Themen:

· Grundlagen
· Skriptsprache
· Kennfeldskripte
· Mit Skripten importieren


Grundlagen

Navigation: Startseite > Fortgeschrittene Themen > Skripte >

Grundlagen

Skripte sind Textdateien, die im Skriptverzeichnis (Konfigurierbar in den WinOLS Optionen) gespeichert sind und die Dateiendung '.Winolsskript' haben. Wie in C++ können Sie mit '//' Zeilenkommentare einleiten. Die meisten Kommandos sind nur in vordefinierten Blöcken erlaubt. Pro Zeile ist nur ein Kommando erlaubt.

Die Skripte beschreiben im Wesentlichen Schnittmengen von Ergebnissen von Suchvorgängen und Ersetzoperationen für die Ergebnismengen. Außerdem können Kennfelder definiert werden.


Skriptsprache

Navigation: Startseite > Fortgeschrittene Themen > Skripte >

Skriptsprache

Im Folgenden wird der interne Aufbau von Skripten beschrieben. Dies ist nur für sehr fortgeschrittene Benutzer mit Programmiererfahrung wichtig. Normalerweise sollten Skripte über den Unterdialog "Hinzufügen" des "Skript" dialogs erzeugt werden.

Gruppen:

Ein zentrales Konzept der Skriptsprache von WinOLS sind Gruppen. Sie finden sie daher auch bei zahlreichen Kommandos. Eine Gruppe wird immer durch einen symbolischen Namen repräsentiert (z.B. "KF01") und beschreibt die Menge aller passenden Suchergebnisse.

Um z.B. ein Kennfeld zu suchen, sind ja streng genommen drei Suchvorgänge notwendig. Einen für die Kennfelddaten und je einen für die Daten der beiden Achsen. Die Daten dürfen sich dabei untereinander nicht verschieben (z.B. muss der Abstand zwischen Kennfelddaten und den Daten der X-Achse im Quellprojekt des Skriptes identisch sein mit dem Zielprojekt wo das Skript anwendet wird).

Bei jeder Suche (Details dazu s.u.) gehört ja immer eine Startadresse dazu. Wenn WinOLS jetzt diese Suche durchführt, merkt es sich eine Liste aller Offsets gegenüber der Startadresse und speichert diesen in der Gruppe. (Sollte die Suche keine Ergebnisse bringen, gilt das Skript als nicht anwendbar.) Wenn Sie also nach dem String "128 129 130" suchen und als Startadresse 0x1000 angeben, dann könnte es sein, dass der String an den Adressen 0x1000, 0x1100 und 0x1200 gefunden wird. WinOLS merkt sich jetzt für diese Gruppe die Werte 0, 0x100 und 0x200.

Wenn Sie jetzt ein weiteres Suchkommando durchführen und die gleiche Gruppe angeben, dann wird der neue Suchtext nur unter den bekannten Offset gesucht. Offsets unter denen der Suchtext nicht gefunden wird, werden aus der Gruppe gelöscht. Wenn Sie als z.B. nach "100 101" suchen und als Startadresse 0x2000 angeben, dann sucht WinOLS NUR an den Stellen 0x2000, 0x2100 und 0x2200. Andere Stellen werden nicht berücksichtigt. Und wenn z.B. an der Stelle 0x2100 der Suchstring nicht gefunden wird, dann wird diese Adresse aus der Gruppe entfernt und bei weiteren Suchen (und beim ersetzen) nicht berücksichtigt.

Globale Kommandos:

requires_winols "1.505"

sorgt dafür, dass Skripte nur ausgeführt wird, wenn mindestens die WinOLS Version 1.505 läuft. Dieses Kommando hilft Inkompatibilitäten zu vermeiden, weil die Version 1.505 die ist in der zuletzt Änderungen an der Sprache durchgeführt wurden.

requires_hexdump

Dieses Skript kann nur ausgeführt werden, wenn das aktuell aktive Fenster einen Hexdump zeigt. Für Kennfeldfenster wird es ignoriert.

requires_map [X-Größe Y-Größe]

Dieses Skript kann nur ausgeführt werden, wenn das aktuell aktive Fenster ein Kennfeld zeigt. Für Hexdumpfenster wird es ignoriert. Optional können 2 Parameter angegeben werden die die Anzahl der Spalten und Zeilen des Kennfeldes bestimmten. Hat das aktuell aktive Kennfeldfenster nicht exakt so viele Zeilen und Spalten, dann kann das Skript nicht angewendet werden.

replace_mode Modus1 [Modus2] [Modus3]

Gibt an, welcher Ersetzungsmodus verwendet werden soll. Ein Skript kann für den gleichen Datenbereich mehrere replace Befehle bereitstellen, die sich nur in dem Modus unterscheiden. Mit diesem Befehl wird dann die Auswahl der möglichen Modi im Skriptdialog gesteuert. Der erste Wert (Modus1) wird dabei als Standardwert für den Dialog gesetzt.
Als Modus sind folgende Schlüsselworte zulässig: percent absolute difference2 all

Das Schlüsselwort all stellt einen Sonderfall dar. Wird es verwendet, dann dürfen Modus2 und Modus3 nicht benutzt werden. Dafür werden dann auch alle replace Befehle im Skript, unabhängig vom dort angegebenen Modus, ausgeführt. Dies ist sinnvoll, wenn Sie mit dem gleichen Skript sowohl as Differenz als auch absolute (oder prozentuale) Änderungen vornehmen wollen. Eine Auswahl des Modus ist im Skriptdialog dann nicht mehr möglich. Wenn das Schlüsselwort all verwendet wird, sollte man den Wert von requires_winols auf 1.088 setzen, da es vorher nicht unterstützt wurde.

Blöcke:

begin_requires

end_requires

Klammert einen Block ein, der ermittelt, ob das Skript für das aktuelle Projekt anwendbar ist. Nur wenn alle Suchkommandos Erfolg haben, gilt das Skript später als anwendbar. Kommandos ist diesem Block können das Projekt nicht verändern.

begin_executable

end_executable

Klammert einen Block ein, der die Kommandos zu Ausführen des Skripts enthält.

begin_insert_map gruppe

end_insert_map

Dieser Block darf nur innerhalb eines EXECUTABLE Blocks verwendet werden. Er enthält die Definition für ein Kennfeld, was beim Ausführen des Skripts eingefügt wird. Die Gruppe muss identisch sein mit einer zuvor definierten. Falls die Gruppe mehrere Positionen definiert wird nur die beste berücksichtigt.

Nicht-Globale Kommandos:

search Gruppe Datenorganisation Startadresse Abweichung Tolaranz "Suchstring"

Dieses Kommando führt eine Suche nach dem Suchstring aus. Dieser besteht aus einer Reihe von Dezimalzahlen die durch Leerzeichen getrennt werden. Ein Fragezeichen kann anstelle einer Zahl verwendet werden, wenn eine beliebige Zahl an dieser Stelle akzeptiert werden soll. Die Datenorganisation (eByte, eLoHi, eHiLo, eLoHiLoHi, eHiLoHiLo) beschreibt dabei das Datenformat in dem der Suchstring im Projekt gesucht werden soll. Die Suche wird an der Startadresse begonnen und dann nach links und rechts ausgeweitet soweit es de Abweichung erlaubt. Die Toleranz beschreibt die Abweichung die das Projekt vom Suchstring haben darf.

replace Gruppe Datenorganisation Startadresse mode1 mode2 "Replacestring"

Dieses Kommando ersetzt einen Suchtext durch einen anderen String. Auch hierbei sind Fragezeichen erlaubt. Sie bezeichnen Zellen die nicht ersetzt werden. Mode1 bestimmt ob nur die beste gefundene Möglichkeit der Gruppe ersetzt werden soll ("Best") oder jede ("All"). Mode2 bestimmt ob die Daten absolut eingetragen werden ("Absolute"), prozentual ("Percent") oder ob die Änderungen als Differenz übertragen werden soll ("Difference2").
Hinweis: In WinOLS Versionen vor 1.205 konnten bei der automatischen Skriptgenerierung falsche Werte für Differenzangaben erzeugt werden. Aus Sicherheitsgründen wurde daher das alte Schlüsselwort "Difference" deaktiviert, damit keine fehlerhaften Daten generiert werden können. Falls Sie die Skripte von Hand erzeugt haben, können Sie einfach das neue Schlüsselwort "Difference2" verwenden. Ansonsten sollten Sie die Skripte neu generieren oder die Differenzmethode nicht anwenden.

unique Gruppe

Sorgt dafür, dass das Skript nur dann erfolgreich fortgesetzt wird, wenn die Gruppe genau einen Eintrag definiert.

set_map_property "Property" "Value"

Dieses Kommando ist nur innerhalb eines INSERT_MAP Blockes möglich. Hiermit werden die einzelnen Eigenschaften eines Kennfeldes definiert. Eine vollständige Liste aller möglichen Eigenschaften finden Sie in jedem Skript was Kennfelder überträgt.

check_map_property "Property" "Value"

Prüft ob das aktuelle Projekt in den Projekteigenschaften den entsprechenden Wert hat. Wenn das nicht der Fall ist, kann das Skript nicht für dieses Projekt ausgeführt werden. Als Wert können auch reguläre Ausdrücke (ähnlich wie in Perl oder in guten Texteditoren) eingegeben werden. Sie werden gekennzeichnet durch den Präfix "RE:". Ein Beispiel für die Erkennung eines Mercedes in den üblichen Schreibvarianten wäre: check_map_property "producer" "re:(Mercedes|^MB$)". Wenn Sie auch leere Herstellerangaben zulassen wollen, würde das so aussehen: check_map_property "producer" "re:(Mercedes|^MB$|^$)". Zulässige Properties sind Hersteller, Chassis, Ausführung, Softwarestand und Softwaregröße.

Performance:

Die Skripte sind an sich sehr schnell. Damit die Überprüfung ob ein Skript passend ist schnell ausgeführt werden kann, muss nur eine Regel beachtet werden: Einfache Bedingungen zuerst.

Weil Skripte linear von oben nach unten ausgeführt werden, ist es sinnvoll zuerst die SEARCH Befehle zu verwenden, die schnell durchgeführt werden können. Auf diese Art müssen die komplizierten SEARCH Befehle erst später und damit seltener durchgeführt werden. SEARCH Befehle sind einfach / schnell, wenn Sie keine Fragezeichen enthalten, keine Toleranz und eine möglichst kleine Abweichung erlauben. Auch CHECK_MAP_PROPERTY Befehle sind sehr schnell und gehören an den Anfang.


Kennfeldskripte

Navigation: Startseite > Fortgeschrittene Themen > Skripte >

Kennfeldskripte

Skripte beziehen sich normalerweise auf das gesamte Projekt. Dadurch können Sie aber nur dann auf andere Projekte anwendet werden wenn dieses sehr ähnlich sind.

Dieses Problem wird mir Kennfeldskripten umgangen. Ein Kennfeldskript kennt nur das aktuelle Kennfeld und kann auch nur auf ein Kennfeld angewendet werden (was darüber hinaus auch die gleiche Größe wie das Quellkennfeld hat). Außerdem kann eine solche Skriptdatei auch immer nur Daten für ein Kennfeld enthalten.

Erzeugen:

Um ein Kennfeldskript zu erzeugen öffnen Sie ein Kennfeld was im Vergleich zum Original Änderungen aufweist und wählen die Skript-Funktion aus dem Menü (oder drücken die Taste F8). Wählen Sie im jetzt erscheinenden Dialog die Schaltfläche "Hinzufügen".

Anwenden:

Um ein Kennfeldskript anzuwenden reicht es ein Kennfeld zu öffnen und die Skript-Funktion aufzurufen. Es werden jetzt nicht mehr die normalen Skripte angezeigt sondern nur Kennfeldskripte, die für Kennfeld mit der Größe des aktuellen Kennfeldes erzeugt wurden.


Mit Skripten importieren

Navigation: Startseite > Fortgeschrittene Themen > Skripte >

Mit Skripten importieren

Eigentlich sind Skripte gedacht um oft benötigte Änderungen schnell wiederholen zu können.

Weil Skripte aber sehr einfach zu erstellen sind, eignen sie sich für fortgeschrittene Anwender mit Programmierkenntnissen auch als Importschnittstelle für Kennfelder. Dies ist dann nützlich, wenn Sie für ein oder mehr Projekte über umfangreiche Informationen über Kennfeldstrukturen verfügen, diese aber in keinem Format haben was WinOLS importieren kann.

In diesem Fall können Sie (die Eigenentwicklung eines Konverterprogramms vorausgesetzt) eigene Skripte erzeugen die nur dazu da sind die bekannten Informationen zu importieren. Das erzeugte Skripte kann dann einfach per Drag+Drop in das gewünschte Projekt gezogen werden.

Das erzeugte Skript sollte folgendem Aufbau folgen:

//--------------------------------------------------------------------------------

// This is a WinOLS Script * Please refer to the WinOLS documentation for details

//--------------------------------------------------------------------------------

requires_winols "2.08"

replace_mode absolute

begin_requires

end_requires

begin_executable

search KF00 eByte 0x00000 0 0% "?"

begin_insert_map KF00

set_map_property "Name" "Kennfeld"

set_map_property "IdName" ""

set_map_property "Typ" "eZweidim"

set_map_property "FolderName" "My maps"

set_map_property "ViewMode" "eViewText"

set_map_property "RWin" "eBars"

set_map_property "DataOrg" "eFloatLoHi"

set_map_property "bKehrwert" "0"

set_map_property "bVorzeichen" "0"

set_map_property "bDelta" "0"

set_map_property "bProzent" "0"

set_map_property "bOriginal" "0"

set_map_property "bOriginalWerte" "0"

set_map_property "Spalten" "16"

set_map_property "Zeilen" "3"

set_map_property "Radix" "10"

set_map_property "Nachkommastellen" "0"

c set_map_property "Feldwerte.Name" "-"

set_map_property "Feldwerte.Einheit" "-"

set_map_property "Feldwerte.Faktor" "1,000000"

set_map_property "Feldwerte.Offset" "0,000000"

set_map_property "Feldwerte.StartAddr" "7668"

set_map_property "StuetzX.Name" "-"

set_map_property "StuetzX.Einheit" "-"

set_map_property "StuetzX.Faktor" "1,000000"

set_map_property "StuetzX.Offset" "0,000000"

set_map_property "StuetzX.DataSrc" "eRom"

set_map_property "StuetzX.DataHeader" "0"

set_map_property "StuetzX.DataAddr" "4096"

set_map_property "StuetzX.DataOrg" "eFloatLoHi"

set_map_property "StuetzX.Radix" "10"

set_map_property "StuetzX.bRueckwaerts" "0"

set_map_property "StuetzX.bKehrwert" "0"

set_map_property "StuetzX.bVorzeichen" "0"

set_map_property "StuetzX.Nachkommastellen" "0"

set_map_property "StuetzX.SignaturByte" "0xFFFFFFFF"

set_map_property "StuetzX.SkipBytes" "0"

set_map_property "StuetzY.Name" "-"

set_map_property "StuetzY.Einheit" "-"

set_map_property "StuetzY.Faktor" "1,000000"

set_map_property "StuetzY.Offset" "0,000000"

set_map_property "StuetzY.DataSrc" "eRom"

set_map_property "StuetzY.DataHeader" "0"

set_map_property "StuetzY.DataAddr" "8192"

set_map_property "StuetzY.DataOrg" "eFloatLoHi"

set_map_property "StuetzY.Radix" "10"

set_map_property "StuetzY.bRueckwaerts" "0"

set_map_property "StuetzY.bKehrwert" "0"

set_map_property "StuetzY.bVorzeichen" "0"

set_map_property "StuetzY.Nachkommastellen" "0"

set_map_property "StuetzY.SignaturByte" "0xFFFFFFFF"

set_map_property "StuetzY.SkipBytes" "0"

end_insert_map

end_executable

Das Beispielskript erzeugt ein Kennfeld. Um mit dem gleichen Skripte weitere Kennfelder zu erzeugen wiederholen Sie einfach den mit begin_executable / end_executable eingeklammerten Inhalt und tauschen "KF00" jedes Mal gegen einen anderen, eindeutigen Identifier aus.

Im Skript wird das Kommando set_map_property verwendet um zahlreiche Eigenschaften des Kennfeldes mit Werten zu füllen. Die einzelnen Eigenschaften spiegeln die Felder des Dialogs "Eigenschaften: Kennfeld" wieder. Dabei werden Kreuzfelder mit den Zahlen 0 (nicht angekreuzt) und 1 (angekreuzt) ausgefüllt. Die Felder haben im Detail folgende Funktionen:

Name | Der Name des Kennfeldes oder Stützstelle
IdName | Der interne Id. Wird i.d.R. nur von Damos / ASAP2 verwendet
Typ | Der Typ des Kennfeldes. Mögliche Werte sind eEinzel (Einzelwert), eEindim (Eindimensionales Kennfeld), eZweidim (Zweidimensionales Kennfeld), eZweiInv (Zweidimensionales, inverses Kennfeld)
FolderName | Der Name des Ordners (ab WinOLS 2.08)
ViewMode | Der Ansichtsmodus. Mögliche Werte sind eViewText (Textmodus), eView2d (2d-Modus), eView3d (3d-Modus)
RWin | Der rechte Bereich im Textmodus. Mögliche Werte sind eRightWinNone (Kein Bereich), eHex (Zeichenansicht), eBars (Balkenansicht), eHexBars (Beide gleichzeitig)
DataOrg | Die Organisation der Daten (Endian und Bitbreite). Mögliche Werte sind eByte, eLoHi, eHiLo, eLoHiLoHi, eHiLoHiLo, eFloatLoHi, eFloatHiLo
bKehrwert | 1 für eine Kehrwertdarstellung (sonst 0)
bVorzeichen | 1 für eine Darstellung mit Vorzeichen (sonst 0)
bDelta | 1 für eine Darstellung der Differenz (sonst 0)
bProzent | 1 für eine Darstellung mit prozentualen Unterschieden (sonst 0)
bOriginal | 1 um Faktor und Offset ignorieren zu lassen (sonst 0)
bOriginalWerte | 1 um nicht die Versionswerte, sondern die Originalwerte anzeigen zu lassen (sonst 0)
Spalten | Anzahl der Spalten des Kennfeldes
Zeilen | Anzahl der Zeilen des Kennfeldes
Radix | Zahlensystem. 16 für Hexadezimal, 10 für Dezimal
Nachkommastellen | Anzahl der angezeigten Nachkommastellen
SignaturByte | Das kennzeichnende Byte vor der Stützstelle oder 0xFFFFFFFF (ab WinOLS 2.08)
SkipBytes | Die Anzahl der Bytes, die zwischen den Stützstellenwerten übersprungen werden (ab WinOLS 2.08)
Feldwerte (...) | Dieser Präfix macht deutlich, dass sich die nachgestellte Eigenschaft auf die eigentlichen Wertes des Kennfeldes bezieht.
StuetzX (...) | Dieser Präfix macht deutlich, dass sich die nachgestellte Eigenschaft auf die X-Achse des Kennfeldes bezieht.
StuetzY (...) | Dieser Präfix macht deutlich, dass sich die nachgestellte Eigenschaft auf die Y-Achse des Kennfeldes bezieht.
Einheit | Ein Textfeld mit der Masseinheit der Werte.
Faktor | Der Multiplikationsfaktor für die Anzeige der Werte
Offset | Der Additionswert für die Anzeige der Werte
StartAddr / DataAddr | An dieser Adresse im Hexdump beginnen die Daten
DataSrc | Die Art der Datenquelle. Mögliche Werte sind eDataSrcNone (keine Stützstellen), eRom (Daten aus dem Hexdump), eRomAdd (Additive Daten aus dem Hexdump), eRomSub (Subtraktive Daten aus dem Hexdump), eUserdef (Benutzerdefinierte Werte), eRomBackwards (Daten aus dem Hexdump in umgekehrter Reihenfogle)
DataHeader | Anzahl der Headerbytes vor den Stützstellen, die im Hexdump ebenfalls markiert werden.
bRueckwaerts | 1 für eine Spiegelung der Daten (sonst 0)


Copyright, Kontakt, Internet

Navigation: Startseite

Copyright, Kontakt, Internet

(C) Copyright 2012 bei

EVC electronic GmbH

Am Pfauenzehnt 11a

D-46539 Dinslaken

Amtsgericht Duisburg HRB 9864

Geschäftsführer Axel Schroer

Weiterführende Informationen im Internet:

· Checksummensuche
· FAQ
· Produkte